;----------------------------------------------------------------------
; Programmname : B-ABKANT.LSP  - Version: 3.0 - fr AutoCAD Version 13
; Aufgabe            : Abkantung fr Bodenbleche erzeugen und bemassen
; (c) 1997 by Ralph Kferstein, Stifterstr. 25, 67065 Ludwigshafen
; Tel./Fax: 0621 - 574658      -     Email: EDV007@aol.com
; URL: http://members.aol.com/EDV007/PAGE1.HTM
;----------------------------------------------------------------------
; SHAREWARE         S H A R E W A R E         SHAREWARE
;----------------------------------------------------------------------
; Autor: Dipl.-Ing. R. Kferstein * Stifterstr. 25 * 67065 Ludwigshafen 
; Nehme Telearbeitsprojekte aus folgenden Bereichen an:
; CAD/EDV-Dienstleistungen - CAD-Zeichen- & Konstruktionsservice
; Video-/Multimediaproduktionen, Audio/Midi-Komponist
; Softwareentwicklung (Autolisp/V-Basic/T-Basic/EXCEL/Access/Foxro)
;----------------------------------------------------------------------
; Dieses Programm knnen Sie 4 Wochen lang testen
; Bei lngerem Gebrauch mssen Sie sich bei mir registrieren lassen !!!
; Schicken Sie hierfr bitte einen Brief (1BESTEL.TXT) an die o.a.
; Adresse/Faxnummer oder per Email
; Weitere Programme fr AutoCAD finden Sie in der Datei 1README.TXT
;-----------------------------------------------------------------------
; Ich lehne jegliche Garantie oder Haftung fr direkte oder indirekte
; (auch konstruktive) Schden ab. Weiterhin bernehme ich keine Garantie
; fr die Funktion des Programms.
;-----------------------------------------------------------------------
; Fehlerroutine 
(defun Abbruch (s)
   (if (/= s "Function cancelled") (princ (strcat "\nFehler: " s)))
   (setvar "CLAYER" AltLayer)
   (graphscr)
   (SETVAR "cmdecho" 1)
   (SETVAR "blipmode" 1)
   (SETVAR "highlight" 1)
   (SETVAR "TEXTSIZE" AltTexthoehe)
   (SETQ *error* olderr)
   (princ)
)
;-----------------------------------------------------------------------
;Winkel von Altgrad ins Bogenma konvertieren
(defun aib (w) (* pi (/ w 180.)))
;-----------------------------------------------------------------------
; Winkel von Bogenma nach Altgrad konvertieren
(defun bia (b) (* (/ b pi) 180.))
;-----------------------------------------------------------------------
; Tangens - Funktion
(defun tan (w) (/ (sin w) (cos w)))
;-----------------------------------------------------------------------
; Arcus-Sinus - Funktion
(defun asin (x)
   (setq radi (- 1 (* x x)))
   (setq nen (sqrt radi))
   (setq arg (/ x nen))
   (setq winb (atan arg))
)
;-----------------------------------------------------------------------
; Phytagoras
(defun phyt (c a)
   (SETQ CC (* C C))
   (SETQ AA (* A A))
   (SETQ Laenge (SQRT(- CC AA)))
)
;-----------------------------------------------------------------------
;Mastabfaktor - Umrechnung
(defun mass (x) (/ x m))
;-----------------------------------------------------------------------
(defun Vorgaben ()
  (SETQ olderr  *error*)
  (SETQ *error* ABBRUCH)
  (setq AltBemFaktor (getvar "DIMLFAC"))
  (SETQ AltLayer (getvar "CLAYER"))
  (setq AltPDSIZE (getvar "pdsize"))
  (setq AltPDMODE (getvar "pdmode"))
  (SETQ AltTexthoehe (getvar "TEXTSIZE"))
  (SETVAR "cmdecho" 0)
  (SETVAR "blipmode" 0)
  (SETQ Vollinie025 "VOLL-025")
  (SETQ Vollinie035 "VOLL-035")
  (SETQ Vollinie05 "VOLL-05")
  (SETQ Vollinie07 "VOLL-07")
  (setq LOESCHEN "LOESCHEN")
  (SETQ Masslinie "BEMASSUNG")
  (SETQ Mittellinie "STRP-025")
  (SETQ Schraffurlinie "SCHRAFFUR")
  (SETQ VerdeckteLinie025 "STRI-025")
  (SETQ VerdeckteLinie035 "STRI-035")
  (SETQ Text025 "TEXT-025")
  (SETQ Text035 "TEXT-035")
  (SETQ Text05 "TEXT-05")
  (SETQ Text07 "TEXT-07")
  (prompt "\n--------------------------------------------------------------------------")
  (prompt "\nP R  F V E R S I O N  - 4 Wochen lang kostenlos zum Testen")
  (prompt "\n--------------------------------------------------------------------------")
  (prompt "\n(c) 1997 by  Dipl.-Ing. Ralph Kferstein, Tel./Fax: 0621-574658")
  (prompt "\n--------------------------------------------------------------------------")
)
;----------------------------------------------------------------------
(defun Endesequenz ()
  (setvar "DIMLFAC" AltBemFaktor)
  (setvar "CLAYER" AltLayer)
  (setvar "PDSIZE" AltPDSIZE)
  (setvar "PDMODE" AltPDMODE)
  (setvar "TEXTSIZE" AltTexthoehe)
  (graphscr)
  (SETQ *error* olderr)
  (SETVAR "blipmode" 1)
  (SETVAR "cmdecho" 1)
  (SETVAR "HIGHLIGHT" 1) 
  (PRINC)
)
;-----------------------------------------------------------------------
;Hauptprogramm
(defun c:B-ABKANT ()
   (Vorgaben)
   (setq mfTaste NIL)
   (setq Detailname NIL)
   (setq Abkanthohe NIL)
   (setq Schenkelhohe NIL)
   (setq Blechdicke NIL)
   (setq Richtung "U")
   (setq Doppel 1.)   

;   (command "cls")
   (prompt "\n------------------------------------------------------------")
   (prompt "\n--- Bodenblech-Abkantung erzeugen und bemassen -")
   (prompt "\n--!! Bamaung wird unterhalb des Bleches erzeugt !! --")
   (prompt "\n------------------------------------------------------------")
   (princ "\n")
   (WHILE (= Blechdicke NIL)
      (initget 1 "2 2.5 3 3.5 5")
      (setq Blechdicke (getreal"\n                    Bodenblechdicke    : "))
   )
   (COMMAND "_vslide" "B-ABKANT")
   (WHILE (= Detailname NIL)
      (prompt "\n-- Bitte die Bild-Nummer des Datails whlen...")
      (prompt "\n                    1 = Tragblech  ")
      (prompt "\n                    2 = Zulauf     ")
      (prompt "\n                    3 = Tragblech  ")
      (prompt "\n                    4 = Zulauf     ")
      (prompt "\n                    5 = Tragblech  ")
      (prompt "\n                    6 = Zulauf     ")
      (prompt "\n                    7  = Tragblech  ")

      (initget 1 "1  2 3 4 5 6 7 ")
      (setq Detailname (getkword "\n                    Detailname : "))
   )
   (WHILE (= mfTaste NIL)
      (initget 1 "1 2 5 10 15 20 25 33 50 75 100")
      (setq mfTaste    (getkword"                    Mastabsfaktor <1> : "))
   )
 (IF (= Detailname "1")
     (COMMAND "_vslide" "B-ABKAD1")
   )
  (IF (= Detailname "2")
    (COMMAND "_vslide" "B-ABKAD2")
  )  
 (IF (= Detailname "3")
     (COMMAND "_vslide" "B-ABKAF1")
   )
   (IF (= Detailname "4")
     (COMMAND "_vslide" "B-ABKAF2")
   )
   (IF (= Detailname "5")
     (COMMAND "_vslide" "B-ABKAH1")
   )
   (IF (= Detailname "6")
     (COMMAND "_vslide" "B-ABKAH2")
   )
   (IF (= Detailname "7")
     (progn
         (COMMAND "_vslide" "B-ABKAL")
     )
   )

   (setq m (atof mfTASTE))
   (SETQ mfk (rtos m 2 0))
   (setq BStilAA (strcat "F" mfk "AA"))
   (setq BStilEA (strcat "F" mfk "AA"))
   (setq BStilEE (strcat "F" mfk "AA"))

   (setq Abkanthohe      (getreal"                    Abkanthoehe        : "))
   (if (/= Detailname "7")
      (progn
        (setq Schenkelhohe    (getreal"                    Schenkelhoehe      : "))
      )
   )
   (command "_redraw")
   (setq BP1            (getpoint"                    Bezugspunkt 1....... "))
   (setq BP2            (getpoint"                    Bezugspunkt 2....... "))
   (setq BP3            (getpoint"                    Bezugspunkt 3....... "))

;*** Masstabsumwandlung
   (if (<= Blechdicke 3.5)
      (progn
        (setq ABS 18.)
        (setq ABSS 28.)
        (setq ABSSS 26.)
      )
   )
   (if (= Blechdicke 5)
      (progn
        (setq ABS 20.)
        (setq ABSS 30.)
        (setq ABSSS 26.)
      )
   )
   (IF (= Detailname "5")
     (progn
       (if (<= Blechdicke 3.5)
        (progn
          (setq ABS 28.)
          (setq ABSS 23.)
        )
      )
      (if (= Blechdicke 5)
        (progn
          (setq ABS 30.)
          (setq ABSS 25.)
         ) 
       )
     )
   )
   (IF (= Detailname "6")
     (progn
       (if (<= Blechdicke 3.5)
        (progn
          (setq ABS 28.)
          (setq ABSS 16.)
        )
      )
      (if (= Blechdicke 5)
        (progn
          (setq ABS 30.)
          (setq ABSS 18.)
         ) 
       )
     )
   )
   (setq Blechdicke1 (/ Blechdicke M) Abkanthohe1 (/ Abkanthohe M) ABS1 (/ ABS M) ABSS1 (/ ABSS M))
   (setq ABSSS1 (/ ABSSS M))
   (IF (/= Schenkelhohe NIL)
     (progn
       (setq Schenkelhohe1(/ Schenkelhohe M))
     )
   )
'********************************************
   (if (= Detailname "6")
     (progn
       (IF (= Schenkelhohe NIL)
         (progn
           (setq bp3x (polar  bp3 (aib 270.) 4.))
           (setq p1 (polar  bp1 (aib 0.) (/ 10. M)))
           (if (= Blechdicke 5)
              (progn
                (setq p1 (polar  bp1 (aib 0.) (/ 12. M)))
              )
           )
           (setq p2 (polar  bp1 (aib 0.) ABSS1))
           (setq p3 BP2)
           (setq p4 (polar  p3 (aib 0.) (- Abkanthohe1 Blechdicke1)))
           (setq p5 (polar  p4 (aib 180.) (/ 10 M)))
           (setq p6 (polar  p4 (aib 90.) (/ 10 M)))
           (setq p7 (polar  BP1 (aib 90.) 60 ))
           (setq p8 (polar  p1 (aib 90.) 60 ))
           (setq p9 (polar  p3 (aib 90.) 60 ))
           (setq p10 (polar  p4 (aib 90.) 60 ))
           (setq p11 (polar  BP1 (aib 270.) ABSS1))
           (setq p12 (polar  P11 (aib 270.) (/ 12 M)))
           (setq p13 (polar  P12 (aib 270.) 10))
           (setq p14 (polar  P13 (aib 270.) 8))
           (setq p15 (polar  P14 (aib 270.) 8))
           (setq p16 (polar  P13 (aib 180.) 9))
           (setq p16t (polar  P16 (aib 90.) 1.5))
           (setq p17 (list (car P2) (cadr P13) ))
           (setq p18 (list (car P3) (cadr P13)))
           (setq p19 (polar P18 (aib 0.) 9))
           (setq p19t (polar  P19 (aib 90.) 1.5))
           (setq p19tt (polar  P19t (aib 180.) 4))

           (setq p21 (list (car BP2) (+ (cadr P17) 2) ))
           (setq p22 (list (car BP2) (- (cadr P16) 2) ))
           (setq p23 (list (car p13) (- (cadr P13) 2) ))
           (setq p24 (list (car p13) (- (cadr P14) 2) ))
           (setq p25 (list (car p13) (- (cadr P14) 10) ))
           (setq p27 (list (car p4) (+ (cadr P19T) 4) ))
           (setq p28 (list (car p4) (- (cadr P19) 2) ))
           (setq p29 (list (car p17) (+ (cadr P14) 2) ))
           (setq p30 (list (car p17) (- (cadr P14) 2) ))
           (setq p31 (list (car p18) (- (cadr P18) 2) ))
           (setq p32 (list (car p18) (- (cadr P18) 10) ))
           (setq p33 (polar BP2 (aib 180.) 50.))
           (setq p34 (polar p3 (aib 0.) (- Abkanthohe1 (* Blechdicke1 2))))
           (setq p35 (polar p34 (aib 90.) 60.))
           (setq p36 (polar p34 (aib 90.) 18.))
           (setq p37 (polar p34 (aib 90.) 26.))
           (setq p40 (polar bp1 (aib 90.) 10.))
           (setq p41 (polar p1 (aib 90.) 10.))
           (setq p42 (polar p3 (aib 90.) 10.))
           (setq p43 (polar p34 (aib 90.) 10.))
           (setq BP33 (polar p14 (aib 270.) 8.))
           (setq P22X (list (car p22) (- (cadr P14) 6) ))

   ;*** Geometriedarstellung ***********************
           (command "_layer" "_s" Vollinie05 "")
           (command "_line" P3 P5 P6 P10 "")
           (command "_layer" "_s" Masslinie "")
           (SETQ HILFE1 (distance P2 BP1))
           (SETQ HILFE1 (* HILFE1 M))
           (setq BEMTEXT1 (RTOS HILFE1 2 1))
           (SETQ HILFE2 (- (car P3) (car P2)))
           (SETQ HILFE2 (* HILFE2 M))
           (setq BEMTEXT2 (RTOS HILFE2 2 1))
           (command "_line" P23 P12 "")
           (command "_line" P3 P31 "")
           (command "_line" P16 P19 "")
           (setq Abstand1 (- (car P6) (car P3) ))
           (setq Abstand2 (- (car P2) (car BP1)))
           (IF (<= Abstand1 9.)
              (command "_line" P6 P27 "")
           )
           (IF (> Abstand1 9.)
              (command "_line" P6 P28 "")
           )
           (command "_dimstyle" "_r" BStilAA "_dim")
           (command "_hor" p2 p28 P14 "")
           (command "_hor" p2 bp3X P14 "")
           (command "_hor" bp3x p28 bp33 "")
           (command "_dimstyle" "_r" BStilEE "_dim")
           (command "_hor" p3 p6 P36 "")
           (command "_exit")
           (command "_insert" "BEMKREIS" P17 "1" "" "0")
           (command "_insert" "BEMPFEIL" P13 "1" "" "180")
           (command "_insert" "KANTE1" P40 "1" "" "0")
           (command "_insert" "KANTE2" P41 "1" "" "0")
           (command "_insert" "KANTE1" P42 "1" "" "0")
           (command "_text" P16T "3" "0" BEMTEXT1)
           (command "_insert" "BEMPFEIL" P18 "1" "" "0")
           (command "_text" P19TT "3" "0" BEMTEXT2)
         )
       )
       (IF (/= Schenkelhohe NIL)
         (progn
           (setq bp3x (polar  bp3 (aib 270.) 4.))
           (setq p1 (polar  bp1 (aib 0.) (/ 10. M)))
           (if (= Blechdicke 5)
              (progn
                (setq p1 (polar  bp1 (aib 0.) (/ 12. M)))
              )
           )
           (setq p2 (polar  bp1 (aib 0.) ABSS1))
           (setq p3 BP2)
           (setq p4 (polar  p3 (aib 0.) (- (+ Abkanthohe1 Schenkelhohe1) (* Blechdicke1 3.))))
           (setq p5 (polar  p4 (aib 180.) (/ 10 M)))
           (setq p6 (polar  p4 (aib 90.) (/ 10 M)))
           (setq p7 (polar  BP1 (aib 90.) 60 ))
           (setq p8 (polar  p1 (aib 90.) 60 ))
           (setq p9 (polar  p3 (aib 90.) 60 ))
           (setq p10 (polar  p4 (aib 90.) 60 ))
           (setq p11 (polar  BP1 (aib 270.) ABSS1))
           (setq p12 (polar  P11 (aib 270.) (/ 12 M)))
           (setq p13 (polar  P12 (aib 270.) 10))
           (setq p14 (polar  P13 (aib 270.) 8))
           (setq p15 (polar  P14 (aib 270.) 8))
           (setq p16 (polar  P13 (aib 180.) 9))
           (setq p16t (polar  P16 (aib 90.) 1.5))
           (setq p17 (list (car P2) (cadr P13) ))
           (setq p18 (list (car P3) (cadr P13)))
           (setq p19 (polar P18 (aib 0.) 9))
           (setq p19t (polar  P19 (aib 90.) 1.5))
           (setq p19tt (polar  P19t (aib 180.) 4))

           (setq p21 (list (car BP2) (+ (cadr P17) 2) ))
           (setq p22 (list (car BP2) (- (cadr P16) 2) ))
           (setq p23 (list (car p13) (- (cadr P13) 2) ))
           (setq p24 (list (car p13) (- (cadr P14) 2) ))
           (setq p25 (list (car p13) (- (cadr P14) 10) ))
           (setq p27 (list (car p4) (+ (cadr P19T) 4) ))
           (setq p28 (list (car p4) (- (cadr P19) 2) ))
           (setq p29 (list (car p17) (+ (cadr P14) 2) ))
           (setq p30 (list (car p17) (- (cadr P14) 2) ))
           (setq p31 (list (car p18) (- (cadr P18) 2) ))
           (setq p32 (list (car p18) (- (cadr P18) 10) ))
           (setq p33 (polar BP2 (aib 180.) 50.))
           (setq p34 (polar p3 (aib 0.) (- Abkanthohe1 (* Blechdicke1 2))))
           (setq p35 (polar p34 (aib 90.) 60.))
           (setq p36 (polar p34 (aib 90.) 18.))
           (setq p37 (polar p34 (aib 90.) 26.))
           (setq p40 (polar bp1 (aib 90.) 10.))
           (setq p41 (polar p1 (aib 90.) 10.))
           (setq p42 (polar p3 (aib 90.) 10.))
           (setq p43 (polar p34 (aib 90.) 10.))
           (setq BP33 (polar p14 (aib 270.) 8.))
           (setq P22X (list (car p22) (- (cadr P14) 6) ))

   ;*** Geometriedarstellung ************************
           (command "_layer" "_s" Vollinie05 "")
           (command "_line" P3 P5 P6 P10 "")
           (command "_layer" "_s" VerdeckteLinie025 "")
           (command "_line" P34 P35 "")
           (command "_layer" "_s" Masslinie "")
           (SETQ HILFE1 (distance P2 BP1))
           (SETQ HILFE1 (* HILFE1 M))
           (setq BEMTEXT1 (RTOS HILFE1 2 1))
           (SETQ HILFE2 (- (car P3) (car P2)))
           (SETQ HILFE2 (* HILFE2 M))
           (setq BEMTEXT2 (RTOS HILFE2 2 1))
           (command "_line" P23 P12 "")
           (command "_line" P3 P31 "")
           (command "_line" P16 P19 "")
           (setq Abstand1 (- (car P6) (car P3) ))
           (setq Abstand2 (- (car P2) (car BP1)))
           (IF (<= Abstand1 9.) (command "_line" P6 P27 ""))
           (IF (> Abstand1 9.)   (command "_line" P6 P28 ""))
           (command "_dimstyle" "_r" BStilAA "_dim")
           (command "_hor" p2 p28 P14 "")
           (command "_hor" p2 bp3X P14 "")
           (command "_hor" bp3x p28 bp33 "")
;           (command "_dimstyle" "_r" BStilEE "_dim")
           (command "_hor" p3 p34 P36 "")
           (command "_hor" p34 p6 P37 "")
           (command "_exit")
           (command "_insert" "BEMKREIS" P17 "1" "" "0")
           (command "_insert" "BEMPFEIL" P13 "1" "" "180")
           (command "_insert" "KANTE1" P40 "1" "" "0")
           (command "_insert" "KANTE2" P41 "1" "" "0")
           (command "_insert" "KANTE1" P42 "1" "" "0")
           (command "_insert" "KANTE1" P43 "1" "" "0")
           (command "_text" P16T "3" "0" BEMTEXT1)
           (command "_insert" "BEMPFEIL" P18 "1" "" "0")
           (command "_text" P19TT "3" "0" BEMTEXT2)
         )
       )
     )
   )
   (if (= Detailname "4")
     (progn
       (IF (= Schenkelhohe NIL)
         (progn
           (setq bp3x (polar  bp3 (aib 270.) 4.))
           (setq p1 (polar  bp1 (aib 0.) (/ 10. M)))
           (if (= Blechdicke 5)
              (progn
                (setq p1 (polar  bp1 (aib 0.) (/ 12. M)))
              )
           )
           (setq p2 (polar  bp1 (aib 0.) (/ ABSSS M)))
           (setq p3 BP2)
           (setq p4 (polar  p3 (aib 0.) (- Abkanthohe1 Blechdicke1 )))
           (setq p5 (polar  p3 (aib 0.) (- Abkanthohe1 Blechdicke1 (/ 10 M))))
           (setq p6 (polar  p4 (aib 90.) (/ 10. M)))
           (setq p7 (polar  BP1 (aib 90.) 60 ))
           (setq p8 (polar  p1 (aib 90.) 60 ))
           (setq p9 (polar  p3 (aib 90.) 60 ))
           (setq p10 (polar  p4 (aib 90.) 60 ))
           (setq p11 (polar  BP1 (aib 270.) ABSS1))
           (setq p12 (polar  P11 (aib 270.) (/ 12. M)))
           (setq p13 (polar  P12 (aib 270.) 10))
           (setq p14 (polar  P13 (aib 270.) 8))
           (setq p15 (polar  P14 (aib 270.) 8))
           (setq p16 (polar  P13 (aib 180.) 9))
           (setq p16t (polar  P16 (aib 90.) 1.5))
           (setq p17 (list (car P2) (cadr P13) ))
           (setq p18 (list (car P3) (cadr P13) ))
           (setq p19 (polar P18 (aib 00.) 9))
           (setq p19t (polar  P19 (aib 90.) 1.5))
           (setq p19tt (polar  P19t (aib 180.) 4))
           (setq p21 (list (car BP2) (+ (cadr P17) 2)))
           (setq p22 (list (car BP2) (- (cadr P16) 2)))
           (setq p23 (list (car p13) (- (cadr P13) 2)))
           (setq p24 (list (car p13) (- (cadr P14) 2)))
           (setq p25 (list (car p13) (- (cadr P14) 10) ))
           (setq p26 p14)
           (setq p27 (list (car p4) (+ (cadr P19T) 4)))
           (setq p28 (list (car p4) (- (cadr P19) 2) ))
           (setq p29 (list (car p17) (+ (cadr P26) 2) ))
           (setq p30 (list (car p17) (- (cadr P26) 2) ))
           (setq p31 (list (car p18) (- (cadr P18) 6) ))
           (setq p32 (list (car p18) (- (cadr P18) 10) ))
           (setq p33 (polar BP2 (aib 180.) 50.))
           (setq p40 (polar bp1 (aib 90.) 10.))
           (setq p41 (polar p1 (aib 90.) 10.))
           (setq p42 (polar p3 (aib 90.) 10.))
           (setq BP33 (polar p15 (aib 270.) 8.))

   ;*** Geometriedarstellung *********************
           (command "_layer" "_s" Vollinie05 "")
           (command "_line" P3 P5 P6 P10 "")
           (command "_layer" "_s" VerdeckteLinie025 "")
           (command "_layer" "_s" Masslinie "")
           (SETQ HILFE1 (distance P2 BP1))
           (SETQ HILFE1 (* HILFE1 M))
           (setq BEMTEXT1 (RTOS HILFE1 2 1))
           (SETQ HILFE2 (- (car P3) (car P2)))
           (SETQ HILFE2 (* HILFE2 M))
           (setq BEMTEXT2 (RTOS HILFE2 2 1))
           (command "_line" P23 P12 "")
           (command "_line" P16 P19 "")
           (command "_line" BP2 P21 "")
           (setq Abstand1 (- (car P6) (car P3) ))
           (setq Abstand2 (- (car P2) (car BP1)))
           (IF (<= Abstand1 9.) (command "_line" P6 P27 ""))
           (IF (> Abstand1 9.)   (command "_line" P6 P28 ""))
           (IF (<= Abstand1 9.71) (command "_line" P2 P29 ""))
           (IF (> Abstand1 9.71)   (command "_line" P2 P30 ""))
           (IF (<= Abstand2 9.71) (command "_line" P3 P31 ""))
           (IF (> Abstand2 9.71)   (command "_line" P3 P32 ""))
           (command "_dimstyle" "_r" BStilAA "_dim")
           (command "_hor" p30 p28 P15 "")
           (command "_hor" p32 p28 P26 "")
'           (command "_hor" p17 p22 P14 "")

           (command "_hor" P30 BP3X P15 "")
           (command "_hor" BP3X p28 BP33 "")

           (command "_exit")
           (command "_insert" "BEMKREIS" P17 "1" "" "0")
           (command "_insert" "BEMPFEIL" P13 "1" "" "180")
           (command "_insert" "KANTE1" P40 "1" "" "0")
           (command "_insert" "KANTE2" P41 "1" "" "0")
           (command "_insert" "KANTE1" P42 "1" "" "0")
           (command "_text" P16T "3" "0" BEMTEXT1)
           (command "_insert" "BEMPFEIL" P18 "1" "" "0")
           (command "_text" P19TT "3" "0" BEMTEXT2)
         )
       )
       (IF (/= Schenkelhohe NIL)
         (progn
           (setq bp3x (polar  bp3 (aib 270.) 4.))
           (setq p1 (polar  bp1 (aib 0.) (/ 10. M)))
           (if (= Blechdicke 5)
              (progn
                (setq p1 (polar  bp1 (aib 0.) (/ 12. M)))
              )
           )
           (setq p2 (polar  bp1 (aib 0.) (/ ABSSS M)))
           (setq p3 BP2)
           (setq p4 (polar  p3 (aib 0.) (- (+ Abkanthohe1 Schenkelhohe1) (* Blechdicke1 3.))))
           (setq p5 (polar  p4 (aib 180.) (/ 10 M)))
           (setq p6 (polar  p4 (aib 90.) (/ 10 M)))
           (setq p7 (polar  BP1 (aib 90.) 60 ))
           (setq p8 (polar  p1 (aib 90.) 60 ))
           (setq p9 (polar  p3 (aib 90.) 60 ))
           (setq p10 (polar  p4 (aib 90.) 60 ))
           (setq p11 (polar  BP1 (aib 270.) ABSS1))
           (setq p12 (polar  P11 (aib 270.) (/ 12 M)))
           (setq p13 (polar  P12 (aib 270.) 10))
           (setq p14 (polar  P13 (aib 270.) 8))
           (setq p15 (polar  P14 (aib 270.) 8))
           (setq p16 (polar  P13 (aib 180.) 9))
           (setq p16t (polar  P16 (aib 90.) 1.5))
           (setq p17 (list (car P2) (cadr P13) ))
           (setq p18 (list (car P3) (cadr P13)))
           (setq p19 (polar P18 (aib 0.) 9))
           (setq p19t (polar  P19 (aib 90.) 1.5))
           (setq p19tt (polar  P19t (aib 180.) 4))

           (setq p21 (list (car BP2) (+ (cadr P17) 2) ))
           (setq p22 (list (car BP2) (- (cadr P16) 2) ))
           (setq p23 (list (car p13) (- (cadr P13) 2) ))
           (setq p24 (list (car p13) (- (cadr P14) 2) ))
           (setq p25 (list (car p13) (- (cadr P14) 10) ))
           (setq p26 p14)
           (setq p27 (list (car p4) (+ (cadr P19T) 4) ))
           (setq p28 (list (car p4) (- (cadr P19) 2) ))
           (setq p29 (list (car p17) (+ (cadr P26) 2) ))
           (setq p30 (list (car p17) (- (cadr P26) 2) ))
           (setq p31 (list (car p18) (- (cadr P18) 2) ))
           (setq p32 (list (car p18) (- (cadr P18) 10) ))
           (setq p33 (polar BP2 (aib 180.) 50.))
           (setq p34 (polar p3 (aib 0.) (- Abkanthohe1 (* Blechdicke1 2))))
           (setq p35 (polar p34 (aib 90.) 60.))
           (setq p36 (polar p34 (aib 90.) 18.))
           (setq p37 (polar p34 (aib 90.) 26.))
           (setq p40 (polar bp1 (aib 90.) 10.))
           (setq p41 (polar p1 (aib 90.) 10.))
           (setq p42 (polar p3 (aib 90.) 10.))
           (setq p43 (polar p34 (aib 90.) 10.))
           (setq BP33 (polar p14 (aib 270.) 8.))
           (setq P22X (list (car p22) (- (cadr P14) 6) ))

   ;*** Geometriedarstellung ******************
           (command "_layer" "_s" Vollinie05 "")
           (command "_line" P3 P5 P6 P10 "")
           (command "_layer" "_s" VerdeckteLinie025 "")
           (command "_line" P34 P35 "")
           (command "_layer" "_s" Masslinie "")
           (SETQ HILFE1 (distance P2 BP1))
           (SETQ HILFE1 (* HILFE1 M))
           (setq BEMTEXT1 (RTOS HILFE1 2 1))
           (SETQ HILFE2 (- (car P3) (car P2)))
           (SETQ HILFE2 (* HILFE2 M))
           (setq BEMTEXT2 (RTOS HILFE2 2 1))
           (command "_line" P23 P12 "")
           (command "_line" P3 P31 "")
           (command "_line" P16 P19 "")
           (setq Abstand1 (- (car P6) (car P3) ))
           (setq Abstand2 (- (car P2) (car BP1)))
           (IF (<= Abstand1 9.)
              (command "_line" P6 P27 "")
           )
           (IF (> Abstand1 9.)
              (command "_line" P6 P28 "")
           )
           (command "_dimstyle" "_r" BStilAA "_dim")
           (command "_hor" p2 p28 P26 "")
           (command "_hor" p17 p22 P14 "")
           (command "_hor" p2 bp3X P26 "")
           (command "_hor" bp3x p28 bp33 "")
;           (command "_dimstyle" "_r" BStilEE "_dim")
           (command "_hor" p3 p34 P36 "")
           (command "_hor" p34 p6 P37 "")
           (command "_exit")
           (command "_insert" "BEMKREIS" P17 "1" "" "0")
           (command "_insert" "BEMPFEIL" P13 "1" "" "180")
           (command "_insert" "KANTE1" P40 "1" "" "0")
           (command "_insert" "KANTE2" P41 "1" "" "0")
           (command "_insert" "KANTE1" P42 "1" "" "0")
           (command "_insert" "KANTE1" P43 "1" "" "0")
           (command "_text" P16T "3" "0" BEMTEXT1)
           (command "_insert" "BEMPFEIL" P18 "1" "" "0")
           (command "_text" P19TT "3" "0" BEMTEXT2)
         )
       )
     )
   )
   (if (= Detailname "3")
     (progn
       (IF (= Schenkelhohe NIL)
         (progn
           (setq bp3x (polar bp3 (aib 0.) 4.))
           (setq p1 (polar  bp1 (aib 90.) (/ 10. M)))
           (if (= Blechdicke 5)
              (progn
                (setq p1 (polar  bp1 (aib 0.) (/ 12. M)))
              )
           )
           (setq p2 (polar  bp1 (aib 90.) (/ ABSSS M)))
           (setq p3 (polar  p2 (aib 90.) (- ABS1 Blechdicke1)))
           (setq p4 (polar  p3 (aib 90.) (- Abkanthohe1 Blechdicke1 )))
           (setq p5 (polar  p3 (aib 90.) (- Abkanthohe1 Blechdicke1 (/ 10 M))))
           (setq p6 (polar  p4 (aib 180.) (/ 10. M)))
           (setq p7 (polar  BP1 (aib 180.) 60 ))
           (setq p8 (polar  p1 (aib 180.) 60 ))
           (setq p9 (polar  p3 (aib 180.) 60 ))
           (setq p10 (polar  p4 (aib 180.) 60 ))
           (setq p11 (polar  BP1 (aib 0.) ABSS1))
           (setq p12 (polar  P11 (aib 0.) (/ 12. M)))
           (setq p13 (polar  P12 (aib 0.) 10))
           (setq p14 (polar  P13 (aib 0.) 8))
           (setq p15 (polar  P14 (aib 0.) 16))
           (setq p16 (polar  P13 (aib 270.) 9))
           (setq p16t (polar  P16 (aib 180.) 1.5))
           (setq p17 (list (car P13) (cadr P2)))
           (setq p18 (list (car P13) (cadr P3)))
           (setq p19 (polar P18 (aib 90.) 9))
           (setq p19t (polar  P19 (aib 180.) 1.5))
           (setq p19tt (polar  P19t (aib 270.) 4))
           (setq p21 (list (- (car P17) 2) (cadr BP2)))
           (setq p22 (list (+ (car P16) 2) (cadr BP2) ))
           (setq p23 (list (+ (car P13) 2) (cadr p13) ))
           (setq p24 (list (+ (car P14) 2) (cadr p13) ))
           (setq p25 (list (+ (car P14) 10) (cadr p13) ))
           (setq p26 (list (+ (car P14) 8) (cadr p14) ))
           (setq p27 (list (- (car P19T) 4) (cadr p4) ))
           (setq p28 (list (+ (car P19) 2) (cadr p4) ))
           (setq p29 (list (- (car P26) 2) (cadr p17) ))
           (setq p30 (list (+ (car P26) 2) (cadr p17) ))
           (setq p31 (list (+ (car P18) 6) (cadr p18) ))
           (setq p32 (list (+ (car P18) 10) (cadr p18) ))
           (setq p33 (polar BP2 (aib 270.) 50.))
           (setq p40 (polar bp1 (aib 180.) 10.))
           (setq p41 (polar p1 (aib 180.) 10.))
           (setq p42 (polar p3 (aib 180.) 10.))
           (setq BP33 (polar p15 (aib 0.) 8.))

   ;*** Geometriedarstellung *************************
           (command "_layer" "_s" Vollinie05 "")
           (command "_line" BP1 P5 P6 P10 "")
           (command "_layer" "_s" VerdeckteLinie025 "")
           (command "_line" BP1 P7 "")
           (command "_line" P1 P8 "")
           (command "_line" P3 P9 "")
           (command "_layer" "_s" Masslinie "")
           (SETQ HILFE1 (distance P2 BP1))
           (SETQ HILFE1 (* HILFE1 M))
           (setq BEMTEXT1 (RTOS HILFE1 2 1))
           (SETQ HILFE2 (distance P2 P3))
           (SETQ HILFE2 (* HILFE2 M))
           (setq BEMTEXT2 (RTOS HILFE2 2 1))
           (command "_line" P23 P12 "")
           (command "_line" P16 P19 "")
           (command "_line" BP2 P21 "")
           (setq Abstand1 (- (cadr P6) (cadr P3)))
           (setq Abstand2 (- (cadr P2) (cadr BP2)))
           (IF (<= Abstand1 9.)     (command "_line" P6 P27 ""))
           (IF (> Abstand1 9.)       (command "_line" P6 P28 "") )
           (IF (<= Abstand1 9.71) (command "_line" P2 P29 ""))
           (IF (> Abstand1 9.71)   (command "_line" P2 P30 ""))
           (IF (<= Abstand2 9.71) (command "_line" P3 P31 ""))
           (IF (> Abstand2 9.71)   (command "_line" P3 P32 ""))
           (command "_dimstyle" "_r" BStilAA "_dim")
           (command "_ver" p30 p28 P15 "")
           (command "_ver" p32 p28 P26 "")
           (command "_ver" p17 p22 P14 "")
           (command "_ver" P30 BP3X P15 "")
           (command "_ver" BP3X p28 BP33 "")

           (command "_exit")
           (command "_insert" "BEMKREIS" P17 "1" "" "90")
           (command "_insert" "BEMPFEIL" P13 "1" "" "270")
           (command "_insert" "KANTE1" P40 "1" "" "90")
           (command "_insert" "KANTE2" P41 "1" "" "90")
           (command "_insert" "KANTE1" P42 "1" "" "90")
           (command "_text" P16T "3" "90" BEMTEXT1)
           (command "_insert" "BEMPFEIL" P18 "1" "" "90")
           (command "_text" P19TT "3" "90" BEMTEXT2)
         )
       )
       (IF (/= Schenkelhohe NIL)
         (progn
           (setq bp3x (polar bp3 (aib 0.) 4.))
           (setq p1 (polar  bp1 (aib 90.) (/ 10. M)))
           (if (= Blechdicke 5)
              (progn
                (setq p1 (polar  bp1 (aib 0.) (/ 12. M)))
              )
           )
           (setq p2 (polar  bp1 (aib 90.) (/ ABSSS M)))
           (setq p3 (polar  p2 (aib 90.) (- ABS1 Blechdicke1)))
           (setq p4 (polar  p3 (aib 90.) (- (+ Abkanthohe1 Schenkelhohe1) (* Blechdicke1 3.))))
           (setq p5 (polar  p4 (aib 270.) (/ 10 M)))
           (setq p6 (polar  p4 (aib 180.) (/ 10 M)))
           (setq p7 (polar  BP1 (aib 180.) 60 ))
           (setq p8 (polar  p1 (aib 180.) 60 ))
           (setq p9 (polar  p3 (aib 180.) 60 ))
           (setq p10 (polar  p4 (aib 180.) 60 ))
           (setq p11 (polar  BP1 (aib 0.) ABSS1))
           (setq p12 (polar  P11 (aib 0.) (/ 12 M)))
           (setq p13 (polar  P12 (aib 0.) 10))
           (setq p14 (polar  P13 (aib 0.) 8))
           (setq p15 (polar  P14 (aib 0.) 16))
           (setq p16 (polar  P13 (aib 270.) 9))
           (setq p16t (polar  P16 (aib 180.) 1.5))
           (setq p17 (list (car P13) (cadr P2)))
           (setq p18 (list (car P13) (cadr P3)))
           (setq p19 (polar P18 (aib 90.) 9))
           (setq p19t (polar  P19 (aib 180.) 1.5))
           (setq p19tt (polar  P19t (aib 270.) 4))
           (setq p21 (list (- (car P17) 2) (cadr BP2)))
           (setq p22 (list (+ (car P16) 2) (cadr BP2)))
           (setq p23 (list (+ (car P13) 2) (cadr p13) ))
           (setq p24 (list (+ (car P14) 2) (cadr p13) ))
           (setq p25 (list (+ (car P14) 10) (cadr p13) ))
           (setq p26 (list (+ (car P14) 16) (cadr p14) ))
           (setq p27 (list (- (car P19T) 4) (cadr p4)))
           (setq p28 (list (+ (car P19) 2) (cadr p4) ))
           (setq p29 (list (- (car P26) 2) (cadr p17) ))
           (setq p30 (list (+ (car P26) 2) (cadr p17) ))
           (setq p31 (list (+ (car P18) 2) (cadr p18) ))
           (setq p32 (list (+ (car P18) 10) (cadr p18)))
           (setq p33 (polar BP2 (aib 270.) 50.))
           (setq p34 (polar p3 (aib 90.) (- Abkanthohe1 (* Blechdicke1 2))))
           (setq p35 (polar p34 (aib 180.) 60.))
           (setq p36 (polar p34 (aib 180.) 18.))
           (setq p37 (polar p34 (aib 180.) 26.))
           (setq p40 (polar bp1 (aib 180.) 10.))
           (setq p41 (polar p1 (aib 180.) 10.))
           (setq p42 (polar p3 (aib 180.) 10.))
           (setq p43 (polar p34 (aib 180.) 10.))
           (setq BP33 (polar p15 (aib 0.) 8.))
           (setq P22X (list (+ (car P14) 6) (cadr p22)))

   ;*** Geometriedarstellung *********************
           (command "_layer" "_s" Vollinie05 "")
           (command "_line" BP1 P5 P6 P10 "")
           (command "_layer" "_s" VerdeckteLinie025 "")
           (command "_line" BP1 P7 "")
           (command "_line" P1 P8 "")
           (command "_line" P3 P9 "")
           (command "_line" P34 P35 "")
           (command "_layer" "_s" Masslinie "")
           (SETQ HILFE1 (distance P2 BP1))
           (SETQ HILFE1 (* HILFE1 M))
           (setq BEMTEXT1 (RTOS HILFE1 2 1))
           (SETQ HILFE2 (distance P2 P3))
           (SETQ HILFE2 (* HILFE2 M))
           (setq BEMTEXT2 (RTOS HILFE2 2 1))
           (command "_line" P23 P12 "")
           (command "_line" P3 P31 "")
           (command "_line" P16 P19 "")
           (command "_line" BP2 P21 "")
           (command "_line" p22 P22x "")
           (setq Abstand1 (- (cadr P6) (cadr P3)))
           (setq Abstand2 (- (cadr P2) (cadr BP2)))
           (IF (<= Abstand1 9.)
              (command "_line" P6 P27 "")
           )
           (IF (> Abstand1 9.)
              (command "_line" P6 P28 "")
           )
           (command "_dimstyle" "_r" BStilAA "_dim")
           (command "_ver" p2 p28 P15 "")
           (command "_ver" p17 p22 P14 "")
           (command "_ver" p2 bp3X P15 "")
           (command "_ver" bp3x p28 bp33 "")
;           (command "_dimstyle" "_r" BStilEE "_dim")
           (command "_ver" p3 p34 P36 "")
           (command "_ver" p34 p6 P37 "")
           (command "_exit")
           (command "_insert" "BEMKREIS" P17 "1" "" "90")
           (command "_insert" "BEMPFEIL" P13 "1" "" "270")
           (command "_insert" "KANTE1" P40 "1" "" "90")
           (command "_insert" "KANTE2" P41 "1" "" "90")
           (command "_insert" "KANTE1" P42 "1" "" "90")
           (command "_insert" "KANTE1" P43 "1" "" "90")
           (command "_text" P16T "3" "90" BEMTEXT1)
           (command "_insert" "BEMPFEIL" P18 "1" "" "90")
           (command "_text" P19TT "3" "90" BEMTEXT2)
         )
       )
     )
   )
'*****************************************
   (if (= Detailname "5")
     (progn
     (IF (= Schenkelhohe NIL)
        (progn
           (setq bp3x (polar  bp3 (aib 0.) 4.))
           (setq p1 (polar  bp1 (aib 90.) (/ 10. M)))
           (if (= Blechdicke 5)
              (progn
                (setq p1 (polar  bp1 (aib 0.) (/ 12. M)))
              )
           )

           (setq p2 (polar  bp1 (aib 90.) (/ 16. M)))
           (setq p3 (polar  p2 (aib 90.) (- ABS1 Blechdicke1)))
           (setq p4 (polar  p3 (aib 90.) (- Abkanthohe1 Blechdicke1 )))
           (setq p5 (polar  p3 (aib 90.) (- Abkanthohe1 Blechdicke1 (/ 10 M))))
           (setq p6 (polar  p4 (aib 180.) (/ 10. M)))
           (setq p7 (polar  BP1 (aib 180.) 60 ))
           (setq p8 (polar  p1 (aib 180.) 60 ))
           (setq p9 (polar  p3 (aib 180.) 60 ))
           (setq p10 (polar  p4 (aib 180.) 60 ))
           (setq p11 (polar  BP1 (aib 0.) ABSS1))
           (setq p12 (polar  P11 (aib 0.) (/ 12. M)))
           (setq p13 (polar  P12 (aib 0.) 10))
           (setq p14 (polar  P13 (aib 0.) 8))
           (setq p15 (polar  P14 (aib 0.) 8))
           (setq p16 (polar  P13 (aib 270.) 9))
           (setq p16t (polar  P16 (aib 180.) 1.5))
           (setq p17 (list (car P13) (cadr P2)))
           (setq p18 (list (car P13) (cadr P3)))
           (setq p19 (polar P18 (aib 90.) 9))
           (setq p19t (polar  P19 (aib 180.) 1.5))
           (setq p19tt (polar  P19t (aib 270.) 4))
           (setq p21 (list (- (car P17) 2) (cadr BP2)))
           (setq p22 (list (+ (car P16) 2) (cadr BP2) ))
           (setq p23 (list (+ (car P13) 2) (cadr p13) ))
           (setq p24 (list (+ (car P14) 2) (cadr p13) ))
           (setq p25 (list (+ (car P14) 10) (cadr p13) ))
           (setq p26 (list (car P14) (cadr p14) ))
           (setq p27 (list (- (car P19T) 4) (cadr p4) ))
           (setq p28 (list (+ (car P19) 2) (cadr p4) ))
           (setq p29 (list (- (car P26) 2) (cadr p17) ))
           (setq p30 (list (+ (car P26) 2) (cadr p17) ))
           (setq p31 (list (+ (car P18) 6) (cadr p18) ))
           (setq p32 (list (+ (car P18) 10) (cadr p18) ))
           (setq p33 (polar BP2 (aib 270.) 50.))
           (setq p40 (polar bp1 (aib 180.) 10.))
           (setq p41 (polar p1 (aib 180.) 10.))
           (setq p42 (polar p3 (aib 180.) 10.))
           (setq BP33 (polar p15 (aib 0.) 8.))

   ;*** Geometriedarstellung ***********************
           (command "_layer" "_s" Vollinie05 "")
           (command "_line" BP1 P5 P6 P10 "")
           (command "_layer" "_s" VerdeckteLinie025 "")
           (command "_line" BP1 P7 "")
           (command "_line" P1 P8 "")
           (command "_line" P3 P9 "")
           (command "_layer" "_s" Masslinie "")
           (SETQ HILFE1 (distance P2 BP1))
           (SETQ HILFE1 (* HILFE1 M))
           (setq BEMTEXT1 (RTOS HILFE1 2 1))
           (SETQ HILFE2 (distance P2 P3))
           (SETQ HILFE2 (* HILFE2 M))
           (setq BEMTEXT2 (RTOS HILFE2 2 1))
           (command "_line" P23 P12 "")
           (command "_line" P16 P19 "")
           (command "_line" BP2 P21 "")
           (setq Abstand1 (- (cadr P6) (cadr P3)))
           (setq Abstand2 (- (cadr P2) (cadr BP2)))
           (IF (<= Abstand1 9.)
              (command "_line" P6 P27 "")
           )
           (IF (> Abstand1 9.)
              (command "_line" P6 P28 "")
           )
           (IF (<= Abstand1 9.71)
              (command "_line" P2 P29 "")
           )
           (IF (> Abstand1 9.71)
                  (command "_line" P2 P30 "")
           )
           (IF (<= Abstand2 9.71)
              (command "_line" P3 P31 "")
           )
           (IF (> Abstand2 9.71)
              (command "_line" P3 P32 "")
           )
           (command "_dimstyle" "_r" BStilAA "_dim")
           (command "_ver" p30 p28 P15 "")
           (command "_ver" p32 p28 P26 "")
'           (command "_ver" p17 p22 P14 "")
           (command "_ver" P30 BP3X P15 "")
           (command "_ver" BP3x p28 BP33 "")

           (command "_exit")
           (command "_insert" "BEMKREIS" P17 "1" "" "90")
           (command "_insert" "BEMPFEIL" P13 "1" "" "270")
           (command "_insert" "KANTE1" P40 "1" "" "90")
           (command "_insert" "KANTE2" P41 "1" "" "90")
           (command "_insert" "KANTE1" P42 "1" "" "90")
           (command "_text" P16T "3" "90" BEMTEXT1)
           (command "_insert" "BEMPFEIL" P18 "1" "" "90")
           (command "_text" P19TT "3" "90" BEMTEXT2)
         )
       )
       (IF (/= Schenkelhohe NIL)
         (progn
           (setq bp3x (polar  bp3 (aib 0.) 4.))
           (setq p1 (polar  bp1 (aib 90.) (/ 10. M)))
           (if (= Blechdicke 5)
              (progn
                (setq p1 (polar  bp1 (aib 0.) (/ 12. M)))
              )
           )
           (setq p2 (polar  bp1 (aib 90.) (/ 16. M)))
           (setq p3 (polar  p2 (aib 90.) (- ABS1 Blechdicke1)))
           (setq p4 (polar  p3 (aib 90.) (- (+ Abkanthohe1 Schenkelhohe1) (* Blechdicke1 3.))))
           (setq p5 (polar  p4 (aib 270.) (/ 10 M)))
           (setq p6 (polar  p4 (aib 180.) (/ 10 M)))
           (setq p7 (polar  BP1 (aib 180.) 60 ))
           (setq p8 (polar  p1 (aib 180.) 60 ))
           (setq p9 (polar  p3 (aib 180.) 60 ))
           (setq p10 (polar  p4 (aib 180.) 60 ))
           (setq p11 (polar  BP1 (aib 0.) ABSS1))
           (setq p12 (polar  P11 (aib 0.) (/ 12 M)))
           (setq p13 (polar  P12 (aib 0.) 10))
           (setq p14 (polar  P13 (aib 0.) 8))
           (setq p15 (polar  P14 (aib 0.) 8))
           (setq p16 (polar  P13 (aib 270.) 9))
           (setq p16t (polar  P16 (aib 180.) 1.5))
           (setq p17 (list (car P13) (cadr P2)))
           (setq p18 (list (car P13) (cadr P3)))
           (setq p19 (polar P18 (aib 90.) 9))
           (setq p19t (polar  P19 (aib 180.) 1.5))
           (setq p19tt (polar  P19t (aib 270.) 4))
           (setq p21 (list (- (car P17) 2) (cadr BP2)))
           (setq p22 (list (+ (car P16) 2) (cadr BP2)))
           (setq p23 (list (+ (car P13) 2) (cadr p13) ))
           (setq p24 (list (+ (car P14) 2) (cadr p13) ))
           (setq p25 (list (+ (car P14) 10) (cadr p13) ))
           (setq p26 (list (+ (car P14) 8) (cadr p14) ))
           (setq p27 (list (- (car P19T) 4) (cadr p4)))
           (setq p28 (list (+ (car P19) 2) (cadr p4) ))
           (setq p29 (list (- (car P26) 2) (cadr p17) ))
           (setq p30 (list (+ (car P26) 2) (cadr p17) ))
           (setq p31 (list (+ (car P18) 2) (cadr p18) ))
           (setq p32 (list (+ (car P18) 10) (cadr p18)))
           (setq p33 (polar BP2 (aib 270.) 50.))
           (setq p34 (polar p3 (aib 90.) (- Abkanthohe1 (* Blechdicke1 2))))
           (setq p35 (polar p34 (aib 180.) 60.))
           (setq p36 (polar p34 (aib 180.) 18.))
           (setq p37 (polar p34 (aib 180.) 26.))
           (setq p40 (polar bp1 (aib 180.) 10.))
           (setq p41 (polar p1 (aib 180.) 10.))
           (setq p42 (polar p3 (aib 180.) 10.))
           (setq p43 (polar p34 (aib 180.) 10.))
           (setq BP33 (polar p15 (aib 0.) 8.))
           (setq P22X (list (+ (car P14) 6) (cadr p22)))

   ;*** Geometriedarstellung *******************
           (command "_layer" "_s" Vollinie05 "")
           (command "_line" BP1 P5 P6 P10 "")
           (command "_layer" "_s" VerdeckteLinie025 "")
           (command "_line" BP1 P7 "")
           (command "_line" P1 P8 "")
           (command "_line" P3 P9 "")
           (command "_line" P34 P35 "")
           (command "_layer" "_s" Masslinie "")
           (SETQ HILFE1 (distance P2 BP1))
           (SETQ HILFE1 (* HILFE1 M))
           (setq BEMTEXT1 (RTOS HILFE1 2 1))
           (SETQ HILFE2 (distance P2 P3))
           (SETQ HILFE2 (* HILFE2 M))
           (setq BEMTEXT2 (RTOS HILFE2 2 1))
           (command "_line" P23 P12 "")
           (command "_line" P16 P19 "")
           (command "_line" BP2 P21 "")
           (command "_line" p22 P22x "")
           (command "_line" p3 P31 "")
           (setq Abstand1 (- (cadr P6) (cadr P3)))
           (setq Abstand2 (- (cadr P2) (cadr BP2)))
           (IF (<= Abstand1 9.)
              (command "_line" P6 P27 "")
           )
           (IF (> Abstand1 9.)
              (command "_line" P6 P28 "")
           )
           (command "_dimstyle" "_r" BStilAA "_dim")
           (command "_ver" p2 p28 P15 "")
 '          (command "_ver" p17 p22 P14 "")
           (command "_ver" p2 bp3X P15 "")
           (command "_ver" bp3x p28 bp33 "")
;           (command "_dimstyle" "_r" BStilEE "_dim")
           (command "_ver" p3 p34 P36 "")
           (command "_ver" p34 p6 P37 "")
           (command "_exit")
           (command "_insert" "BEMKREIS" P17 "1" "" "90")
           (command "_insert" "BEMPFEIL" P13 "1" "" "270")
           (command "_insert" "KANTE1" P40 "1" "" "90")
           (command "_insert" "KANTE2" P41 "1" "" "90")
           (command "_insert" "KANTE1" P42 "1" "" "90")
           (command "_insert" "KANTE1" P43 "1" "" "90")
           (command "_text" P16T "3" "90" BEMTEXT1)
           (command "_insert" "BEMPFEIL" P18 "1" "" "90")
           (command "_text" P19TT "3" "90" BEMTEXT2)
         )
       )
     )
   )
'*******************************************
   (if (= Detailname "2")
     (progn
       (IF (= Schenkelhohe NIL)
         (progn
           (setq p1 (polar  bp1 (aib 0.) (- Abkanthohe1 Blechdicke1 )))
           (setq p2 (polar  bp1 (aib 0.) (- Abkanthohe1 Blechdicke1 (/ 10 M))))
           (setq p3 (polar  p1 (aib 90.) (/ 10 M)))
           (setq p4 (polar  p1 (aib 90.) 90. ))
           (setq p5 (polar  bp1 (aib 270.) 16.))
           (setq p6 (polar  bp1 (aib 90.) 20.))
           (setq p7 (polar  p5 (aib 270.) 8.))
           (setq p8 (polar  p7 (aib 270.) 8.))
           (setq p9 (polar  p8 (aib 270.) 8.))
           (setq BP33 (polar bp3 (aib 270.) 4.))

   ;*** Geometriedarstellung *********************
           (command "_layer" "_s" Vollinie05 "")
           (command "_line" BP1 P2 P3 P4 "")
           (command "_layer" "_s" Masslinie "")
           (command "_dimstyle" "_r" BStilAA "_dim")
           (command "_hor" bp1 bp2 p5 "")
           (command "_hor" BP2 p3 P7 "")
           (command "_hor" BP2 BP33 P8 "")
           (command "_hor" P3 BP33 P9 "")
           (command "_exit")
           (command "_insert" "KANTE1" P6 "1" "" "0")
         )
       )
       (IF (/= Schenkelhohe NIL)
         (progn
           (setq p1 (polar  bp1 (aib 0.) (- (+ Abkanthohe1 Schenkelhohe1) (* Blechdicke1 3))))
           (setq p2 (polar  p1 (aib 180.) (/ 10 M)))
           (setq p3 (polar  p1 (aib 90.) (/ 10 M)))
           (setq p4 (polar  p1 (aib 90.) 60))
           (setq p5 (polar  bp1 (aib 270.) 16))
           (setq p6 (polar p5 (aib 270.) 8))
           (setq p7 (polar  bp1 (aib 0.) (- Abkanthohe1 (* Blechdicke1 2))))
           (setq p8 (polar  p7 (aib 90.) 60))
           (setq p9 (polar  p6 (aib 270.) 8))
           (setq p10 (polar bp1 (aib 90.) 20. ))
           (setq p11 (polar p7 (aib 90.) 20. ))
           (setq BP3x (polar bp3 (aib 270.) 4.))
           (setq BP333 (polar p9 (aib 270.) 8.))
           (setq BP3333 (polar p3 (aib 90.) 10.))

   ;*** Geometriedarstellung ********************
           (command "_layer" "_s" Vollinie05 "")
           (command "_line" BP1 P2 P3 P4 "")
           (command "_layer" "_s" VerdeckteLinie025 "")
           (command "_line" p7 P8 "")
           (command "_layer" "_s" Masslinie "")
           (command "_dimstyle" "_r" BStilAA "_dim")
           (command "_hor" bp1 bp2 p5 "")
           (command "_hor" p7 bp1 P6 "")
           (command "_hor" bp2 p3 P9 "")
           (command "_hor" BP2 BP3x P9 "")
           (command "_hor" BP3x P3 BP333 "")
;           (command "_dimstyle" "_r" BStilEE "_dim")
           (command "_hor" p7 p3 BP3333 "")
           (command "_exit")
           (command "_insert" "KANTE1" P10 "1" "" "0")
           (command "_insert" "KANTE1" P11 "1" "" "0")
         )
       )
     )
   )

'****************************************
   (if (= Detailname "1")
     (progn
       (IF (= Schenkelhohe NIL)
         (progn
           (setq p1 (polar  bp1 (aib 90.) (- Abkanthohe1 Blechdicke1 )))
           (setq p2 (polar  bp1 (aib 90.) (- Abkanthohe1 Blechdicke1 (/ 10 M))))
           (setq p3 (polar  p1 (aib 180.) (/ 10 M)))
           (setq p4 (polar  p1 (aib 180.) 90. ))
           (setq p5 (polar  bp1 (aib 0.) 16.))
           (setq p6 (polar  bp1 (aib 180.) 20.))
           (setq p7 (polar  p5 (aib 0.) 8.))
           (setq p8 (polar  p7 (aib 0.) 8.))
           (setq p9 (polar  p8 (aib 0.) 8.))
           (setq BP33 (polar bp3 (aib 0.) 4.))

   ;*** Geometriedarstellung ********************
           (command "_layer" "_s" Vollinie05 "")
           (command "_line" BP1 P2 P3 P4 "")
           (command "_layer" "_s" Masslinie "")
           (command "_dimstyle" "_r" BStilAA "_dim")
           (command "_ver" bp1 bp2 p5 "")
           (command "_ver" BP1 p3 P7 "")
           (command "_ver" BP2 BP33 P8 "")
           (command "_ver" P3 BP33 P9 "")
           (command "_exit")
           (command "_insert" "KANTE1" P6 "1" "" "90")
         )
       )
       (IF (/= Schenkelhohe NIL)
         (progn
           (setq p1 (polar  bp1 (aib 90.) (- (+ Abkanthohe1 Schenkelhohe1) (* Blechdicke1 3))))
           (setq p2 (polar  p1 (aib 270.) (/ 10 M)))
           (setq p3 (polar  p1 (aib 180.) (/ 10 M)))
           (setq p4 (polar  p1 (aib 180.) 60))
           (setq p5 (polar  bp1 (aib 0.) 16))
           (setq p6 (polar p5 (aib 0.) 8))
           (setq p7 (polar  bp1 (aib 90.) (- Abkanthohe1 (* Blechdicke1 2))))
           (setq p8 (polar  p7 (aib 180.) 60))
           (setq p9 (polar  p6 (aib 0.) 8))
           (setq p10 (polar bp1 (aib 180.) 20. ))
           (setq p11 (polar p7 (aib 180.) 20. ))
           (setq BP3x (polar bp3 (aib 0.) 4.))
           (setq BP333 (polar p9 (aib 0.) 8.))
           (setq BP3333 (polar p3 (aib 180.) 10.))

   ;*** Geometriedarstellung ******************
           (command "_layer" "_s" Vollinie05 "")
           (command "_line" BP1 P2 P3 P4 "")
           (command "_layer" "_s" VerdeckteLinie025 "")
           (command "_line" p7 P8 "")
           (command "_layer" "_s" Masslinie "")
           (command "_dimstyle" "_r" BStilAA "_dim")
           (command "_ver" bp1 bp2 p5 "")
           (command "_ver" p7 bp1 P6 "")
           (command "_ver" bp2 p3 P9 "")
           (command "_ver" BP2 BP3x P9 "")
           (command "_ver" BP3x P3 BP333 "")
;           (command "_dimstyle" "_r" BStilEE "_dim")
           (command "_ver" p7 p3 BP3333 "")
           (command "_exit")
           (command "_insert" "KANTE1" P10 "1" "" "90")
           (command "_insert" "KANTE1" P11 "1" "" "90")
         )
       )
     )
   )
'**********************************************
   (if (= Detailname "7")
     (progn
       (IF (= Schenkelhohe NIL)
         (progn
           (setq BP1A (polar BP1 (aib 270.) Blechdicke1))
           (setq p1 (polar  bp1 (aib 90.) (- Abkanthohe1 (* Blechdicke1 2))))
           (setq p2 (polar  p1 (aib 270.) (/ 10 M)))
           (setq p3 (polar  p1 (aib 180.) (/ 10 M)))
           (setq p4 (polar  p1 (aib 180.) 90. ))
           (setq p4A (polar p4 (aib 0.) 20. ))
           (setq p5 (polar  bp2 (aib 0.) 16.))
           (setq p5A (polar p1 (aib 0.) 14.))
           (setq p5B (polar p1 (aib 0.) 18.))
           (setq p6 (polar bp1A (aib 180.) 20.))
           (setq p7 (polar  p5 (aib 0.) 8.))
           (setq p7A (polar p7 (aib 0.) 2.))
           (setq p8 (polar  p7 (aib 0.) 8.))
           (setq p9 (polar  p8 (aib 0.) 8.))
           (setq BP33 (polar bp3 (aib 0.) 4.))

   ;*** Geometriedarstellung **********************
           (command "_layer" "_s" Vollinie05 "")
           (command "_line" BP1A P2 P3 P4 "")
           (command "_layer" "_s" Masslinie "")
           (command "_line" P3 P5A "")
           (command "_dimstyle" "_r" BStilAA "_dim")
           (command "_ver" bp2 bp1 p5 "")
           (command "_ver" BP2 p5B P7 "")
           (command "_ver" P7A BP33 P8 "")
           (command "_ver" P5B BP33 P9 "")
           (command "_ver" p3 p6 p4A "")
           (command "_exit")
           (command "_insert" "KANTE1" P6 "1" "" "90")
         )
       )
       (IF (/= Schenkelhohe NIL)
         (progn
           (setq BP1A (polar BP1 (aib 270.) Blechdicke1))
           (setq p1 (polar  bp1 (aib 90.) (- (+ Abkanthohe1 Schenkelhohe1) (* Blechdicke1 4))))
           (setq p2 (polar  p1 (aib 270.) (/ 10 M)))
           (setq p3 (polar  p1 (aib 180.) (/ 10 M)))
           (setq p4 (polar  p1 (aib 180.) 90. ))
           (setq p4A (polar p4 (aib 0.) 20. ))
           (setq p5 (polar  bp2 (aib 0.) 16.))
           (setq p5A (polar p10 (aib 0.) 14.))
           (setq p5B (polar p10 (aib 0.) 18.))
           (setq p6 (polar bp1A (aib 180.) 20.))
           (setq p7 (polar  p5 (aib 0.) 8.))
           (setq p7A (polar p7 (aib 0.) 2.))
           (setq p8 (polar  p7 (aib 0.) 8.))
           (setq p8A (polar p8 (aib 0.) 6.))
           (setq p9 (polar  p8 (aib 0.) 8.))
           (setq p10 (polar  bp1 (aib 90.) (- Abkanthohe1 (* Blechdicke1 3))))
           (setq p11 (polar  p10 (aib 180.) 60.))
           (setq p11 (polar  p10 (aib 180.) 30.))
           (setq p12 (polar  p9 (aib 0.) 8.))
           (setq BP33 (polar bp3 (aib 0.) 4.))

   ;*** Geometriedarstellung **************
           (command "_layer" "_s" Vollinie05 "")
           (command "_line" BP1A P2 P3 P4 "")
           (command "_layer" "_s" Masslinie "")
           (command "_line" P10 P5A "")
           (command "_line" P7A P7B "")
           (command "_dimstyle" "_r" BStilAA "_dim")
           (command "_ver" bp2 bp1 p5 "")
           (command "_ver" BP2 p5B P7 "")
           (command "_ver" BP1 p3 P8 "")
           (command "_ver" P8A BP33 P9 "")
           (command "_ver" BP33 P3 P12 "")
           (command "_ver" p11 p4 p4A "")
           (command "_ver" p10 p6 p11A "")

           (command "_exit")
           (command "_insert" "KANTE1" P6 "1" "" "90")
         )
       )
     )
   )
   (command "_layer" "_s" AltLayer "")
   (setvar "cmdecho" 1)
   (setvar "blipmode" 1)
  )
  (Endesequenz)
)
