;----------------------------------------------------------------------
; Programmname : BAUFRIS2.LSP  - Version: 3.0 - fr AutoCAD Version 13
; Aufgabe            : Einschweiteile fr Bodenaufriss - (2-flutige Bden)
; (c) 1997 by Ralph Kferstein, Stifterstr. 25, 67065 Ludwigshafen
; Tel./Fax: 0621 - 574658      -     Email: EDV007@aol.com
; URL: http://members.aol.com/EDV007/PAGE1.HTM
;----------------------------------------------------------------------
; SHAREWARE         S H A R E W A R E         SHAREWARE
;----------------------------------------------------------------------
; Autor: Dipl.-Ing. R. Kferstein * Stifterstr. 25 * 67065 Ludwigshafen 
; Nehme Telearbeitsprojekte aus folgenden Bereichen an:
; CAD/EDV-Dienstleistungen - CAD-Zeichen- & Konstruktionsservice
; Video-/Multimediaproduktionen, Audio/Midi-Komponist
; Softwareentwicklung (Autolisp/V-Basic/T-Basic/EXCEL/Access/Foxro)
;----------------------------------------------------------------------
; Dieses Programm knnen Sie 4 Wochen lang testen
; Bei lngerem Gebrauch mssen Sie sich bei mir registrieren lassen !!!
; Schicken Sie hierfr bitte einen Brief (1BESTEL.TXT) an die o.a.
; Adresse/Faxnummer oder per Email
; Weitere Programme fr AutoCAD finden Sie in der Datei 1README.TXT
;-----------------------------------------------------------------------
; Ich lehne jegliche Garantie oder Haftung fr direkte oder indirekte
; (auch konstruktive) Schden ab. Weiterhin bernehme ich keine Garantie
; fr die Funktion des Programms.
;-----------------------------------------------------------------------
; Fehlerroutine 
(defun Abbruch (s)
   (if (/= s "Function cancelled") (princ (strcat "\nFehler: " s)))
   (setvar "CLAYER" AltLayer)
   (graphscr)
   (SETVAR "cmdecho" 1)
   (SETVAR "blipmode" 1)
   (SETVAR "highlight" 1)
   (SETVAR "TEXTSIZE" AltTexthoehe)
   (SETQ *error* olderr)
   (princ)
)
;-----------------------------------------------------------------------
;Winkel von Altgrad ins Bogenma konvertieren
(defun aib (w) (* pi (/ w 180.)))
;-----------------------------------------------------------------------
; Winkel von Bogenma nach Altgrad konvertieren
(defun bia (b) (* (/ b pi) 180.))
;-----------------------------------------------------------------------
; Tangens - Funktion
(defun tan (w) (/ (sin w) (cos w)))
;-----------------------------------------------------------------------
; Arcus-Sinus - Funktion
(defun asin (x)
   (setq radi (- 1 (* x x)))
   (setq nen (sqrt radi))
   (setq arg (/ x nen))
   (setq winb (atan arg))
)
;-----------------------------------------------------------------------
; Phytagoras
(defun phyt (c a)
   (SETQ CC (* C C))
   (SETQ AA (* A A))
   (SETQ Laenge (SQRT(- CC AA)))
)
;-----------------------------------------------------------------------
;Mastabfaktor - Umrechnung
(defun mass (x) (/ x m))
;-----------------------------------------------------------------------
(defun Vorgaben ()
  (SETQ olderr  *error*)
  (SETQ *error* ABBRUCH)
  (setq AltBemFaktor (getvar "DIMLFAC"))
  (SETQ AltLayer (getvar "CLAYER"))
  (setq AltPDSIZE (getvar "pdsize"))
  (setq AltPDMODE (getvar "pdmode"))
  (SETQ AltTexthoehe (getvar "TEXTSIZE"))
  (SETQ TXT_HOEHE 2.7)
  (SETVAR "dimtxt" 2.7)
  (SETVAR "cmdecho" 0)
  (SETVAR "blipmode" 0)
  (SETQ Vollinie025 "VOLL-025")
  (SETQ Vollinie035 "VOLL-035")
  (SETQ Vollinie05 "VOLL-05")
  (SETQ Vollinie07 "VOLL-07")
  (setq LOESCHEN "LOESCHEN")
  (SETQ Masslinie "BEMASSUNG")
  (SETQ Mittellinie "STRP-025")
  (SETQ Schraffurlinie "SCHRAFFUR")
  (SETQ VerdeckteLinie025 "STRI-025")
  (SETQ VerdeckteLinie035 "STRI-035")
  (SETQ Text025 "TEXT-025")
  (SETQ Text035 "TEXT-035")
  (SETQ Text05 "TEXT-05")
  (SETQ Text07 "TEXT-07")
  (prompt "\n--------------------------------------------------------------------------")
  (prompt "\nP R  F V E R S I O N  - 4 Wochen lang kostenlos zum Testen")
  (prompt "\n--------------------------------------------------------------------------")
  (prompt "\n(c) 1997 by  Dipl.-Ing. Ralph Kferstein, Tel./Fax: 0621-574658")
  (prompt "\n--------------------------------------------------------------------------")
)
;----------------------------------------------------------------------
(defun Endesequenz ()
  (setvar "DIMLFAC" AltBemFaktor)
  (setvar "CLAYER" AltLayer)
  (setvar "PDSIZE" AltPDSIZE)
  (setvar "PDMODE" AltPDMODE)
  (setvar "TEXTSIZE" AltTexthoehe)
  (graphscr)
  (SETQ *error* olderr)
  (SETVAR "blipmode" 1)
  (SETVAR "cmdecho" 1)
  (SETVAR "HIGHLIGHT" 1) 
  (PRINC)
)
;-----------------------------------------------------------------------
;Hauptprogramm
(defun c:BAUFRIS2 ()
    (Vorgaben)
   (prompt "\n------------------------------------------------------------")
   (prompt "\n--- Konstruktionsprogamm fr Bodenaufrisse 2-Flut ---")
   (prompt "\n--- Bodendraufsicht mit Auflagering")
   (prompt "\n------------------------------------------------------------")
   (prompt "\nuerer Ablauf ------------------------------ uerer Ablauf\n")
   (setq TEXT1 (getstring T "                    Boden-Nr.                 : "))
   (setq DI         (getreal"                    Innendurchmesser (Kolonne): "))
   (setq ARB        (getreal"                    Breite Auflagering        : "))
   (setq ARBS       (getreal"                    Dicke Auflagering         : "))
   (setq AWL        (getreal"                    Ablaufwehrlnge           : "))
   (setq HB         (getreal"                    Breite Haltestab          : "))
   (setq HD         (getreal"                    Dicke  Haltestab          : "))
   (command "_vslide" "einsch02")
   (setq A          (getreal"                    Ma F (Haltestab)         : "))
   (setq B          (getreal"                    Ma G (Haltestab)         : "))
   (command "_insert" "AUFRISS2" "0,0" "" "" "")
   (command "_ZOOM" "_e")
   (graphscr)
   (Setq bp1 (getpoint"                    Basispunkt................. "))
   (initget 1 "1 2 5 10 15 20 25 33 50 75 100")
   (setq mfTASTE
     (getkword      "\n                    Mastabsfaktor......... 1 : "))
   (setq m (atof mfTASTE))
   (SETQ mfk (rtos m 2 0))
   (setq BStilAA (strcat "F" mfk "AA"))
   (setq BStilEA (strcat "F" mfk "AA"))
   (setq BStilEE (strcat "F" mfk "AA"))
 
   (setq RI (/ DI 2))
   (setq HILF (SQRT(- (* RI RI) (* (/ AWL 2) (/ AWL 2)))))
   (setq CALT (- HILF HD))
   (setq C (FIX CALT))
   (setq C (float C))
   (setq Abfrage (- CALT C))
   (IF (> Abfrage 0.45)
       (Progn
          (setq C (+ C 1.0))
       )
   )
   (setq HMALT (SQRT(-(* RI RI) (* (+ C HD) (+ C HD)))))
   (setq HMALTS (SQRT(- (* RI RI) (* C C))))
   (setq HMNEU (FIX HMALT))
   (setq HMNEU (float HMNEU))
   (setq Abfrage (- HMALT HMNEU))
   (IF (> Abfrage 0.45)
       (Progn
           (setq HMNEU (+ HMNEU 1.0))
       )
   )
   (setq DI1 (/ DI m) ARB1(/ ARB m) C1(/ C m))
   (setq HD1 (/ HD m) HB1 (/ HB m) A1 (/ A m) B1 (/ B m))
   (setq RI1 (/ RI m) HMNEU1 (/ HMNEU m) HMALT1(/ HMALT m) HMALTS1(/ HMALTS m))
   (setq s1 1.4)      

;***************************************
;* Draufsicht
   (setq bp2(polar bp1 (aib 0.) C1))
   (setq bp3(polar bp2 (aib 0.) HD1))
   (setq bp4(polar bp1 (aib 0.) RI1))
   (setq bp5(polar bp1 (aib 180.) C1))
   (setq bp6(polar bp5 (aib 180.) HD1))
   (setq bp7(polar bp1 (aib 180.) RI1))

   (setq kp1(polar bp3 (aib 270.) HMALT1))
   (setq kp2(polar bp3 (aib 270.) HMNEU1))
   (setq kp3(polar kp1 (aib 180.) HD1))
   (setq kp4(polar kp2 (aib 90.) HB1))
   (setq kp5(polar kp4 (aib 180.) HD1))

   (setq kp6(polar bp2 (aib 270.) HMALTS1))

   (setq kp7(polar kp5 (aib 270.) (+ A1 B1)))

   (setq kp8(polar bp1 (aib 270.) (- RI1 ARB1)))
   (setq kp9(polar bp1 (aib 90.) (- RI1 ARB1)))

   (setq kp10(polar kp1 (aib 90.) (* HD1 1.5)))
   (setq kp11(polar kp10 (aib 0.) HD1))
   (setq kp12(polar kp11 (aib 270.) (* HD1 0.75)))

   (setq sp1(polar bp6 (aib 270.) HMALT1))
   (setq sp2(polar bp6 (aib 270.) HMNEU1))
   (setq sp3(polar sp1 (aib 0.) HD1))
   (setq sp4(polar sp2 (aib 90.) HB1))
   (setq sp5(polar sp4 (aib 0.) HD1))
   (setq sp7(polar sp5 (aib 270.) (+ A1 B1)))

;*** Durchmesserbemaung, Auflagering ***********
   (setq kp13(polar bp1 (aib 45.) RI1))
   (setq kp14(polar bp1 (aib 45.) (/ RI1 2)))
   (setq kp15(polar bp1 (aib 45.) (* RI1 0.7)))
   (setq kp16(polar kp15 (aib 135.) 1))

   (setq kp17(polar bp1 (aib 135.) (- RI1 ARB1)))
   (setq kp18(polar bp1 (aib 135.) (/ (- RI1 ARB1) 2)))
   (setq kp19(polar bp1 (aib 135.) (* (- RI1 ARB1) 0.7)))
   (setq kp20(polar kp19 (aib 45.) 1))
   (setq kp21(polar bp1 (aib 135.) (+ RI1 16)))
   (setq kp22(polar kp21 (aib 45.) 1))
   (setq kp23(polar bp1 (aib 135.) RI1))
   (setq kp24(polar bp1 (aib 135.) (+ RI1 20)))
   (setq kp25(polar kp24 (aib 45.) 2))

   (setq hp1(polar kp4 (aib 270.) A1))
   (setq hp2(polar hp1 (aib 180.) (+ HD1 9)))
   (setq hp3(polar hp1 (aib 0.) 5))

   (setq hp4(polar bp1 (aib 0.) (+ (/ DI1 2) 8)))
   (setq hp5(polar bp1 (aib 90.) (+ (/ DI1 2) 8)))
   (setq hp6(polar bp1 (aib 180.) (+ (/ DI1 2) 8)))
   (setq hp7(polar bp1 (aib 270.) (+ (/ DI1 2) 3)))

   (setq hp8(polar kp7 (aib 180.) (/ ARB1 2)))

   (setq hp9(polar hp7 (aib 270.) 10))

   (setq hp10(polar hp5 (aib 0.) (+ RI1 S1)))

   (setq hp12(polar kp4 (aib 0.) 45))
   (setq hp13(polar hp1 (aib 0.) 45))
   (setq hp14(polar kp1 (aib 0.) 37))
   (setq hp15(polar hp12 (aib 180.) 2))
   (setq hp16(polar hp15 (aib 270.) A1))
   (setq hp17(polar hp15 (aib 90.) 8))
   (setq hp18(polar hp16 (aib 270.) (+ B1 8)))
   (setq hp19(polar hp16 (aib 270.) B1))

   (setq hp21(polar kp1 (aib 0.) 45))
   (setq hp22(polar hp21 (aib 0.) 10))
   (setq hp23(polar hp16 (aib 0.) 14))
   (setq hp24(polar hp22 (aib 0.) 12))
   (setq hp25(polar hp19 (aib 0.) 2))

   (setq hp26(polar hp15 (aib 180.) 1))
   (setq hp27(polar hp19 (aib 180.) 1))

   (setq t1(polar hp26 (aib 90.) 4))
   (setq t2(polar hp27 (aib 270.) 4))

   (setq hp28(polar kp7 (aib 180.) 3))

   (setq hp29(polar sp4 (aib 270.) A1))
   (setq hp30(polar hp29 (aib 180.) 5))
   (setq hp31(polar hp6 (aib 180.) 10))
   (setq hp32(polar sp7 (aib 0.) (/ ARB1 2)))
   (setq hp33(polar bp1 (aib 180.) (- RI1 ARB1)))
   (setq hp34(polar hp24 (aib 0.) 12))
   (setq hp60(polar hp9 (aib 270.) 12))

;****************************************
; Rechte Seite
   (setq rkp1(polar bp3 (aib 90.) HMALT1))
   (setq rkp2(polar bp3 (aib 90.) HMNEU1))
   (setq rkp3(polar rkp1 (aib 180.) HD1))
   (setq rkp4(polar rkp2 (aib 270.) HB1))
   (setq rkp5(polar rkp4 (aib 180.) HD1))
   (setq rkp6(polar bp2 (aib 90.) HMALTS1))
   (setq rkp7(polar rkp5 (aib 90.) (+ A1 B1)))
   (setq rkp9(polar bp1 (aib 270.) (- RI1 ARB1)))
   (setq rkp10(polar rkp1 (aib 270.) (* HD1 1.5)))
   (setq rkp11(polar rkp10 (aib 0.) HD1))
   (setq rkp12(polar rkp11 (aib 90.) (* HD1 0.75)))
   (setq rsp1(polar bp6 (aib 90.) HMALT1))
   (setq rsp2(polar bp6 (aib 90.) HMNEU1))
   (setq rsp3(polar rsp1 (aib 0.) HD1))
   (setq rsp4(polar rsp2 (aib 270.) HB1))
   (setq rsp5(polar rsp4 (aib 0.) HD1))
   (setq rsp7(polar rsp5 (aib 90.) (+ A1 B1)))
   (setq rhp1(polar rkp4 (aib 90.) A1))
   (setq rhp2(polar rhp1 (aib 180.) (+ HD1 9)))
   (setq rhp3(polar rhp1 (aib 0.) 5))
   (setq rhp4(polar bp1 (aib 0.) (+ (/ DI1 2) 15)))
   (setq rhp5(polar bp1 (aib 90.) (+ (/ DI1 2) 15)))
   (setq rhp6(polar bp1 (aib 180.) (+ (/ DI1 2) 15)))
   (setq rhp7(polar bp1 (aib 270.) (+ (/ DI1 2) 5)))
   (setq rhp8(polar rkp7 (aib 180.) (/ ARB1 2)))
   (setq rhp9(polar hp5 (aib 90.) 20))
   (setq rhp10(polar hp5 (aib 90.) 18))
   (setq rhp11(polar hp5 (aib 90.) 3))
   (setq rhp28(polar rkp7 (aib 180.) 3))
   (setq rhp29(polar rsp4 (aib 90.) A1))
   (setq rhp30(polar rhp29 (aib 180.) 5))
   (setq rhp32(polar rsp7 (aib 0.) (/ ARB1 2)))

   (command "_layer" "_s" Vollinie05 "")
   (command "_circle" bp1 "_d" DI1)
   (command "_line" kp1 kp3 kp5 kp4 "_c")
   (command "_line" rkp1 rkp3 rkp5 rkp4 "_c")
   (command "_circle" bp1 "_d" (+ DI1 (* S1 2)))

   (command "_layer" "_s" VerdeckteLinie025 "")
   (command "_arc" kp9 "_c" bp1 kp8)
   (command "_fillet" "_r" "0.")
   (command "_line" hp8 kp7 "")
   (command "_fillet" kp8 hp8)
   (command "_line" rhp8 rkp7 "")
   (command "_fillet" rhp8 kp9)

   (command "_layer" "_s" Loeschen "")
   (command "_line" bp1 hp5 "")
   (command "_line" bp1 hp7 "")
   (command "_trim" hp5 hp7 "" hp33 "")
;   (command "_erase" hp5 hp7 "")

   (command "_layer" "_s" Mittellinie "")
   (command "_line" kp5 rkp5 "")

   (command "_layer" "_s" Vollinie025 "")
   (command "_line" hp2 hp3 "")
   (command "_line" rhp2 rhp3 "")
   (command "_solid" kp1 kp3 kp6 "" "")
   (command "_solid" kp1 kp10 kp12 "" "")
   (command "_solid" rkp1 rkp3 rkp6 "" "")
   (command "_solid" rkp1 rkp10 rkp12 "" "")
   (command "_circle" bp1 "_d" (+ DI1 S1))
   (command "_mirror" "_w" hp7 hp10 "" kp8 kp9 "_n")

   (command "_layer" "_s" Masslinie "")
   (setq HBTEXT (RTOS HB 2 0))
   (setq BEMTEXT1 (strcat "~" HBTEXT))
   (setq BEMTEXT2 (RTOS A 2 0))
   (setq BEMTEXT3 (RTOS B 2 0))

   (setq RATEXT (RTOS RI 2 0))
   (setq BEMTEXT4 (strcat "R" RATEXT))
   (setq RAARBTEXT (RTOS (- RI ARB) 2 0))
   (setq BEMTEXT5 (strcat "R" RAARBTEXT))
   (setq ARBTEXT1 (RTOS ARB 2 0))
   (setq ARBTEXT2 (RTOS ARBS 2 0))
   (setq BEMTEXT6 (strcat ARBTEXT1 "x" ARBTEXT2))

   (setq BEMTEXT8 (RTOS HMNEU 2 0))

   (setq HILFE1 (* HMNEU 2))
   (setq HILFE2 (RTOS HILFE1 2 0))
   (setq HILFE3 (strcat "lwa " HILFE2))
   (setq BEMTEXT9 HILFE3)

   (command "_line" kp13 kp14 "")
   (command "_insert" "BEMPFEIL" kp13 "1" "" "225")
   (command "_text" "_c" kp16 TXT_HOEHE "45" BEMTEXT4)
   (command "_line" kp24 kp18 "")
   (command "_insert" "BEMPFEIL" kp17 "1" "" "315")
   (command "_insert" "BEMPFEIL" kp23 "1" "" "135")
   (command "_insert" "BEMRECHT" kp25 "1" "" "-45") 
   (command "_text" "_c" kp20 TXT_HOEHE "-45" BEMTEXT5)
   (command "_text" kp22 TXT_HOEHE "-45" BEMTEXT6)

   (command "_line" kp4 hp12 "")
   (command "_line" hp3 hp13 "")
   (command "_line" hp17 hp18 "")
   (command "_line" kp7 hp25 "")
   (command "_line" kp1 hp14 "")
   (command "_text" t1 TXT_HOEHE "90" BEMTEXT2)
   (command "_text" "_r" t2 TXT_HOEHE "90" BEMTEXT3)
   (command "_insert" "bempfeil" hp15 "" "" "90") 
   (command "_insert" "bempfeil" hp19 "" "" "270") 
   (command "_insert" "bemkreis" hp16 "" "" "270") 

   (command "_dimstyle" "_r" BStilAA "_dim")
   (command "_ver" hp23 hp4 hp24 "")
   (command "_ver" hp21 rkp1 hp34 BEMTEXT9)
   (command "_hor" kp3 bp4 hp60 "")

;   (command "HOLEN" BStilEA)
   (command "_ver" hp21 hp12 hp22 BEMTEXT1)
   (command "_hor" kp1 kp3 hp9 "")

;   (command "HOLEN" BStilEE)
   (command "_ver" rkp1 hp4 hp24 BEMTEXT8)
   (command "_exit")

   (command "_layer" "_s" Text07 "")
   (setq UTEXT1 (strcat "%%UUnregistrierte Sharewareversion Boden-Nr.: " TEXT1))
   (command "_text" "_m" rhp10 "6" "0" UTEXT1)

;*** Innerer Ablauf ***********************
;   (command "cls")
   (prompt "\nInnerer Ablauf ------------------------------ Innerer Ablauf\n")
   (setq Ausgabe1 (RTOS ARB 2 0))
    (setq AWL  (getreal"             Ablaufwehrlnge                   : "))

   (setq Ausgabe1 (RTOS HB 2 0))
   (SETQ Text (STRCAT "             Breite Haltestab            <" Ausgabe1 "> : "))
   (SETQ Ausgabe (GETSTRING T Text))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe1)
   )
   (setq HB (ATOF Ausgabe))

   (setq Ausgabe1 (RTOS HD 2 0))
   (SETQ Text (STRCAT "             Dicke Haltestab              <" Ausgabe1 "> : "))
   (SETQ Ausgabe (GETSTRING T Text))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe1)
   )
   (setq HD (ATOF Ausgabe))

   (setq Ausgabe1 (RTOS A 2 0))
   (SETQ Text (STRCAT "             Ma 1 (Haltestab)            <" Ausgabe1 "> : "))
   (SETQ Ausgabe (GETSTRING T Text))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe1)
   )
   (setq A (ATOF Ausgabe))

   (setq HILF (SQRT(- (* RI RI) (* (/ AWL 2) (/ AWL 2)))))
   (setq CALT HILF)
   (setq CO (FIX CALT))	; Ganzzahl von CALT ohne Rcksicht der Kommastellen
   (setq CO (float CO))
   (setq Abfrage (- CALT CO))
   (IF (> Abfrage 0.45)
       (Progn
          (setq CO (+ CO 1.0))
       )
   )
   (setq C (- CO HD))
   (setq HMALT (SQRT(-(* RI RI) (* CO CO) )))
   (setq HMNEU (FIX HMALT))
   (setq HMNEU (float HMNEU))
   (setq Abfrage (- HMALT HMNEU))
         (IF (> Abfrage 0.45)
             (Progn
               (setq HMNEU (+ HMNEU 1.0))
             )
          )

   (setq ARB1(/ ARB m) C1(/ C m) CO1(/ CO m))
   (setq HD1 (/ HD m) HB1 (/ HB m) A1 (/ A m))
   (setq HMNEU1 (/ HMNEU m) HMALT1(/ HMALT m))
;***************************************
;* Untere Hlfe 
   (setq bp2(polar bp1 (aib 0.) C1))
   (setq bp3(polar bp2 (aib 0.) HD1))
   (setq bp4(polar bp1 (aib 0.) RI1))
   (setq bp5(polar bp1 (aib 180.) C1))
   (setq bp6(polar bp5 (aib 180.) HD1))
   (setq bp7(polar bp1 (aib 180.) RI1))

   (setq kp1(polar bp3 (aib 270.) HMALT1))
   (setq kp2(polar bp3 (aib 270.) HMNEU1))
   (setq kp3(polar kp1 (aib 180.) HD1))
   (setq kp4(polar kp2 (aib 90.) HB1))
   (setq kp5(polar kp4 (aib 180.) HD1))

   (setq rkp1(polar bp3 (aib 90.) HMALT1))
   (setq rkp2(polar bp3 (aib 90.) HMNEU1))
   (setq rkp3(polar rkp1 (aib 180.) HD1))
   (setq rkp4(polar rkp2 (aib 270.) HB1))
   (setq rkp5(polar rkp4 (aib 180.) HD1))

   (setq sp1(polar bp6 (aib 270.) HMALT1))
   (setq sp2(polar bp6 (aib 270.) HMNEU1))
   (setq sp3(polar sp1 (aib 0.) HD1))
   (setq sp4(polar sp2 (aib 90.) HB1))
   (setq sp5(polar sp4 (aib 0.) HD1))

   (setq rsp1(polar bp6 (aib 90.) HMALT1))
   (setq rsp2(polar bp6 (aib 90.) HMNEU1))
   (setq rsp3(polar rsp1 (aib 0.) HD1))
   (setq rsp4(polar rsp2 (aib 270.) HB1))
   (setq rsp5(polar rsp4 (aib 0.) HD1))

   (setq hp1(polar kp4 (aib 270.) A1))
   (setq hp2(polar hp1 (aib 180.) (+ HD1 9)))
   (setq hp3(polar hp1 (aib 0.) 5))

   (setq shp4(polar sp4 (aib 270.) A1))
   (setq shp6(polar shp4 (aib 180.) 5))

   (setq hp10(polar shp4 (aib 180.) RI1))
   (setq hp11(polar hp10 (aib 0.) 12))
   (setq hp12(polar hp10 (aib 180.) 12))

   (setq hp13(polar hp9 (aib 270.) 12))
   (setq hp14(polar hp10 (aib 180.) 6))
   (setq hp15(polar hp10 (aib 0.) 2))
   (setq hp16(polar hp12 (aib 180.) 12))

   (setq hp18(polar hp1 (aib 180.) CO1))
   (setq hp19(polar hp18 (aib 0.) (/ CO1 2)))

   (setq hp41(polar bp1 (aib 90.) (- RI1 ARB1)))
   (setq hp43(polar bp1 (aib 270.) (- RI1 ARB1)))

   (setq rhp1(polar rkp4 (aib 90.) A1))
   (setq rhp3(polar rhp1 (aib 0.) 5))
   (setq rhp18(polar rhp1 (aib 180.) CO1))
   (setq rhp19(polar rhp18 (aib 0.) (/ CO1 2)))
   (setq rhp20(polar rkp1 (aib 270.) ARB1))

   (setq rhp21(polar rhp20 (aib -45.) 1))
   (setq hp60(polar rkp1 (aib 90.) 3))
   (setq hp61(polar hp60 (aib 0.) 5))
   (setq hp62(polar hp7 (aib 90.) 1))
   (setq hp63(polar hp60 (aib 45.) 50))

   (command "_layer" "_s" Vollinie05 "")
   (command "_line" kp1 kp4 "")
   (command "_line" sp1 sp4 "")
   (command "_trim" kp4 sp4 "" hp43 "")
   (command "_trim" kp4 sp4 "" hp43 "")
   (command "_line" kp4 kp5 kp3 kp1 "")
;   (command "_erase" sp4 "")

   (command "_line" rkp1 rkp4 "")
   (command "_line" rsp1 rsp4 "")
   (command "_trim" rsp4 rkp4 "" hp41 "")
   (command "_trim" rsp4 rkp4 "" hp41 "")
   (command "_line" rkp4 rkp5 rkp3 rkp1 "")
;   (command "_erase" rsp4 "")

   (command "_layer" "_s" Mittellinie "")
   (command "_line" kp4 rkp4 "")

   (command "_layer" "_s" Vollinie025 "")
   (command "_line" hp3 hp19 "")
   (command "_line" rhp3 rhp19 "")

   (command "_mirror" "_w" hp62 hp61 "" hp7 hp5 "_n")

   (command "_layer" "_s" Mittellinie "")
   (command "_line" bp1 hp4 "")
   (command "_line" bp1 hp5 "")
   (command "_line" bp1 hp6 "")
   (command "_line" bp1 hp7 "")

   (setq HTEXT (RTOS RI 2 0))
   (setq BEMTEXT1 (strcat "R" HTEXT))
   (setq HTEXT (RTOS (- RI ARB) 2 0))
   (setq BEMTEXT2 (strcat "R" HTEXT))
   (setq HTEXT (RTOS ARB 2 0))
   (setq HTEXT1 (RTOS ARBS 2 0))
   (setq BEMTEXT3 (strcat HTEXT "x" HTEXT1))
   (setq HTEXT (RTOS HB 2 0))
   (setq BEMTEXT4 (strcat "~" HTEXT))
   (setq HTEXT (RTOS CO 2 0))
   (setq BEMTEXT5 HTEXT)

   (setq BEMTEXT8 (RTOS HMNEU 2 0))

   (setq HILFE1 (* HMNEU 2))
   (setq HILFE2 (RTOS HILFE1 2 0))
   (setq HILFE3 (strcat "lwa " HILFE2))
   (setq BEMTEXT9 HILFE3)

   (command "_layer" "_s" Masslinie "")
   (command "_line" shp6 hp15 "")

   (command "_dimstyle" "_r" BStilAA "_dim")
   (command "_ver" hp14 hp6 hp12 "")
   (command "_ver" sp1 rsp1 hp16 BEMTEXT9)
   (command "_hor" hp7 kp1 hp13 "")
   (command "_hor" hp7 sp1 hp13 "")

;   (command "HOLEN" BStilEA)
   (command "_hor" kp1 kp3 hp9 "")
   (command "_ver" sp1 sp4 hp10 BEMTEXT4)

;   (command "HOLEN" BStilEE)
   (command "_ver" shp6 sp4 hp11 "")
   (command "_ver" hp6 rsp1 hp12 BEMTEXT8)
   (command "_exit")

   (command "_layer" "_s" Loeschen "")
   (setq HTEXT (RTOS m 2 0))
   (setq MASSSTAB (strcat "Mastab 1:" HTEXT))
   (command "_text" hp63 "15" "0" MASSSTAB)

  (Endesequenz)
)
