;----------------------------------------------------------------------
; Programmname : EINSC-2A.LSP  - Version: 3.0 - fr AutoCAD Version 13
; Aufgabe            : Einschweiteile fr 2 Flut-Bden
;                      Teil 1, Kolonnenaufri mit Stutzen und Bden
; (c) 1997 by Ralph Kferstein, Stifterstr. 25, 67065 Ludwigshafen
; Tel./Fax: 0621 - 574658      -     Email: EDV007@aol.com
; URL: http://members.aol.com/EDV007/PAGE1.HTM
;----------------------------------------------------------------------
; SHAREWARE         S H A R E W A R E         SHAREWARE
;----------------------------------------------------------------------
; Autor: Dipl.-Ing. R. Kferstein * Stifterstr. 25 * 67065 Ludwigshafen 
; Nehme Telearbeitsprojekte aus folgenden Bereichen an:
; CAD/EDV-Dienstleistungen - CAD-Zeichen- & Konstruktionsservice
; Video-/Multimediaproduktionen, Audio/Midi-Komponist
; Softwareentwicklung (Autolisp/V-Basic/T-Basic/EXCEL/Access/Foxro)
;----------------------------------------------------------------------
; Dieses Programm knnen Sie 4 Wochen lang testen
; Bei lngerem Gebrauch mssen Sie sich bei mir registrieren lassen !!!
; Schicken Sie hierfr bitte einen Brief (1BESTEL.TXT) an die o.a.
; Adresse/Faxnummer oder per Email
; Weitere Programme fr AutoCAD finden Sie in der Datei 1README.TXT
;-----------------------------------------------------------------------
; Ich lehne jegliche Garantie oder Haftung fr direkte oder indirekte
; (auch konstruktive) Schden ab. Weiterhin bernehme ich keine Garantie
; fr die Funktion des Programms.
;-----------------------------------------------------------------------
; Fehlerroutine 
(defun Abbruch (s)
   (if (/= s "Function cancelled") (princ (strcat "\nFehler: " s)))
   (setvar "CLAYER" AltLayer)
   (graphscr)
   (SETVAR "cmdecho" 1)
   (SETVAR "blipmode" 1)
   (SETVAR "highlight" 1)
   (SETVAR "TEXTSIZE" AltTexthoehe)
   (SETQ *error* olderr)
   (princ)
)
;-----------------------------------------------------------------------
;Winkel von Altgrad ins Bogenma konvertieren
(defun aib (w) (* pi (/ w 180.)))
;-----------------------------------------------------------------------
; Winkel von Bogenma nach Altgrad konvertieren
(defun bia (b) (* (/ b pi) 180.))
;-----------------------------------------------------------------------
; Tangens - Funktion
(defun tan (w) (/ (sin w) (cos w)))
;-----------------------------------------------------------------------
; Arcus-Sinus - Funktion
(defun asin (x)
   (setq radi (- 1 (* x x)))
   (setq nen (sqrt radi))
   (setq arg (/ x nen))
   (setq winb (atan arg))
)
;-----------------------------------------------------------------------
; Phytagoras
(defun phyt (c a)
   (SETQ CC (* C C))
   (SETQ AA (* A A))
   (SETQ Laenge (SQRT(- CC AA)))
)
;-----------------------------------------------------------------------
;Mastabfaktor - Umrechnung
(defun mass (x) (/ x m))
;-----------------------------------------------------------------------
(defun Vorgaben ()
  (SETQ olderr  *error*)
  (SETQ *error* ABBRUCH)
  (setq AltBemFaktor (getvar "DIMLFAC"))
  (SETQ AltLayer (getvar "CLAYER"))
  (setq AltPDSIZE (getvar "pdsize"))
  (setq AltPDMODE (getvar "pdmode"))
  (SETQ AltTexthoehe (getvar "TEXTSIZE"))
  (SETQ TXT_HOEHE 2.7)
  (SETVAR "dimtxt" 2.7)
  (SETVAR "cmdecho" 1)
  (SETVAR "blipmode" 0)
  (SETQ Vollinie025 "VOLL-025")
  (SETQ Vollinie035 "VOLL-035")
  (SETQ Vollinie05 "VOLL-05")
  (SETQ Vollinie07 "VOLL-07")
  (setq LOESCHEN "LOESCHEN")
  (SETQ Masslinie "BEMASSUNG")
  (SETQ Mittellinie "STRP-025")
  (SETQ Schraffurlinie "SCHRAFFUR")
  (SETQ VerdeckteLinie025 "STRI-025")
  (SETQ Text025 "TEXT-025")
  (SETQ Text035 "TEXT-035")
  (SETQ Text05 "TEXT-05")
  (SETQ Text07 "TEXT-07")
  (prompt "\n--------------------------------------------------------------------------")
  (prompt "\nP R  F V E R S I O N  - 4 Wochen lang kostenlos zum Testen")
  (prompt "\n--------------------------------------------------------------------------")
  (prompt "\n(c) 1997 by  Dipl.-Ing. Ralph Kferstein, Tel./Fax: 0621-574658")
  (prompt "\n--------------------------------------------------------------------------")
)
;----------------------------------------------------------------------
(defun Endesequenz ()
  (setvar "DIMLFAC" AltBemFaktor)
  (setvar "CLAYER" AltLayer)
  (setvar "PDSIZE" AltPDSIZE)
  (setvar "PDMODE" AltPDMODE)
  (setvar "TEXTSIZE" AltTexthoehe)
  (graphscr)
  (SETQ *error* olderr)
  (SETVAR "blipmode" 1)
  (SETVAR "cmdecho" 1)
  (SETVAR "HIGHLIGHT" 1) 
  (PRINC)
)
;-----------------------------------------------------------------------
;Hauptprogramm
(defun c:EINSC-2A ()
    (Vorgaben)
   (prompt "\n--------------------------------------------------")
   (prompt "\n--- Konstruktionsprogamm fr Einschweiteile 2-Flut ---")
   (prompt "\n--- Teil 1: Kolonnenaufri mit Stutzen und Bden")
   (prompt "\n---------------------------------------------------")
   (setq DI (getreal"\n                    Innendurchmesser (Kolonne)    : "))
   (setq TL   (getreal"                    Abstand TL nach TL            : "))
   (graphscr)
   (Setq bp1 (getpoint"                    Basispunkt..................... "))
   (initget 1 "1 2 5 10 15 20 25 33 50 75 100")
   (setq mfTASTE
     (getkword      "\n                    Mastabsfaktor............. 1 : "))
   (setq m (atof mfTASTE))
   (SETQ mfk (rtos m 2 0))
   (setq BStilAA (strcat "F" mfk "AA"))
   (setq BStilEA (strcat "F" mfk "AA"))
   (setq BStilEE (strcat "F" mfk "AA"))

   (setq Varia(/ (/ DI m) 100))
   (setq RI(/ DI 2) DI1(/ DI m) TL(/ TL m) RI1(/ RI m))
   (setq BORDH 50.0)
   (setq BORDH1 (/ BORDH m))
   (IF (< BORDH1 1)
       (setq BORDH1 1)
   )

;****************************************
;* Kolonnenmantel
  (setq pr1(polar bp1 (aib 0.) RI1))
  (setq pl1(polar bp1 (aib 180.) RI1))
  (setq pr2(polar pr1 (aib 90.) BORDH1))
  (setq pl2(polar pl1 (aib 90.) BORDH1))

  (setq hp1(polar bp1 (aib 270.) (/ DI1 1.5)))
  (setq hp2(polar bp1 (aib 0.) (+ RI1 7)))
  (setq hp3(polar bp1 (aib 180.) (+ RI1 5)))

  (setq bp2(polar bp1 (aib 90.) TL))

  (setq pr3(polar bp2 (aib 0.) RI1))
  (setq pl3(polar bp2 (aib 180.) RI1))
  (setq pr4(polar pr3 (aib 270.) BORDH1))
  (setq pl4(polar pl3 (aib 270.) BORDH1))

  (setq hp4(polar bp2 (aib 90.) RI1))
  (setq hp5(polar bp2 (aib 0.) (+ RI1 7)))
  (setq hp6(polar bp2 (aib 180.) (+ RI1 5)))

  (setq pr5(polar pr1 (aib 270.) (- (/ DI1 1.5) (/ DI1 8))))
  (setq pl5(polar pl1 (aib 270.) (- (/ DI1 1.5) (/ DI1 8))))
  (setq pr6(polar pr5 (aib 0.) (/ DI1 8)))
  (setq pl6(polar pl5 (aib 180.) (/ DI1 8)))

  (setq pr7(polar hp1 (aib 0.) (/ DI1 3)))
  (setq pl7(polar hp1 (aib 180.) (/ DI1 3)))
  (setq pr8(polar pr7 (aib 90.) (/ DI1 4)))
  (setq pl8(polar pl7 (aib 90.) (/ DI1 4)))

  (setq hp7(polar pr5 (aib 180.) (- RI1 (/ DI1 3)) ))
  (setq hp8(polar pl5 (aib 0.) (- RI1 (/ DI1 3)) ))

  (setq pr9(polar hp7 (aib 0.) (/ DI1 13)))
  (setq pr10(polar hp7 (aib 180.) (/ DI1 13)))

  (setq pl9(polar hp8 (aib 180.) (/ DI1 13)))
  (setq pl10(polar hp8 (aib 0.) (/ DI1 13)))

  (setq tr1(polar pr1 (aib 18.) 4))
  (setq tr2(polar pr3 (aib 18.) 4))

  (command "_layer" "_s" Vollinie05 "")
  (command"_line" pr1 pr3 "")
  (command"_line" pl1 pl3 "")
  (command"_line" pr2 pl2 "")
  (command"_line" pr4 pl4 "")
  (command"_line" pr1 pr5 "")
  (command"_line" pl1 pl5 "")

  (command "_layer" "_s" Vollinie025 "")
  (command"_line" pl6 pl9 pl8 pl7 pl10 pr10 pr8 pr7 pr9 pr6 "")
  (setq Punkt pl3)
  (COMMAND "_insert" "E-KBBONO" Punkt Varia "" "")
  (setq Punkt pl1)
  (COMMAND "_insert" "E-KBBONU" Punkt Varia "" "")

  (command "_layer" "_s" Mittellinie "")
  (command"_line" HP1 HP4 "")
  (command"_line" HP2 HP3 "")
  (command"_line" HP5 HP6 "")

  (command "_layer" "_s" Masslinie "")
  (command "_dimstyle" "_r" BStilAA "_dim")
  (setq BEMP(polar HP1 (aib 270.) 8))
  (setq BEMDI (RTOS DI 2 0))
  (setq BEMTEXT (strcat "Li %%C " BEMDI))
  (command "_hor" pr5 pl5 BEMP BEMTEXT)
  (command "_exit")

  (command "_layer" "_s" Text035 "")
  (setq TLTEXT "Unregistrierte Sharewareverson TL")
  (command "_text" tr1 "3.5" "0" TLTEXT)
  (command "_text" tr2 "3.5" "0" TLTEXT)

;*****************************************
;* Stutzen Nennweite 100, 200, 300, 400, 500, 600
(setq Stutzen 0)
(setq BEMAB 25)

(initget 1 "J j N n")
(SETQ Eingabe1 (getstring "\n                    Stutzen vorhanden       (J/N) : "))
(IF (OR (= Eingabe1 "j") (= Eingabe1 "J"))
    (Progn	
         (setq BEMAB 40)
         (setq Stutzen 1)
    )
)   
(setq Eingabe2 "n")
(WHILE (> Stutzen 0)
     (WHILE (OR (= Eingabe2 "n") (= Eingabe2 "N"))
          (Abfrage1)
          (initget 1 "J j N n")
          (SETQ Eingabe2 (getstring "\n                    Angaben in Ordnung      (J/N) : "))
     )   
     (setq Eingabe2 "n")
     (setq ATL1 (/ ATL m))
     (IF (OR (= LOR "L") (= LOR "l"))
         (setq StWink 180.)
     )
     (IF (OR (= LOR "R") (= LOR "r"))
         (setq StWink 0.)
     )

;****************************************
; Stutzen NW 500 ...
(IF (> NW 499)
    (PROGN
      (setq S3 (/ NW 2))
      (setq S1 300 SM2 2 S4 (* S3 1.6))
      (setq SM1 (/ S1 m) SM3 (/ S3 m) SM4 (/ S4 m))
      (IF (< (/ S3 m) 1)
         (progn
            (setq S3 m)
            (setq SM3 (/ S3 m))
            (setq S4 (* S3 1.6))
            (setq SM4 (/ S4 m))
         )
      )
      (setq ps1(polar bp1 (aib 90.) ATL1))
      (setq ps2(polar ps1 (aib StWink) (/ DI1 2)))
      (setq ps3(polar ps2 (aib StWink) SM1))
      (setq ps4(polar ps3 (aib StWink) SM2))
      (setq ps5(polar ps3 (aib 90.) SM3))
      (setq ps6(polar ps3 (aib 270.) SM3))
      (setq ps7(polar ps3 (aib 90.) SM4))
      (setq ps8(polar ps3 (aib 270.) SM4))
      (setq ps9(polar ps2 (aib 90.) SM3))
      (setq ps10(polar ps2 (aib 270.) SM3))
      (setq ps11(polar ps4 (aib 90.) SM4))
      (setq ps12(polar ps4 (aib 270.) SM4))
      (setq hp20(polar ps2 (aib (+ StWink 180.)) (/ DI1 8)))
      (setq hp21(polar ps4 (aib StWink) 11))
      (setq hp22(polar hp21 (aib StWink) 6))
      (setq ST1(polar ps9 (aib 180.) 1))
      (setq ST2(polar ps9 (aib 0.) 1))
 
      (command "_break" PS9 PS10 )
      (command "_layer" "_s" Vollinie025 "")
      (command"_line" hp20 hp21 "")

      (command "_layer" "_s" Vollinie05 "")
      (command "_line" ps9 ps5 ps7 "")
      (command "_line" ps10 ps6 ps8 "")
      (command "_line" ps11 ps12 "")
      (command "_circle" hp22 6)

      (command "_layer" "_s" Vollinie035 "")
      (IF (OR (= LOR "L") (= LOR "l"))
          (command "_arc" ps10 "_e" ps9 "_r" (/ DI1 2))
      )
      (IF (OR (= LOR "R") (= LOR "r"))
          (command "_arc" ps9 "_e" ps10 "_r" (/ DI1 2))
      )
      (command "_layer" "_s" Text035 "")
      (COMMAND "_text" "_m" hp22 TXT_Hoehe "" SN)

   )
)
;*********************************************
; Stutzen unter NW 500 ...
(IF (< NW 500)
    (PROGN
      (setq S3 (/ NW 2))
      (setq S1 300 SM2 2 S4 (* S3 1.6))
      (setq SM1 (/ S1 m) SM3 (/ S3 m) SM4 (/ S4 m))
      (IF (< (/ S3 m) 1)
         (progn
            (setq S3 m)
            (setq SM3 (/ S3 m))
            (setq S4 (* S3 1.6))
            (setq SM4 (/ S4 m))
         )
      )
      (setq ps1(polar bp1 (aib 90.) ATL1))
      (setq ps2(polar ps1 (aib StWink) (/ DI1 2)))
      (setq ps3(polar ps2 (aib StWink) SM1))
      (setq ps4(polar ps3 (aib StWink) SM2))
      (setq ps5(polar ps3 (aib 90.) SM3))
      (setq ps6(polar ps3 (aib 270.) SM3))
      (setq ps7(polar ps3 (aib 90.) SM4))
      (setq ps8(polar ps3 (aib 270.) SM4))
      (setq ps9(polar ps2 (aib 90.) SM3))
      (setq ps10(polar ps2 (aib 270.) SM3))
      (setq hp20(polar ps2 (aib (+ StWink 180.)) (/ DI1 8)))
      (setq hp21(polar ps4 (aib StWink) 11))
      (setq hp22(polar hp21 (aib StWink) 6))

      (command "_break" PS9 "_f" PS9 PS10 )
 
      (command "_layer" "_s" Vollinie025 "")
      (command"_line" hp20 hp21 "")

      (command "_layer" "_s" Vollinie05 "")
      (command "_line" ps9 ps5 "")
      (command "_line" ps10 ps6 "")
      (command "_line" ps7 ps8 "")
      (command "_circle" hp22 6)

      (command "_layer" "_s" Vollinie035 "")
      (IF (OR (= LOR "L") (= LOR "l"))
          (command "_arc" ps10 "_e" ps9 "_r" (/ DI1 2))
      )
      (IF (OR (= LOR "R") (= LOR "r"))
          (command "_arc" ps9 "_e" ps10 "_r" (/ DI1 2))
      )
      (command "_layer" "_s" Text035 "")
      (COMMAND "_text" "_m" hp22 TXT_Hoehe "" SN)

   )
)
     (initget 1 "J j N n")
     (setq Eingabe3 (getstring"\n                    Weitere Stutzen         (J/N) : "))
     (IF (OR (= Eingabe3 "n") (= Eingabe3 "N"))
         (SETQ Stutzen 0)
     )
)

;*********************************************
;* 1. Boden
  (setq TabY 1)
  (setq TabX 3)
;  (command "cls")
  (prompt "\n--------------------------------------------------")
  (prompt "\n--- Konstruktionsprogamm fr Einschweiteile ---")
  (prompt "\n--- Teil 1: Kolonnenaufri mit Stutzen und Bden")
  (prompt "\n--------------------------------------------------")
  (setq AB   (getint"\n                    Anzahl aller Bden            : "))
  (setq BZ     (getint"                    Bodennummer unterster Boden   : "))
  (setq IA (getstring "                    Ablauf --- Innen/Auen  <I/A> : "))

  (setq BDNRGESAMT (RTOS AB 2 0))
  (setq Ausgabe1 (RTOS BZ 2 0))
  (setq Eingabe4 "n")

  (WHILE (OR (= Eingabe4 "n") (= Eingabe4 "N"))
       (ABFRAGE2)
       (initget 1 "J j N n")
       (SETQ Eingabe4 (getstring "\n                    Angaben in Ordnung      (J/N) : "))
  )   

  (setq Eingabe4 "n")
  (setq H1(/ H m) C1(/ C m) BF1(/ BF m) AWH1(/ AWH m))
  (setq bp10 bp1)
  (setq bp11(polar bp10 (aib 90.) H1))

;*****************************************
; Erster Boden mit Ablauf - auen
  (if (OR (= IA "A") (= IA "a"))
    (progn
      (setq Naechst "I")
      (setq pr2(polar bp11 (aib 0.) C1))
      (setq pr3(polar pr2 (aib 90.) AWH1))
      (setq pr4(polar pr2 (aib 270.) (- H1 BF1)))
      (setq pl2(polar bp11 (aib 180.) C1))
      (setq pl3(polar pl2 (aib 90.) AWH1))
      (setq pl4(polar pl2 (aib 270.) (- H1 BF1)))

      (setq TP1(polar BP11 (aib 90.) TabY))
      (setq TP2(polar TP1 (aib 0.) TabX))
      (setq BEMP(polar HP2 (aib 0.) BEMAB))
      (setq pbem1(polar bp11 (aib 0.) RI1))

      (command "_layer" "_s" Masslinie "")
      (command "_dim" "_ver" HP2 pbem1 BEMP "")
      (command "_exit")
      (command "_layer" "_s" Vollinie035 "")
      (command"_line" bp11 pr2 "")
      (command"_line" pr3 pr4 "")
      (command"_line" bp11 pl2 "")
      (command"_line" pl3 pl4 "")

      (command "_layer" "_s" Text035 "")
      (command "_text" TP2 TXT_Hoehe 0 BZ)

      (setq bp10 bp11)
    )
  )

;*********************************************
; Erster Boden mit Ablauf - innen
  (if (OR (= IA "I") (= IA "i"))
    (progn
      (setq Naechst "A")
      (setq pr1(polar bp11 (aib 0.) RI1))
      (setq pr2(polar bp11 (aib 0.) C1))
      (setq pr3(polar pr2 (aib 90.) AWH1))
      (setq pr4(polar pr2 (aib 270.) (- H1 BF1)))

      (setq pl1(polar bp11 (aib 180.) RI1))
      (setq pl2(polar bp11 (aib 180.) C1))
      (setq pl3(polar pl2 (aib 90.) AWH1))
      (setq pl4(polar pl2 (aib 270.) (- H1 BF1)))

      (setq TP1(polar BP11 (aib 90.) TabY))
      (setq TP2(polar TP1 (aib 0.) TabX))
      (setq BEMP(polar HP2 (aib 0.) BEMAB))
      (setq pbem1(polar bp11 (aib 0.) RI1))

      (command "_layer" "_s" Masslinie "")
      (command "_dim" "_ver" HP2 pbem1 BEMP "")
      (command "_exit")
      (command "_layer" "_s" Vollinie035 "")
      (command"_line" pr1 pr2 "")
      (command"_line" pr3 pr4 "")
      (command"_line" pl1 pl2 "")
      (command"_line" pl3 pl4 "")

      (command "_layer" "_s" Text035 "")
      (command "_text" TP2 TXT_Hoehe 0 BZ)

      (setq bp10 bp11)
    )
  )

;*** alle weiteren Bden *************************
(setq BZZAEHLER1 BZ)	; Fortlaufende Bodennummerierung
(setq BZZAEHLER2 1) 
(setq CA C)
(setq CI C)
(setq BFA BF)
(setq BFI BF)
(setq AWHI AWH)
(setq AWHA AWH)

(if (> BZ 1)
    (setq BZZAEHLER2 -1)
)

(setq BZZAEHLER1 (+ BZZAEHLER1 BZZAEHLER2))
(setq DURCHLAUF 2)

(while (<= DURCHLAUF AB)	; Wiederhole, bis alle Bden abgearbeitet sind
    (setq MEHRFACH 1)
    (setq BODENZAEHLER 1)
    (setq Eingabe5 "n")
    (setq DURCHLAUF1 1)

    (IF (< BZZAEHLER1 AB)	; Wenn noch mehr als ein Boden mglich ist
        (PROGN
           (setq BDNRREST (RTOS BZZAEHLER1 2 0))
           (setq HILF (- (+ BZZAEHLER1 MEHRFACH) 1) )
           (setq BDNRRESTEND (RTOS HILF 2 0))
           (setq KONTROL1 (- AB BZZAEHLER1))
           (setq KONTROL (+ KONTROL1 1))
           (initget 1 "J j N n")
           (setq Eingabe5 (getstring"\n            Folgen mehrere gleiche Abstnde (J/N) : "))
           (IF (OR (= Eingabe5 "j") (= Eingabe5 "J"))

               (Progn	
                  (setq ROZ (RTOS KONTROL 2 0))
                  (prompt (strcat "\n              Restbodenanzahl : "ROZ" *** Gesamt-Bodenzahl : "BDNRGESAMT))
                  (SETQ MEHRFACH (GETINT "\n                    Wieviel gleiche Bodenabstnde : "))
                  (setq HILFSZAEHLER BODENZAEHLER)
                  (setq BODENZAEHLER (+ BODENZAEHLER MEHRFACH))
                  (WHILE (> BODENZAEHLER AB)
                      (PROGN
                         (setq ABT(RTOS AB 2 0))
                         (setq BOZ(RTOS BODENZAEHLER 2 0))
                         (prompt (strcat "\n>>>>>>>>>>  Sie wollen >>> "BOZ" <<<  Bden konstruieren  <<<<<<<<<<"))
                         (prompt (strcat "\n                    Die Gesamtbodenanzahl betrgt : "ABT))
                         (prompt (strcat "\n                    Die Restbodenanzahl betrgt   : "ROZ))
                         (SETQ MEHRFACH (GETINT "\n                    Wieviel gleiche Bodenabstnde : "))
                         (setq BODENZAEHLER (+ HILFSZAEHLER MEHRFACH))
                      )
                  )
               )
           )   
        )
    )
    (setq BDNRREST (RTOS BZZAEHLER1 2 0))
    (setq HILF (- (+ BZZAEHLER1 MEHRFACH) 1) )
    (setq BDNRRESTEND (RTOS HILF 2 0))

    (if (= MEHRFACH 1)
        (prompt (strcat "\nBoden Nr.: "BDNRREST" ----------------------------------- Gesamt-Bodenzahl : "BDNRGESAMT))
    )
    (if (> MEHRFACH 1)
        (prompt (strcat "\nBoden Nr.: "BDNRREST" bis "BDNRRESTEND" ----------------------------------- Gesamt-Bodenzahl : "BDNRGESAMT))
    )

    (setq Ausgabe1 (RTOS H 2 0))
    (SETQ Text2 (STRCAT "\n                      Bodenabstand     <" Ausgabe1 ">  : "))
    (SETQ Ausgabe (GETSTRING T Text2))
    (if (= Ausgabe "")
        (SETQ Ausgabe Ausgabe1)
    )
    (SETQ Ausgabe1 Ausgabe)
    (setq H (ATOF Ausgabe))

;*** Mehrere Bden mit gleichem Abstand **************
    (IF (OR (= Eingabe5 "j") (= Eingabe5 "J")) 
        (Progn	
           (setq TEXT1 (RTOS MEHRFACH))
           (setq GESAMT (* MEHRFACH H))
           (setq TEXT2 (RTOS H 2 0))
           (setq TEXT3 (RTOS GESAMT 2 0))
           (setq BEMTEXT (strcat TEXT1" x "TEXT2" = " TEXT3))
           (Abfrage3) ;*********
        )
     )
;*** Nur ein Boden mit Innenablauf ********************
    (IF (AND (OR (= Eingabe5 "n") (= Eingabe5 "N")) (OR (= Naechst "I") (= Naechst "i")))
        (Progn	
           (Abfrage4) ;*********
        )
     )
;*** Nur ein Boden mit Auenablauf ******************
     (IF (AND (OR (= Eingabe5 "n") (= Eingabe5 "N")) (OR (= Naechst "A") (= Naechst "a")))
         (Progn	
            (Abfrage5) 
         )
    )
;***********************************************
    (while (<= DURCHLAUF1 MEHRFACH)
        (IF (= DURCHLAUF1 1)   ; Unterer Bempunkt
            (PROGN
                (setq BEMP1(polar bp10 (aib 0.) RI1))
            )
        )

,************************************************
        (if (AND (<= DURCHLAUF1 MEHRFACH) (OR (= Naechst "I") (= Naechst "i")))
            (progn
               (KonstrukI)
               (setq bp10 bp11)

            )    
        )
        (if (AND (<= DURCHLAUF1 MEHRFACH) (OR (= Naechst "A") (= Naechst "a")))
            (progn
               (KonstrukA)
               (setq bp10 bp11)
            )    
        )

        (IF (= MEHRFACH 1)     ; Ober. Bempunkt bei 1 gleichem Abstand
            (PROGN
               (setq BEMP2(polar bp11 (aib 0.) RI1))
               (command "_layer" "_s" Masslinie "")
               (setq BEMP(polar HP2 (aib 0.) BEMAB))
               (command "_dim" "_ver" BEMP1 BEMP2 BEMP "")
               (command "_exit")
            )
        )

        (IF (AND (> MEHRFACH 1) (= DURCHLAUF1 (+ MEHRFACH 1))) ; Ober. Bempunkt bei mehr gleichen Abstnden	
            (PROGN
               (setq BEMP2(polar bp11 (aib 0.) RI1))
               (command "_layer" "_s" Masslinie "")
               (setq BEMP(polar HP2 (aib 0.) BEMAB))
               (command "_dim" "_ver" BEMP1 BEMP2 BEMP BEMTEXT)
               (command "_exit")
            )
        )
     )	
  )
  (Endesequenz)
)
;****************************************************
(DEFUN ABFRAGE1()
   (prompt "\n--------------------------------------------------")
   (setq SN (getstring"\n                    Stutzenbezeichnung            : "))
   (setq NW     (getreal"                    Nennweite                  NW : "))
   (setq ATL    (getreal"                    Abstand von TL                : "))
   (setq LOR  (getstring"                    Links oder rechts       (L/R) : "))
)
;*****************************************************
(DEFUN ABFRAGE2()
   (terpri)
   (prompt  (strcat "\nBoden Nr.: "Ausgabe1" ----------------------------------- Gesamt-Bodenzahl : "BDNRGESAMT))
   (setq H (getreal"\n                    Bodenabstand bis TL           : "))
   (setq C   (getreal"                    Haltestababstand              : "))
   (setq BF  (getreal"                    Bodenfreiheit                 : "))
   (setq AWH (getreal"                    Ablaufwehrhhe                : "))
)
;*****************************************************
(DEFUN ABFRAGE3()
   (terpri)
   (setq Ausgabe2A (RTOS CA 2 0))
   (SETQ Text (STRCAT "               Haltestababstand Auen <" Ausgabe2A ">  : "))
   (SETQ Ausgabe (GETSTRING T Text))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe2A)
   ) 
   (SETQ Ausgabe2A Ausgabe)
   (setq CA (ATOF Ausgabe))

   (setq Ausgabe3A (RTOS BFA 2 0))
   (SETQ Text (STRCAT "               Bodenfreiheit    Auen <" Ausgabe3A ">   : "))
   (SETQ Ausgabe (GETSTRING T Text))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe3A)
   )
   (SETQ Ausgabe3A Ausgabe)
   (setq BFA (ATOF Ausgabe))

   (setq Ausgabe4A (RTOS AWHA 2 0))
   (SETQ Text (STRCAT "               Ablaufwehrhhe   Auen <" Ausgabe4A ">    : "))
   (SETQ Ausgabe (GETSTRING T Text))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe4A)
   )
   (SETQ Ausgabe4A Ausgabe)
   (setq AWHA (ATOF Ausgabe))

   (setq Ausgabe2I (RTOS CI 2 0))
   (SETQ Text (STRCAT "               Haltestababstand Innen <" Ausgabe2I ">  : "))
   (SETQ Ausgabe (GETSTRING T Text))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe2I)
   )
   (SETQ Ausgabe2I Ausgabe)
   (setq CI (ATOF Ausgabe))


   (setq Ausgabe3I (RTOS BFI 2 0))
   (SETQ Text (STRCAT "               Bodenfreiheit    Innen <" Ausgabe3I ">   : "))
   (SETQ Ausgabe (GETSTRING T Text))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe3I)
   )
   (SETQ Ausgabe3I Ausgabe)
   (setq BFI (ATOF Ausgabe))

   (setq Ausgabe4I (RTOS AWHI 2 0))
   (SETQ Text (STRCAT "               Ablaufwehrhhe   Innen <" Ausgabe4I ">    : "))
   (SETQ Ausgabe (GETSTRING T Text))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe4I)
   )
   (SETQ Ausgabe4I Ausgabe)
   (setq AWHI (ATOF Ausgabe))

   (setq H1(/ H m) CA1(/ CA m) CI1(/ CI m) BFA1(/ BFA m))
   (setq BFI1(/ BFI m) AWHA1(/ AWHA m) AWHI1(/ AWHI m))
)
;**************************************************
(DEFUN ABFRAGE4()
   (terpri)
   (setq Ausgabe2I (RTOS CI 2 0))
   (SETQ Text (STRCAT "               Haltestababstand Innen <" Ausgabe2I ">  : "))
   (SETQ Ausgabe (GETSTRING T Text))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe2I)
   )
   (SETQ Ausgabe2I Ausgabe)
   (setq CI (ATOF Ausgabe))
   (setq Ausgabe3I (RTOS BFI 2 0))
   (SETQ Text (STRCAT "               Bodenfreiheit    Innen <" Ausgabe3I ">   : "))
   (SETQ Ausgabe (GETSTRING T Text))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe3I)
   )
   (SETQ Ausgabe3I Ausgabe)
   (setq BFI (ATOF Ausgabe))
   (setq Ausgabe4I (RTOS AWHI 2 0))
   (SETQ Text (STRCAT "               Ablaufwehrhhe   Innen <" Ausgabe4I ">    : "))
   (SETQ Ausgabe (GETSTRING T Text))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe4I)
   )
   (SETQ Ausgabe4I Ausgabe)
   (setq AWHI (ATOF Ausgabe))

   (setq H1(/ H m) CI1(/ CI m) BFI1(/ BFI m) AWHI1(/ AWHI m))
)
;***************************************************
(DEFUN ABFRAGE5()
   (terpri)
   (setq Ausgabe2A (RTOS CA 2 0))
   (SETQ Text (STRCAT "               Haltestababstand Auen <" Ausgabe2A ">  : "))
   (SETQ Ausgabe (GETSTRING T Text))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe2A)
   )
   (SETQ Ausgabe2A Ausgabe)
   (setq CA (ATOF Ausgabe))
   (setq Ausgabe3A (RTOS BFA 2 0))
   (SETQ Text (STRCAT "               Bodenfreiheit    Auen <" Ausgabe3A ">   : "))
   (SETQ Ausgabe (GETSTRING T Text))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe3A)
   )
   (SETQ Ausgabe3A Ausgabe)
   (setq BFA (ATOF Ausgabe))

   (setq Ausgabe4A (RTOS AWHA 2 0))
   (SETQ Text (STRCAT "               Ablaufwehrhhe   Auen <" Ausgabe4A ">    : "))
   (SETQ Ausgabe (GETSTRING T Text))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe4A)
   )
   (SETQ Ausgabe4A Ausgabe)
   (setq AWHA (ATOF Ausgabe))

   (setq H1(/ H m) CA1(/ CA m) BFA1(/ BFA m) AWHA1(/ AWHA m))
)
;*************************************************
(DEFUN KonstrukA()
   (terpri)
   (setq bp11(polar bp10 (aib 90.) H1))
   (setq pr2(polar bp11 (aib 0.) CA1))
   (setq pr3(polar pr2 (aib 90.) AWHA1))
   (setq pr4(polar pr2 (aib 270.) (- H1 BFA1)))
   (setq pl2(polar bp11 (aib 180.) CA1))
   (setq pl3(polar pl2 (aib 90.) AWHA1))
   (setq pl4(polar pl2 (aib 270.) (- H1 BFA1)))
   (if (OR (= BZZAEHLER1 1) (= BZZAEHLER1 5) (= BZZAEHLER1 10) (= BZZAEHLER1 15) (= BZZAEHLER1 20) (= BZZAEHLER1 25) (= BZZAEHLER1 30) (= BZZAEHLER1 35) (= BZZAEHLER1 40) (= BZZAEHLER1 45) (= BZZAEHLER1 50) (= BZZAEHLER1 55) (= BZZAEHLER1 60) (= BZZAEHLER1 65) (= BZZAEHLER1 70) (= BZZAEHLER1 75) (= BZZAEHLER1 80) (= BZZAEHLER1 85) (= BZZAEHLER1 90) (= BZZAEHLER1 95) (= BZZAEHLER1 100) (= BZZAEHLER1 AB))
       (PROGN
          (setq TP1(polar BP11 (aib 90.) TabY))
          (setq TP2(polar TP1 (aib 0.) TabX))
          (command "_layer" "_s" Text035 "")
          (command "_text" TP2 TXT_Hoehe 0 BZZAEHLER1)
       )
   ) 
   (command "_layer" "_s" Vollinie035 "")
   (command "_line" pl2 pr2 "")
   (command "_line" pr3 pr4 "")
   (command "_line" pl3 pl4 "")
   (setq DURCHLAUF  (+ DURCHLAUF 1))	,Noch ausstehende Bden
   (setq DURCHLAUF1 (+ DURCHLAUF1 1))	;Mehrfach-Zhler
   (setq BZZAEHLER1 (+ BZZAEHLER1 BZZAEHLER2))
   (setq Naechst "I")
)
;*****************************************************
(DEFUN KonstrukI()
   (terpri)
   (setq bp11(polar bp10 (aib 90.) H1))
   (setq pr1(polar bp11 (aib 0.) RI1))
   (setq pr2(polar bp11 (aib 0.) CI1))
   (setq pr3(polar pr2 (aib 90.) AWHI1))
   (setq pr4(polar pr2 (aib 270.) (- H1 BFI1)))
   (setq pl1(polar bp11 (aib 180.) RI1))
   (setq pl2(polar bp11 (aib 180.) CI1))
   (setq pl3(polar pl2 (aib 90.) AWHI1))
   (setq pl4(polar pl2 (aib 270.) (- H1 BFI1)))
   (if (OR (= BZZAEHLER1 1) (= BZZAEHLER1 5) (= BZZAEHLER1 10) (= BZZAEHLER1 15) (= BZZAEHLER1 20) (= BZZAEHLER1 25) (= BZZAEHLER1 30) (= BZZAEHLER1 35) (= BZZAEHLER1 40) (= BZZAEHLER1 45) (= BZZAEHLER1 50) (= BZZAEHLER1 55) (= BZZAEHLER1 60) (= BZZAEHLER1 65) (= BZZAEHLER1 70) (= BZZAEHLER1 75) (= BZZAEHLER1 80) (= BZZAEHLER1 85) (= BZZAEHLER1 90) (= BZZAEHLER1 95) (= BZZAEHLER1 100) (= BZZAEHLER1 AB))
       (PROGN
          (setq TP1(polar BP11 (aib 90.) TabY))
          (setq TP2(polar TP1 (aib 0.) TabX))
          (command "_layer" "_s" Text035 "")
          (command "_text" TP2 TXT_Hoehe 0 BZZAEHLER1)
       )
   ) 
   (command "_layer" "_s" Vollinie035 "")
   (command "_line" pr1 pr2 "")
   (command "_line" pr3 pr4 "")
   (command "_line" pl1 pl2 "")
   (command "_line" pl3 pl4 "")
   (setq DURCHLAUF  (+ DURCHLAUF 1))	,Noch ausstehende Bden
   (setq DURCHLAUF1 (+ DURCHLAUF1 1))	;Mehrfach-Zhler
   (setq BZZAEHLER1 (+ BZZAEHLER1 BZZAEHLER2))
   (setq Naechst "A")
)
