;----------------------------------------------------------------------
; Programmname : EINSC-2C.LSP  - Version: 3.0 - fr AutoCAD Version 13
; Aufgabe            : Einschweiteile 2-Flut
;                      Teil 3, Seitenansicht mit Auflagering
; (c) 1997 by Ralph Kferstein, Stifterstr. 25, 67065 Ludwigshafen
; Tel./Fax: 0621 - 574658      -     Email: EDV007@aol.com
; URL: http://members.aol.com/EDV007/PAGE1.HTM
;----------------------------------------------------------------------
; SHAREWARE         S H A R E W A R E         SHAREWARE
;----------------------------------------------------------------------
; Autor: Dipl.-Ing. R. Kferstein * Stifterstr. 25 * 67065 Ludwigshafen 
; Nehme Telearbeitsprojekte aus folgenden Bereichen an:
; CAD/EDV-Dienstleistungen - CAD-Zeichen- & Konstruktionsservice
; Video-/Multimediaproduktionen, Audio/Midi-Komponist
; Softwareentwicklung (Autolisp/V-Basic/T-Basic/EXCEL/Access/Foxro)
;----------------------------------------------------------------------
; Dieses Programm knnen Sie 4 Wochen lang testen
; Bei lngerem Gebrauch mssen Sie sich bei mir registrieren lassen !!!
; Schicken Sie hierfr bitte einen Brief (1BESTEL.TXT) an die o.a.
; Adresse/Faxnummer oder per Email
; Weitere Programme fr AutoCAD finden Sie in der Datei 1README.TXT
;-----------------------------------------------------------------------
; Ich lehne jegliche Garantie oder Haftung fr direkte oder indirekte
; (auch konstruktive) Schden ab. Weiterhin bernehme ich keine Garantie
; fr die Funktion des Programms.
;-----------------------------------------------------------------------
; Fehlerroutine 
(defun Abbruch (s)
   (if (/= s "Function cancelled") (princ (strcat "\nFehler: " s)))
   (setvar "CLAYER" AltLayer)
   (graphscr)
   (SETVAR "cmdecho" 1)
   (SETVAR "blipmode" 1)
   (SETVAR "highlight" 1)
   (SETVAR "TEXTSIZE" AltTexthoehe)
   (SETQ *error* olderr)
   (princ)
)
;-----------------------------------------------------------------------
;Winkel von Altgrad ins Bogenma konvertieren
(defun aib (w) (* pi (/ w 180.)))
;-----------------------------------------------------------------------
; Winkel von Bogenma nach Altgrad konvertieren
(defun bia (b) (* (/ b pi) 180.))
;-----------------------------------------------------------------------
; Tangens - Funktion
(defun tan (w) (/ (sin w) (cos w)))
;-----------------------------------------------------------------------
; Arcus-Sinus - Funktion
(defun asin (x)
   (setq radi (- 1 (* x x)))
   (setq nen (sqrt radi))
   (setq arg (/ x nen))
   (setq winb (atan arg))
)
;-----------------------------------------------------------------------
; Phytagoras
(defun phyt (c a)
   (SETQ CC (* C C))
   (SETQ AA (* A A))
   (SETQ Laenge (SQRT(- CC AA)))
)
;-----------------------------------------------------------------------
;Mastabfaktor - Umrechnung
(defun mass (x) (/ x m))
;-----------------------------------------------------------------------
(defun Vorgaben ()
  (SETQ olderr  *error*)
  (SETQ *error* ABBRUCH)
  (setq AltBemFaktor (getvar "DIMLFAC"))
  (SETQ AltLayer (getvar "CLAYER"))
  (setq AltPDSIZE (getvar "pdsize"))
  (setq AltPDMODE (getvar "pdmode"))
  (SETQ AltTexthoehe (getvar "TEXTSIZE"))
  (setq TXT_Hoehe 2.7)
  (SETVAR "dimtxt" 2.7)
  (SETVAR "cmdecho" 0)
  (SETVAR "blipmode" 0)
  (SETQ Vollinie025 "VOLL-025")
  (SETQ Vollinie035 "VOLL-035")
  (SETQ Vollinie05 "VOLL-05")
  (SETQ Vollinie07 "VOLL-07")
  (setq LOESCHEN "LOESCHEN")
  (SETQ Masslinie "BEMASSUNG")
  (SETQ Mittellinie "STRP-025")
  (SETQ Schraffurlinie "SCHRAFFUR")
  (SETQ VerdeckteLinie025 "STRI-025")
  (SETQ VerdeckteLinie035 "STRI-035")
  (SETQ Text025 "TEXT-025")
  (SETQ Text035 "TEXT-035")
  (SETQ Text05 "TEXT-05")
  (SETQ Text07 "TEXT-07")
  (prompt "\n--------------------------------------------------------------------------")
  (prompt "\nP R  F V E R S I O N  - 4 Wochen lang kostenlos zum Testen")
  (prompt "\n--------------------------------------------------------------------------")
  (prompt "\n(c) 1997 by  Dipl.-Ing. Ralph Kferstein, Tel./Fax: 0621-574658")
  (prompt "\n--------------------------------------------------------------------------")
)
;----------------------------------------------------------------------
(defun Endesequenz ()
  (setvar "DIMLFAC" AltBemFaktor)
  (setvar "CLAYER" AltLayer)
  (setvar "PDSIZE" AltPDSIZE)
  (setvar "PDMODE" AltPDMODE)
  (setvar "TEXTSIZE" AltTexthoehe)
  (graphscr)
  (SETQ *error* olderr)
  (SETVAR "blipmode" 1)
  (SETVAR "cmdecho" 1)
  (SETVAR "HIGHLIGHT" 1) 
  (PRINC)
)
;-----------------------------------------------------------------------
;Hauptprogramm
(defun c:EINSC-2C ()
   (Vorgaben)
   (prompt "\n--------------------------------------------------")
   (prompt "\n--- Konstruktionsprogamm fr Einschweiteile 2-Flut ---")
   (prompt "\n--- Teil 3: Seitenansicht mit Auflagering")
   (prompt "\n--------------------------------------------------")
   (setq DI (getreal"\n                    Innendurchmesser (Kolonne): "))
   (graphscr)
   (Setq bp1 (getpoint"                    Basispunkt................. "))
   (initget 1 "1 2 5 10 15 20 25 33 50 75 100")
   (setq mfTASTE
     (getkword      "\n                    Mastabsfaktor......... 1 : "))
   (setq m (atof mfTASTE))
   (SETQ mfk (rtos m 2 0))
   (setq BStilAA (strcat "F" mfk "AA"))
   (setq BStilEA (strcat "F" mfk "AA"))
   (setq BStilEE (strcat "F" mfk "AA"))

   (setq RI (/ DI 2) s1 1.4)
   (setq DK 13.) ;Bohrungsdurchmesser
   (setq HA 35.) ; Bohrungsabstand
   (setq HOEHE 500 UEBER1 8 UEBER2 5 UEBER3 4)
   (setq DI1 (/ DI m) RI1 (/ RI m))
   (Mantelkonstruktion)
   (setq Hilfp bp1)
   (setq rbp1(polar bp1 (aib 0.) (+ DI1 90)))
   (setq bp1 rbp1)
   (Mantelkonstruktion)
   (setq bp1 Hilfp)
   (setq bp2(polar bp1 (aib 90.) UEBER1))
   (setq rbp2(polar bp2 (aib 0.) (+ DI1 90)))

   (setq BEMAB 20)
   (setq Boden 1)

   (setq H 0 SD 2 SDI 2 BF 35 BFI 35 AWH 45 AWHI 55 ARB 60 ARBI 60 ARD 12 ARDI 12 C 900 CI 0 CO 125)
   (setq HB 110 HBI 140 HD 12 HDI 12 A 35 AI 30 B 40)

   (initget 1 "A a i I")
   (SETQ AussenInnen (getkword "\n 1. Boden mit Innen- oder Auenablauf (I/A) : "))
   (setq Eingabe1 "J")
   (WHILE (OR (= Eingabe1 "j") (= Eingabe1 "J"))
      (IF (OR (= AussenInnen "A") (= AussenInnen "a"))
          (PROGN
              (setq Eingabe2 "n")
              (WHILE (OR (= Eingabe2 "n") (= Eingabe2 "N"))
                 (AbfrageAussen)
                 (initget 1 "J j N n")
                 (SETQ Eingabe2 (getkword "\n                   Angaben in Ordnung (J/N) : "))
              )
              (KonstruktAussen)
              (setq Hilfsvar "I")
           )
      )   
      (IF (OR (= AussenInnen "I") (= AussenInnen "i"))
          (PROGN
              (setq Eingabe2 "n")
              (WHILE (OR (= Eingabe2 "n") (= Eingabe2 "N"))
                 (AbfrageInnen)
                 (initget 1 "J j N n")
                 (SETQ Eingabe2 (getkword "\n                   Angaben in Ordnung (J/N) : "))
              )
              (KonstruktInnen)
              (setq Hilfsvar "A")
           )
      )
      (setq AussenInnen Hilfsvar)
      (initget 1 "J j N n")
      (SETQ Eingabe1 (getkword "\n                Weitere Bden erstellen (J/N) : "))
    )    
  (Endesequenz)
)
;*** Punktedefinitionen das Mantels *********************
(defun Mantelkonstruktion()
  (setq hp1(polar bp1 (aib 270.) UEBER1))
  (setq hp2(polar bp1 (aib 90.) (+ HOEHE UEBER1)))
  (setq hp3(polar hp1 (aib 0.) (/ DI1 3)))
  (setq hp4(polar hp1 (aib 180.) (/ DI1 3)))

  (setq pr1(polar bp1 (aib 0.) (+ RI1 S1)))
  (setq pr2(polar bp1 (aib 0.) RI1))
  (setq pl1(polar bp1 (aib 180.) (+ RI1 S1)))
  (setq pl2(polar bp1 (aib 180.) RI1))
  (setq pr3(polar pr1 (aib 90.) HOEHE))
  (setq pr4(polar pr2 (aib 90.) HOEHE))
  (setq pl3(polar pl1 (aib 90.) HOEHE))
  (setq pl4(polar pl2 (aib 90.) HOEHE))

  (setq pr6(polar pr1 (aib 0.) (/ DI1 8)))
  (setq pl6(polar pl1 (aib 180.) (/ DI1 8)))

  (setq pr7(polar hp3 (aib 90.) (- UEBER1 UEBER2)))
  (setq pl7(polar hp4 (aib 90.) (- UEBER1 UEBER2)))
  (setq pr8(polar pr7 (aib 90.) (* UEBER2 2)))
  (setq pl8(polar pl7 (aib 90.) (* UEBER2 2)))

  (setq hp7(polar pr1 (aib 180.) (- (/ DI1 2) (/ DI1 3)) ))
  (setq hp8(polar pl1 (aib 0.) (- (/ DI1 2) (/ DI1 3)) ))

  (setq pr9(polar hp7 (aib 0.) UEBER3))
  (setq pr10(polar hp7 (aib 180.) UEBER3))

  (setq pl9(polar hp8 (aib 180.) UEBER3))
  (setq pl10(polar hp8 (aib 0.) UEBER3))

  (command "_layer" "_s" Vollinie025 "")
  (command "_line" pl6 pl9 pl8 pl7 pl10 pr10 pr8 pr7 pr9 pr6 "")

  (command "_layer" "_s" Vollinie05 "")
  (command "_line" pr1 pr3 "")
  (command "_line" pl1 pl3 "")
  (command "_line" pr2 pr4 "")
  (command "_line" pl2 pl4 "")

  (command "_layer" "_s" Mittellinie "")
  (command "_line" hp1 hp2 "")

  (command "_layer" "_s" BEMASSUNG "")
  (command "_dimstyle" "_r" BStilAA "_dim"))
  (setq BEMP(polar HP1 (aib 270.) 8))
  (setq BEMDI (RTOS DI 2 0))
  (setq BEMTEXT (strcat "Li %%C " BEMDI))
  (command "_hor" pr2 pl2 BEMP BEMTEXT)
  (command "_exit")
)

;*****************************************
(defun AbfrageAussen()
;   (command "cls")
   (prompt "\n--------------------------------------------------")
   (prompt "\n--- Konstruktionsprogamm fr Einschweiteile ---")
   (prompt "\n--- Teil 3: Seitenansicht mit Auflagering")
   (prompt "\n--------------------------------------------------")
   (setq TEXT1 (getstring T "\nAuenablauf --- Boden - Nummer          : "))

   (setq Ausgabe2 (RTOS H 2 0))
   (SETQ Text2 (STRCAT "                    Bodenabstand      <" Ausgabe2 "> : "))
   (SETQ Ausgabe (GETSTRING T Text2))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe2)
   )
   (SETQ Ausgabe2 Ausgabe)
   (setq H (ATOF Ausgabe))

   (setq Ausgabe3 (RTOS SD 2 0))
   (SETQ Text3 (STRCAT "     Dicke --> Bodenblech + Dichtung    <" Ausgabe3 "> : "))
   (SETQ Ausgabe (GETSTRING T Text3))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe3)
   )
   (SETQ Ausgabe3 Ausgabe)
   (setq SD (ATOF Ausgabe))

   (setq Ausgabe4 (RTOS BF 2 0))
   (SETQ Text4 (STRCAT "                    Bodenfreiheit      <" Ausgabe4 "> : "))
   (SETQ Ausgabe (GETSTRING T Text4))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe4)
   )
   (SETQ Ausgabe4 Ausgabe)
   (setq BF (ATOF Ausgabe))

   (setq Ausgabe5 (RTOS AWH 2 0))
   (SETQ Text5 (STRCAT "                    Ablaufwehrhhe     <" Ausgabe5 "> : "))
   (SETQ Ausgabe (GETSTRING T Text5))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe5)
   )
   (SETQ Ausgabe5 Ausgabe)
   (setq AWH (ATOF Ausgabe))

   (setq Ausgabe6 (RTOS ARB 2 0))
   (SETQ Text6 (STRCAT "                    Breite Auflagering <" Ausgabe6 "> : "))
   (SETQ Ausgabe (GETSTRING T Text6))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe6)
   )
   (SETQ Ausgabe6 Ausgabe)
   (setq ARB (ATOF Ausgabe))

   (setq Ausgabe7 (RTOS ARD 2 0))
   (SETQ Text7 (STRCAT "                    Dicke Auflagering  <" Ausgabe7 "> : "))
   (SETQ Ausgabe (GETSTRING T Text7))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe7)
   )
   (SETQ Ausgabe7 Ausgabe)
   (setq ARD (ATOF Ausgabe))

   (setq Ausgabe8 (RTOS C 2 0))
   (SETQ Text8 (STRCAT "                    Haltestababstand  <" Ausgabe8 "> : "))
   (SETQ Ausgabe (GETSTRING T Text8))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe8)
   )
   (SETQ Ausgabe8 Ausgabe)
   (setq C (ATOF Ausgabe))

   (setq Ausgabe9 (RTOS HB 2 0))
   (SETQ Text9 (STRCAT "                    Breite Haltestab  <" Ausgabe9 "> : "))
   (SETQ Ausgabe (GETSTRING T Text9))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe9)
   )
   (SETQ Ausgabe9 Ausgabe)
   (setq HB (ATOF Ausgabe))

   (setq Ausgabe10(RTOS HD 2 0))
   (SETQ Text10 (STRCAT "                    Dicke Haltestab    <" Ausgabe10 "> : "))
   (SETQ Ausgabe (GETSTRING T Text10))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe10)
   )
   (SETQ Ausgabe10 Ausgabe)
   (setq HD (ATOF Ausgabe))
   (command "_vslide" "einsch02")
   (setq Ausgabe11 (RTOS A 2 0))
   (SETQ Text11 (STRCAT "                    Ma F (Haltestab)  <" Ausgabe11 "> : "))
   (SETQ Ausgabe (GETSTRING T Text11))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe11)
   )
   (SETQ Ausgabe11 Ausgabe)
   (setq A (ATOF Ausgabe))

   (setq Ausgabe12 (RTOS B 2 0))
   (SETQ Text12 (STRCAT "                    Ma G (Haltestab)  <" Ausgabe12 "> : "))
   (SETQ Ausgabe (GETSTRING T Text12))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe12)
   )
   (SETQ Ausgabe12 Ausgabe)
   (setq B (ATOF Ausgabe))
   (command "_redraw")
)

;*************************************************************
(defun KonstruktAussen()
   (setq H1 (/ H m) BF1 (/ BF m) AWH1 (/ AWH m) ARB1 (/ ARB m) ARD1 (/ ARD m))
   (setq C1 (/ C m) HD1 (/ HD m) HB1 (/ HB m) A1 (/ A m) B1 (/ B m) SD1 (/ SD m))
   (setq HA1 (/ HA m) DK1 (/ DK m))
   (IF (< DK1 1.3)
       (setq DK1 1.3)
   )
   (setq HMALT (SQRT(-(* RI RI) (* (+ C HD) (+ C HD)))))
   (setq HMALTS (SQRT(- (* RI RI) (* C C))))
   (setq HMNEU (FIX HMALT))
   (setq HMNEU (float HMNEU))
   (setq Abfrage (- HMALT HMNEU))
   (IF (> Abfrage 0.45)
       (setq HMNEU (+ HMNEU 1.0))
   )
   (setq HMNEU1 (/ HMNEU m) HMALT1(/ HMALT m))

;*** linker Teil
   (setq bp3(polar bp2 (aib 90.) H1))

   (setq tp1(polar bp3 (aib 0.) (+ (+ RI1 S1) 28.8)))
   (setq tp2(polar tp1 (aib 0.) 57))
   (setq tp3(polar tp1 (aib 30.) 5))

   (setq p1(polar bp3 (aib 0.) C1))
   (setq p2(polar p1 (aib 270.) ARD1))
   (setq p3(polar p1 (aib 90.) (+ AWH1 SD1)))
   (setq p4(polar p1 (aib 270.) (- (- H1 BF1) SD1)))
   (if (= Boden 1)
       (progn
           (setq p4(polar p1 (aib 270.) (- H1 BF1)))
       )
   )    
   (setq p5(polar p3 (aib 0.) HD1))
   (setq p6(polar p4 (aib 0.) HD1))
   (setq p7(polar bp3 (aib 180.) C1))
   (setq p8(polar p7 (aib 270.) ARD1))
   (setq p9(polar p7 (aib 90.) (+ AWH1 SD1)))
   (setq p10(polar p7 (aib 270.) (- (- H1 BF1) SD1)))
   (if (= Boden 1)
       (progn
           (setq p10(polar p7 (aib 270.) (- H1 BF1)))
       )
   )    

   (setq p11(polar p9 (aib 180.) HD1))
   (setq p12(polar p10 (aib 180.) HD1))

   (setq p13(polar p1 (aib 180.) 3))
   (setq p14(polar p13 (aib 90.) 3))
   (setq p15(polar p7 (aib 0.) 3))
   (setq p16(polar p15 (aib 90.) 3))

   (setq p17(polar p2 (aib 180.) 1))
   (setq p18(polar p2 (aib 270.) 1))
   (setq p19(polar p8 (aib 0.) 1))
   (setq p20(polar p8 (aib 270.) 1))

   (setq hp5(polar bp2 (aib 0.) (+ RI1 S1)))
   (setq hp6(polar bp2 (aib 0.) (+ RI1 31)))
   (setq bemp1(polar bp2 (aib 0.) (+ RI1 21)))
   (setq bemp2(polar bp2 (aib 0.) (+ RI1 29)))
   (setq bemp3(polar bp3 (aib 0.) (+ RI1 0.5)))
   (setq bemp4(polar bp2 (aib 0.) (+ RI1 3) ))

;*** rechte Seite - linkes Teil ********************
   (setq rbp3(polar rbp2 (aib 90.) H1))
   (setq p30(polar rbp3 (aib 180.) HMALT1))
   (setq p31(polar rbp3 (aib 180.) HMNEU1))

   (setq p32(polar p30 (aib 90.) (+ AWH1 SD1)))
   (setq p33(polar p31 (aib 90.) (+ AWH1 SD1)))
   (setq p34(polar p33 (aib 0.) HB1))
   (setq p35(polar p34 (aib 270.) (- (+ H1 AWH1) BF1)))
   (setq p36(polar p32 (aib 270.) (- (+ H1 AWH1) BF1)))
   (if (= Boden 1)
       (progn
           (setq p35(polar p34 (aib 270.) (+ (- (+ H1 AWH1) BF1) SD1)))
           (setq p36(polar p32 (aib 270.) (+ (- (+ H1 AWH1) BF1) SD1)))
       )
   )    
   (setq hp30(polar p34 (aib 180.) A1))
   (setq hp31(polar p34 (aib 180.) (+ A1 B1)))
   (setq hp32(polar p35 (aib 180.) A1))

   (setq p37(polar p30 (aib 270.) ARD1))
   (setq p38(polar hp32 (aib 270.) 3))
   (setq p39(polar hp30 (aib 90.) 3))
   (setq p40(polar hp31 (aib 270.) (+ AWH1 SD1)))
   (setq p41(polar rbp3 (aib 180.) RI1))
   (setq p42(polar p40 (aib 270.) ARD1))
   (setq p43(polar p41 (aib 270.) ARD1))
   (setq p44(polar p41 (aib 0.) ARB1))
   (setq p45(polar p44 (aib 270.) ARD1))

;*** Schraffur links
   (setq p46(polar p43 (aib 0.) (/ ARB1 6)))
   (setq p47(polar p44 (aib 180.) (/ ARB1 6)))
   (setq p48(polar p46 (aib 45.) (/ ARD1 (cos (aib 45.)))))
   (setq p49(polar p47 (aib 225.) (/ ARD1 (cos (aib 45.)))))

;*** Schweinaht links
   (setq p50(polar p43 (aib 0.) 1))
   (setq p51(polar p43 (aib 270.) 1))
   (setq p52(polar p41 (aib 0.) 1))
   (setq p53(polar p41 (aib 90.) 1))

;*** Bohrungen links
   (setq kp1(polar hp30 (aib 270.) (+ (+ AWH1 SD1) HA1)))
   (setq hp33(polar kp1 (aib 180.) (* DK1 3)))
   (setq hp34(polar kp1 (aib 0.) (* DK1 3)))

;*** Bemaung links
   (setq bemp5(polar kp1 (aib 270.) (/ DK1 2)))
   (setq bemp6(polar kp1 (aib 90.) (/ DK1 2)))
   (setq bemp7(polar p41 (aib 180.) 8))
   (setq bemp8(polar p34 (aib 0.) 8))

;*** rechte Seite - rechtes Teil **************************
   (setq rp30(polar rbp3 (aib 0.) HMALT1))
   (setq rp31(polar rbp3 (aib 0.) HMNEU1))

   (setq rp32(polar rp30 (aib 90.) (+ AWH1 SD1)))
   (setq rp33(polar rp31 (aib 90.) (+ AWH1 SD1)))
   (setq rp34(polar rp33 (aib 180.) HB1))
   (setq rp35(polar rp34 (aib 270.) (- (+ H1 AWH1) BF1)))
   (setq rp36(polar rp32 (aib 270.) (- (+ H1 AWH1) BF1)))
   (if (= Boden 1)
       (progn
           (setq rp35(polar rp34 (aib 270.) (+ (- (+ H1 AWH1) BF1) SD1)))
           (setq rp36(polar rp32 (aib 270.) (+ (- (+ H1 AWH1) BF1) SD1)))
       )
   )    
   (setq rhp30(polar rp34 (aib 0.) A1))
   (setq rhp31(polar rp34 (aib 0.) (+ A1 B1)))
   (setq rhp32(polar rp35 (aib 0.) A1))

   (setq rp37(polar rp30 (aib 270.) ARD1))
   (setq rp38(polar rhp32 (aib 270.) 3))
   (setq rp39(polar rhp30 (aib 90.) 3))

   (setq rp40(polar rhp31 (aib 270.) (+ AWH1 SD1)))
   (setq rp41(polar rbp3 (aib 0.) RI1))
   (setq rp42(polar rp40 (aib 270.) ARD1))
   (setq rp43(polar rp41 (aib 270.) ARD1))
   (setq rp44(polar rp41 (aib 180.) ARB1))
   (setq rp45(polar rp44 (aib 270.) ARD1))

;*** Schraffur rechts
   (setq rp46(polar rp43 (aib 180.) (/ ARB1 6)))
   (setq rp47(polar rp44 (aib 0.) (/ ARB1 6)))
   (setq rp48(polar rp46 (aib 135.) (/ ARD1 (cos (aib 45.)))))
   (setq rp49(polar rp47 (aib 315.) (/ ARD1 (cos (aib 45.)))))

;*** Schweinaht rechts
   (setq rp50(polar rp43 (aib 180.) 1))
   (setq rp51(polar rp43 (aib 270.) 1))
   (setq rp52(polar rp41 (aib 180.) 1))
   (setq rp53(polar rp41 (aib 90.) 1))

;*** Bohrungen rechts
   (setq rkp1(polar rhp30 (aib 270.) (+ (+ AWH1 SD1) HA1)))
   (setq rhp33(polar rkp1 (aib 0.) (* DK1 3)))
   (setq rhp34(polar rkp1 (aib 180.) (* DK1 3)))

;*** Bemaung rechts
   (setq bemrp5(polar rkp1 (aib 270.) (/ DK1 2)))
   (setq bemrp6(polar rkp1 (aib 90.) (/ DK1 2)))
   (setq bemrp7(polar rp41 (aib 0.) 10))
   (setq bemrp8(polar rp34 (aib 180.) 8))

   (command "_layer" "_s" SCHRAFFUR "")
   (command "_solid" p17 p2 p18 "" "")
   (command "_solid" p19 p8 p20 "" "")

   (command "_line" p46 p48 "")
   (command "_line" rp46 rp48 "")
   (command "_line" p47 p49 "")
   (command "_line" rp47 rp49 "")

   (command "_solid" p41 p52 p53 "" "")
   (command "_solid" rp41 rp52 rp53 "" "")
   (command "_solid" p43 p50 p51 "" "")
   (command "_solid" rp43 rp50 rp51 "" "")
   
   (command "_layer" "_s" Vollinie035 "")
   (command "_line" p7 p1 "")
   (command "_line" p8 p2 "")
   (command "_line" p3 p5 p6 p4 "_s")
   (command "_line" p9 p10 p12 p11 "_s")

   (command "_line" p30 p32 p34 p35 p36 p37 "")
   (command "_line" rp30 rp32 rp34 rp35 rp36 rp37 "")
   (command "_line" p41 p40 p42 p43 "")
   (command "_line" rp41 rp40 rp42 rp43 "")
   (command "_line" p44 p45 "")
   (command "_line" rp44 rp45 "")

   (command "_circle" kp1 "_d" DK1)
   (command "_circle" rkp1 "_d" DK1)

   (command "_layer" "_s" Vollinie025 "")
   (command "_line" p38 p39 "")
   (command "_line" rp38 rp39 "")
   (command "_line" hp33 hp34 "")
   (command "_line" rhp33 rhp34 "")
   (command "_line" p40 rp40 "")

   (command "_layer" "_s" BEMASSUNG "")
   (command "_line" bemp4 hp6 "")

   (command "_dimstyle" "_r" BStilAA "_dim")
   (command "_ver" bemrp6 bemrp5 bemrp8 "13")
   (command "_ver" rhp33 rp41 bemrp7 "")
;   (command "HOLEN" BStilEA)
   (command "_exit")
   (IF (= Boden 2)
       (PROGN
          (command "_line" bemp3 tp2 "")
          (command "_dim" "_ver" bp2 p6 bemp1 "")
;          (command "HOLEN" BStilEE)
          (command "_ver" hp5 bemp3 bemp2 "")
       )
   )
   (IF (= Boden 1)
       (PROGN
          (command "_line" p1 tp2 "")
          (command "_dim" "_ver" bemp3 p6 bemp1 "")
;          (command "HOLEN" BStilEA)
          (command "_ver" bemp3 hp5 bemp2 "")
          (setq Boden 2)
       )
   )
;   (command "HOLEN" BStilEA)
   (command "_ver" bemp3 p5 bemp1 "")
   (command "_exit")

   (command "_layer" "_s" Vollinie025 "")
   (command "_insert" "E-Pfeil1" p14 "1" "" "0")
   (command "_insert" "E-Pfeil2" p16 "1" "" "180")

   (SETQ Text2 (STRCAT "Boden-Nr.: " Text1))
   (command "_layer" "_s" TEXT-05 "")
   (command "_text" tp3 "4.0" "0.0" TEXT2)

   (setq bpNEU(polar bp2 (aib 90.) H1))
   (setq bp2 bpNEU)
   (setq rbp2(polar bp2 (aib 0.) (+ DI1 90)))
   (setq bemp4 bemp3)
)

;*********************************************
(defun AbfrageInnen()
;   (command "cls")
   (prompt "\n--------------------------------------------------")
   (prompt "\n--- Konstruktionsprogamm fr Einschweiteile ---")
   (prompt "\n--- Teil 3: Seitenansicht mit Auflagering")
   (prompt "\n--------------------------------------------------")
   (setq TEXT1 (getstring T "\nInnenablauf --- Boden - Nummer          : "))
   (setq Ausgabe2 (RTOS H 2 0))
   (SETQ Text2 (STRCAT "                    Bodenabstand      <" Ausgabe2 "> : "))
   (SETQ Ausgabe (GETSTRING T Text2))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe2)
   )
   (SETQ Ausgabe2 Ausgabe)
   (setq H (ATOF Ausgabe))

   (setq Ausgabe3 (RTOS SDI 2 0))
   (SETQ Text3 (STRCAT "     Dicke --> Bodenblech + Dichtung    <" Ausgabe3 "> : "))
   (SETQ Ausgabe (GETSTRING T Text3))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe3)
   )
   (SETQ Ausgabe3 Ausgabe)
   (setq SDI (ATOF Ausgabe))

   (setq Ausgabe4 (RTOS BFI 2 0))
   (SETQ Text4 (STRCAT "                    Bodenfreiheit      <" Ausgabe4 "> : "))
   (SETQ Ausgabe (GETSTRING T Text4))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe4)
   )
   (SETQ Ausgabe4 Ausgabe)
   (setq BFI (ATOF Ausgabe))

   (setq Ausgabe5 (RTOS AWHI 2 0))
   (SETQ Text5 (STRCAT "                    Ablaufwehrhhe     <" Ausgabe5 "> : "))
   (SETQ Ausgabe (GETSTRING T Text5))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe5)
   )
   (SETQ Ausgabe5 Ausgabe)
   (setq AWHI (ATOF Ausgabe))

   (setq Ausgabe6 (RTOS ARBI 2 0))
   (SETQ Text6 (STRCAT "                    Breite Auflagering <" Ausgabe6 "> : "))
   (SETQ Ausgabe (GETSTRING T Text6))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe6)
   )
   (SETQ Ausgabe6 Ausgabe)
   (setq ARBI (ATOF Ausgabe))

   (setq Ausgabe7 (RTOS ARDI 2 0))
   (SETQ Text7 (STRCAT "                    Dicke Auflagering  <" Ausgabe7 "> : "))
   (SETQ Ausgabe (GETSTRING T Text7))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe7)
   )
   (SETQ Ausgabe7 Ausgabe)
   (setq ARDI (ATOF Ausgabe))

   (setq Ausgabe8 (RTOS CO 2 0))
   (SETQ Text8 (STRCAT "                    Haltestababstand  <" Ausgabe8 "> : "))
   (SETQ Ausgabe (GETSTRING T Text8))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe8)
   )
   (SETQ Ausgabe8 Ausgabe)
   (setq CO (ATOF Ausgabe))

   (setq Ausgabe9 (RTOS HBI 2 0))
   (SETQ Text9 (STRCAT "                    Breite Haltestab  <" Ausgabe9 "> : "))
   (SETQ Ausgabe (GETSTRING T Text9))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe9)
   )
   (SETQ Ausgabe9 Ausgabe)
   (setq HBI (ATOF Ausgabe))

   (setq Ausgabe10(RTOS HDI 2 0))
   (SETQ Text10 (STRCAT "                    Dicke Haltestab    <" Ausgabe10 "> : "))
   (SETQ Ausgabe (GETSTRING T Text10))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe10)
   )
   (SETQ Ausgabe10 Ausgabe)
   (setq HDI (ATOF Ausgabe))
   (command "_vslide" "einsch02")
   (setq Ausgabe11 (RTOS AI 2 0))
   (SETQ Text11 (STRCAT "                    Ma F (Haltestab)  <" Ausgabe11 "> : "))
   (SETQ Ausgabe (GETSTRING T Text11))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe11)
   )
   (SETQ Ausgabe11 Ausgabe)
   (setq AI (ATOF Ausgabe))
   (command "_redraw")
)

;************************************************
(defun KonstruktInnen()
   (setq CI (- CO HDI))
   (setq HMALT (SQRT(-(* RI RI) (* CO CO) )))
   (setq HMNEU (FIX HMALT))
   (setq HMNEU (float HMNEU))
   (setq Abfrage (- HMALT HMNEU))
         (IF (> Abfrage 0.45)
             (Progn
               (setq HMNEU (+ HMNEU 1.0))
             )
          )
   (setq CO1 (/ CO m) HMNEU1 (/ HMNEU m) HMALT1 (/ HMALT m))
   (setq H1 (/ H m) BFI11 (/ BF m) BFI1 (/ BFI m) AWHI1 (/ AWHI m) ARBI1 (/ ARBI m) ARDI1 (/ ARDI m))
   (setq CI1 (/ CI m) HDI1 (/ HDI m) HBI1 (/ HBI m) AI1 (/ AI m) SDI1 (/ SDI m))
   (setq HA1 (/ HA m) DK1 (/ DK m))
   (setq BFI11 (/ BF m) ARB1 (/ ARB m) ARD1 (/ ARD m))
   (IF (< DK1 1.3)
       (setq DK1 1.3)
   )

;*** linker Teil ********************************
   (setq bp3(polar bp2 (aib 90.) H1))

   (setq tp1(polar bp3 (aib 0.) (+ (+ RI1 S1) 28.8)))
   (setq tp2(polar tp1 (aib 0.) 57))
   (setq tp3(polar tp1 (aib 30.) 5))

   (setq p1(polar bp3 (aib 0.) CO1))
   (setq p2(polar p1 (aib 270.) ARDI1))
   (setq p3(polar p1 (aib 90.) (+ AWHI1 SDI1)))
   (setq p4(polar p1 (aib 270.) (- (- H1 BFI1) SDI1)))
   (if (= Boden 1)
       (progn
           (setq p4(polar p1 (aib 270.) (- H1 BFI1)))
       )
   )    
   (setq p5(polar p3 (aib 180.) HDI1))
   (setq p6(polar p4 (aib 180.) HDI1))

   (setq p7(polar bp3 (aib 180.) CO1))
   (setq p8(polar p7 (aib 270.) ARDI1))
   (setq p9(polar p7 (aib 90.) (+ AWHI1 SDI1)))
   (setq p10(polar p7 (aib 270.) (- (- H1 BFI1) SDI1)))
   (if (= Boden 1)
       (progn
           (setq p10(polar p7 (aib 270.) (- H1 BFI11)))
       )
   )    
   (setq p11(polar p9 (aib 0.) HDI1))
   (setq p12(polar p10 (aib 0.) HDI1))

;*** Pfeilaufhaengepunkt
   (setq p13(polar p1 (aib 0.) 3))
   (setq p14(polar p13 (aib 90.) 3))
   (setq p15(polar p7 (aib 180.) 3))
   (setq p16(polar p15 (aib 90.) 3))

;*** Schweinaht
   (setq p17(polar p2 (aib 0.) 1))
   (setq p18(polar p2 (aib 270.) 1))
   (setq p19(polar p8 (aib 180.) 1))
   (setq p20(polar p8 (aib 270.) 1))

   (setq p21(polar bp3 (aib 0.) RI1))
   (setq p22(polar p21 (aib 270.) ARDI1))
   (setq p23(polar bp3 (aib 180.) RI1))
   (setq p24(polar p23 (aib 270.) ARDI1))

   (setq p25(polar p21 (aib 180.) ARBI1))
   (setq p26(polar p25 (aib 270.) ARDI1))
   (setq p27(polar p23 (aib 0.) ARBI1))
   (setq p28(polar p27 (aib 270.) ARDI1))

;*** Schweinaht 
   (setq p70(polar p21 (aib 90.) 1))
   (setq p71(polar p22 (aib 270.) 1))
   (setq p72(polar p21 (aib 180.) 1))
   (setq p73(polar p22 (aib 180.) 1))
   (setq p74(polar p23 (aib 90.) 1))
   (setq p75(polar p24 (aib 270.) 1))
   (setq p76(polar p23 (aib 0.) 1))
   (setq p77(polar p24 (aib 0.) 1))

;*** Schraffur links
   (setq p80(polar p24 (aib 0.) (/ ARB1 6)))
   (setq p81(polar p27 (aib 180.) (/ ARB1 6)))
   (setq p82(polar p80 (aib 45.) (/ ARD1 (cos (aib 45.)))))
   (setq p83(polar p81 (aib 225.) (/ ARD1 (cos (aib 45.)))))

;*** Schraffur rechts
   (setq p84(polar p22 (aib 180.) (/ ARB1 6)))
   (setq p85(polar p25 (aib 0.) (/ ARB1 6)))
   (setq p86(polar p84 (aib 135.) (/ ARD1 (cos (aib 45.)))))
   (setq p87(polar p85 (aib 315.) (/ ARD1 (cos (aib 45.)))))

   (setq hp5(polar bp2 (aib 0.) (+ RI1 S1)))
   (setq hp6(polar bp2 (aib 0.) (+ RI1 31)))
   (setq bemp1(polar bp2 (aib 0.) (+ RI1 21)))
   (setq bemp2(polar bp2 (aib 0.) (+ RI1 29)))
   (setq bemp3(polar bp3 (aib 180.) 20))
   (setq bemp4(polar bp2 (aib 0.) (+ RI1 3) ))

;*** rechte Seite - linkes Teil **********************
   (setq rbp3(polar rbp2 (aib 90.) H1))
   (setq hp10(polar rbp3 (aib 180.) HMALT1))
   (setq hp11(polar rbp3 (aib 180.) HMNEU1))

   (setq p30(polar hp10 (aib 90.) (+ AWHI1 SDI1)))
   (setq p31(polar hp11 (aib 90.) (+ AWHI1 SDI1)))
   (setq p32(polar p31 (aib 0.) HBI1))
   (setq p33(polar p32 (aib 270.) (- (+ H1 AWHI1) BFI1)))
   (setq p34(polar p30 (aib 270.) (- (+ H1 AWHI1) BFI1)))
   (if (= Boden 1)
       (progn
           (setq p33(polar p32 (aib 270.) (+ (- (+ H1 AWHI1) BFI1) SDI1)))
           (setq p34(polar p30 (aib 270.) (+ (- (+ H1 AWHI1) BFI1) SDI1)))
       )
   )    
   (setq p35(polar p32 (aib 270.) (+ AWHI1 SDI1)))
   (setq p36(polar p35 (aib 270.) ARDI1))

   (setq hp12(polar p32 (aib 180.) AI1))
   (setq hp13(polar p33 (aib 180.) AI1))

   (setq p37(polar hp12 (aib 90.) 3))
   (setq p38(polar hp13 (aib 270.) 3))

;*** Bohrungen links
   (setq kp1(polar hp12 (aib 270.) (+ (+ AWHI1 SDI1) HA1)))
   (setq hp14(polar kp1 (aib 180.) (* DK1 3)))
   (setq hp15(polar kp1 (aib 0.) (* DK1 3)))

;*** Bemaung Bohrung links
   (setq bemp5(polar kp1 (aib 270.) (/ DK1 2)))
   (setq bemp6(polar kp1 (aib 90.) (/ DK1 2)))
   (setq bemp7(polar p32 (aib 0.) 12))
   (setq bemp8(polar rbp3 (aib 180.) (+ RI1 12)))

;*** rechte Seite - rechtes Teil ********************
   (setq rhp10(polar rbp3 (aib 0.) HMALT1))
   (setq rhp11(polar rbp3 (aib 0.) HMNEU1))

   (setq rp30(polar rhp10 (aib 90.) (+ AWHI1 SDI1)))
   (setq rp31(polar rhp11 (aib 90.) (+ AWHI1 SDI1)))
   (setq rp32(polar rp31 (aib 180.) HBI1))
   (setq rp33(polar rp32 (aib 270.) (- (+ H1 AWHI1) BFI1)))
   (setq rp34(polar rp30 (aib 270.) (- (+ H1 AWHI1) BFI1)))
   (if (= Boden 1)
       (progn
           (setq rp33(polar rp32 (aib 270.) (+ (- (+ H1 AWHI1) BFI1) SDI1)))
           (setq rp34(polar rp30 (aib 270.) (+ (- (+ H1 AWHI1) BFI1) SDI1)))
       )
   )    
   (setq rp35(polar rp32 (aib 270.) (+ AWHI1 SDI1)))
   (setq rp36(polar rp35 (aib 270.) ARDI1))

   (setq rhp12(polar rp32 (aib 0.) AI1))
   (setq rhp13(polar rp33 (aib 0.) AI1))

   (setq rp37(polar rhp12 (aib 90.) 3))
   (setq rp38(polar rhp13 (aib 270.) 3))

;*** Bohrungen rechts
   (setq rkp1(polar rhp12 (aib 270.) (+ (+ AWHI1 SDI1) HA1)))
   (setq rhp14(polar rkp1 (aib 0.) (* DK1 3)))
   (setq rhp15(polar rkp1 (aib 180.) (* DK1 3)))

;*** Bemaung Bohrung rechts
   (setq bemrp5(polar rkp1 (aib 270.) (/ DK1 2)))
   (setq bemrp6(polar rkp1 (aib 90.) (/ DK1 2)))
   (setq bemrp7(polar rp32 (aib 180.) 12))
   (setq bemrp8(polar rbp3 (aib 0.) (+ RI1 12)))

;***********************************************
   (command "_layer" "_s" SCHRAFFUR "")
   (command "_solid" p17 p2 p18 "" "")
   (command "_solid" p19 p8 p20 "" "")
   (command "_solid" p21 p70 p72 "" "")
   (command "_solid" p22 p71 p73 "" "")
   (command "_solid" p23 p74 p76 "" "")
   (command "_solid" p24 p75 p77 "" "")
   (command "_line" p80 p82 "")
   (command "_line" p81 p83 "")
   (command "_line" p84 p86 "")
   (command "_line" p85 p87 "")

   (command "_layer" "_s" Vollinie035 "")
   (command "_line" p1 p21 "")
   (command "_line" p2 p22 "")
   (command "_line" p7 p23 "")
   (command "_line" p8 p24 "")
   (command "_line" p3 p5 p6 p4 "_s")
   (command "_line" p9 p10 p12 p11 "_s")
   (command "_line" p25 p26 "")
   (command "_line" p27 p28 "")
   (command "_line" p30 p32 p33 p34 "_s")
   (command "_line" rp30 rp32 rp33 rp34 "_s")
   (command "_line" p35 rp35 "")
   (command "_line" p36 rp36 "")

   (command "_circle" kp1 "_d" DK1)
   (command "_circle" rkp1 "_d" DK1)

   (command "_layer" "_s" Vollinie025 "")
   (command "_line" p37 p38 "")
   (command "_line" rp37 rp38 "")
   (command "_line" hp14 hp15 "")
   (command "_line" rhp14 rhp15 "")

   (command "_layer" "_s" BEMASSUNG "")
   (command "_line" p21 p35 "")

   (command "_dimstyle" "_r" BStilEA "_dim")
   (IF (= Boden 2)
       (PROGN
          (command "_ver" bp2 p10 bemp3 "")
;          (command "HOLEN" BStilEE)
          (command "_ver" hp5 p21 bemp2 "")
       )
   )
   (IF (= Boden 1)
       (PROGN
          (command "_ver" p7 p10 bemp3 "")
          (command "_ver" p21 bp2 bemp2 "")
          (setq Boden 2)
       )
   )
;   (command "HOLEN" BStilEA)
   (command "_ver" p7 p9 bemp3 "")
;   (command "HOLEN" BStilEA)
   (command "_ver" p35 hp15 bemp7 "")
;   (command "HOLEN" BStilAA)
   (command "_ver" bemp5 bemp6 bemp8 "")
   (command "_exit")
 
   (command "_layer" "_s" Vollinie025 "")
   (command "_insert" "E-Pfeil2" p14 "1" "" "180")
   (command "_insert" "E-Pfeil1" p16 "1" "" "0")

   (SETQ Text2 (STRCAT "Unregistrierte Sharewareversion Boden-Nr.: " Text1))
   (command "_layer" "_s" TEXT-05 "")
   (command "_text" tp3 "4.0" "0.0" TEXT2)

   (setq bpNEU(polar bp2 (aib 90.) H1))
   (setq bp2 bpNEU)
   (setq rbp2(polar bp2 (aib 0.) (+ DI1 90)))
)
