;----------------------------------------------------------------------
; Programmname : EINSCH-1.LSP  - Version: 3.0 - fr AutoCAD Version 13
; Aufgabe            : Einschweiteile 1-Flut, Werkstattzeichnung
; (c) 1997 by Ralph Kferstein, Stifterstr. 25, 67065 Ludwigshafen
; Tel./Fax: 0621 - 574658      -     Email: EDV007@aol.com
; URL: http://members.aol.com/EDV007/PAGE1.HTM
;----------------------------------------------------------------------
; SHAREWARE         S H A R E W A R E         SHAREWARE
;----------------------------------------------------------------------
; Autor: Dipl.-Ing. R. Kferstein * Stifterstr. 25 * 67065 Ludwigshafen 
; Nehme Telearbeitsprojekte aus folgenden Bereichen an:
; CAD/EDV-Dienstleistungen - CAD-Zeichen- & Konstruktionsservice
; Video-/Multimediaproduktionen, Audio/Midi-Komponist
; Softwareentwicklung (Autolisp/V-Basic/T-Basic/EXCEL/Access/Foxro)
;----------------------------------------------------------------------
; Dieses Programm knnen Sie 4 Wochen lang testen
; Bei lngerem Gebrauch mssen Sie sich bei mir registrieren lassen !!!
; Schicken Sie hierfr bitte einen Brief (1BESTELL.TXT) an die o.a.
; Adresse/Faxnummer oder per Email
; Weitere Programme fr AutoCAD finden Sie in der Datei 1README.TXT
;-----------------------------------------------------------------------
; Ich lehne jegliche Garantie oder Haftung fr direkte oder indirekte
; (auch konstruktive) Schden ab. Weiterhin bernehme ich keine Garantie
; fr die Funktion des Programms.
;-----------------------------------------------------------------------
; Fehlerroutine 
(defun Abbruch (s)
   (if (/= s "Function cancelled") (princ (strcat "\nFehler: " s)))
   (setvar "CLAYER" AltLayer)
   (graphscr)
   (SETVAR "cmdecho" 1)
   (SETVAR "blipmode" 1)
   (SETVAR "highlight" 1)
   (SETVAR "TEXTSIZE" AltTexthoehe)
   (SETQ *error* olderr)
   (princ)
)
;-----------------------------------------------------------------------
;Winkel von Altgrad ins Bogenma konvertieren
(defun aib (w) (* pi (/ w 180.)))
;-----------------------------------------------------------------------
; Winkel von Bogenma nach Altgrad konvertieren
(defun bia (b) (* (/ b pi) 180.))
;-----------------------------------------------------------------------
; Tangens - Funktion
(defun tan (w) (/ (sin w) (cos w)))
;-----------------------------------------------------------------------
; Arcus-Sinus - Funktion
(defun asin (x)
   (setq radi (- 1 (* x x)))
   (setq nen (sqrt radi))
   (setq arg (/ x nen))
   (setq winb (atan arg))
)
;-----------------------------------------------------------------------
; Phytagoras
(defun phyt (c a)
   (SETQ CC (* C C))
   (SETQ AA (* A A))
   (SETQ Laenge (SQRT(- CC AA)))
)
;-----------------------------------------------------------------------
;Mastabfaktor - Umrechnung
(defun mass (x) (/ x m))
;-----------------------------------------------------------------------
(defun Vorgaben ()
  (SETQ olderr  *error*)
  (SETQ *error* ABBRUCH)
  (setq AltBemFaktor (getvar "DIMLFAC"))
  (SETQ AltLayer (getvar "CLAYER"))
  (setq AltPDSIZE (getvar "pdsize"))
  (setq AltPDMODE (getvar "pdmode"))
  (SETQ AltTexthoehe (getvar "TEXTSIZE"))
  (setq TXT_Hoehe 2.7)
  (SETVAR "dimtxt" 2.7)
  (SETVAR "cmdecho" 1)
  (SETVAR "blipmode" 0)
  (SETQ Vollinie025 "VOLL-025")
  (SETQ Vollinie035 "VOLL-035")
  (SETQ Vollinie05 "VOLL-05")
  (SETQ Vollinie07 "VOLL-07")
  (setq LOESCHEN "LOESCHEN")
  (SETQ Masslinie "BEMASSUNG")
  (SETQ Mittellinie "STRP-025")
  (SETQ Schraffurlinie "SCHRAFFUR")
  (SETQ VerdeckteLinie025 "STRI-025")
  (SETQ VerdeckteLinie035 "STRI-035")
  (SETQ Text025 "TEXT-025")
  (SETQ Text035 "TEXT-035")
  (SETQ Text05 "TEXT-05")
  (SETQ Text07 "TEXT-07")
  (prompt "\n--------------------------------------------------------------------------")
  (prompt "\nP R  F V E R S I O N  - 4 Wochen lang kostenlos zum Testen")
  (prompt "\n--------------------------------------------------------------------------")
  (prompt "\n(c) 1997 by  Dipl.-Ing. Ralph Kferstein, Tel./Fax: 0621-574658")
  (prompt "\n--------------------------------------------------------------------------")
)
;----------------------------------------------------------------------
(defun Endesequenz ()
  (setvar "DIMLFAC" AltBemFaktor)
  (setvar "CLAYER" AltLayer)
  (setvar "PDSIZE" AltPDSIZE)
  (setvar "PDMODE" AltPDMODE)
  (setvar "TEXTSIZE" AltTexthoehe)
  (graphscr)
  (SETQ *error* olderr)
  (SETVAR "blipmode" 1)
  (SETVAR "cmdecho" 1)
  (SETVAR "HIGHLIGHT" 1) 
  (PRINC)
)
;-----------------------------------------------------------------------
;Hauptprogramm
(defun c:EINSCH-1 ()
   (Vorgaben)
   (EINSCHW1)
   (EINSCHW2)
   (EINSCHW3)
   (Endesequenz)
)
;*****************************************
(defun EINSCHW1 (/ schleife aus)
   (setq Kontroll 0)
   (setq Kontroll2 0)
   (setq Kontroll3 0)
   (setq Zaehler 1)
   (setq DK1 13)
;   (command "cls")
   (prompt "\n--------------------------------------------------")
   (prompt "\n--- Konstruktionsprogamm fr Einschweiteile 1-Flut ---")
   (prompt "\n--- Teil 1: Seitenansicht mit Auflagering ")
   (prompt "\n--------------------------------------------------")
   (setq DI (getreal"\n                    Innendurchmesser (Kolonne): "))
   (graphscr)
   (Setq bp1 (getpoint"                    Basispunkt................. "))
   (initget 1 "1 2 5 10 15 20 25 33 50 75 100")
   (setq mfTASTE
     (getkword      "\n                    Mastabsfaktor......... 1 : "))
   (setq m (atof mfTASTE))

   (SETQ mfk (rtos m 2 0))
   (setq BStilAA (strcat "F" mfk "AA"))
   (setq BStilEA (strcat "F" mfk "AA"))
   (setq BStilEE (strcat "F" mfk "AA"))

   (setq mas1 (/ 12. m))
   (setq mas2 (/ 18. m))
   (setq mas3 (/ 27. m))
   (setq mas4 (/ 10. m))
   (setq mas5 (/ 50. m))
   (setq BohrW (/ 15. m))
   (setq BohrA (/ 12. m))

   (setq RI (/ DI 2.))
   (setq GESAMTHOEHE 500.)
   (setq UEBER1 35.)
   (setq UEBER2 5.)
   (setq UEBER3 4.)
   (setq Abstand1 0.5)
   (setq Abstand4 (/ 35. m))
   (setq Abstand7 (/ 10. m))
   (setq Abstand8 (/ 15. m))
   (setq Abstand9 (/ 5. m))
   (setq Abstand10 (/ 25. m))
   (setq Abstand11 (/ 150. m))
   (setq Abstand12 (/ 24. m))
   (setq Abstand13 (/ 14. m))
   (setq Abstand14 (/ 28. m))

   (setq DI1 (/ DI m) RI1 (/ RI m) s1 1.4)      
   (Mantelkonstruktion)
   (setq Hilfp bp1)
   (setq rbp1(polar bp1 (aib 0.) (+ DI1 100.)))
   (setq bp1(polar Hilfp (aib 0.) (+ DI1 100.)))
   (Mantelkonstruktion)
   (setq Hilfp2 bp1)
   (setq rbp1(polar bp1 (aib 0.) (+ DI1 100.)))
   (setq bp1(polar Hilfp2 (aib 0.) (+ DI1 100.)))
   (setq XBP1 BP1)
   (Mantelkonstruktion)
   (setq bp1 Hilfp)
   (setq bp2(polar bp1 (aib 90.) UEBER1))
   (setq xbp2(polar xbp1 (aib 90.) UEBER1))
   (setq rbp2(polar bp2 (aib 0.) (+ DI1 100.)))

   (setq bemp1(polar bp2 (aib 0.) (+ RI1 21.)))
   (setq xbemp1(polar xbp2 (aib 0.) (+ RI1 21.)))
   (setq bemp2(polar bp2 (aib 0.) (+ RI1 29.)))
   (setq xbemp2(polar xbp2 (aib 0.) (+ RI1 29.)))
   (setq bemp3(polar bp2 (aib 180.) (+ RI1 21.)))
   (setq xbemp3(polar xbp2 (aib 0.) (+ RI1 37.)))
   (setq Winkel1 180.) 
   (setq Winkel2 0.) 
   (setq Winkel3 45.) 
   (setq Winkel4 135.) 
   (setq Winkel5 225.) 
   (setq Winkel6 315.) 
   (setq HA 35.) 
   (setq DK 13.) 
   (setq XDK 30.)
   (setq YDK 17.)
   (setq ABU 25.) 
   (setq ABZ 149.)
   (setq BEMAB 20.)

  (setq H 0 HTR 0 BF 0 BFTR 0 AWH 0 AWHT 0 ARB 0 ARD 0 C 0 CTR 0 HD 0 HB 0)
  (setq A 0 B 0 SD 0 SDMit 0 SDMitAlt 0 KD 0 D1Abs 0 AKH 0 BBR 0 SH 0 LDA 0 BBRHILF 0 Hilferalph 0)
   (setq Eingabe1 "J")
   (WHILE (OR (= Eingabe1 "j") (= Eingabe1 "J"))
      (setq Eingabe2 "n")
      (WHILE (OR (= Eingabe2 "n") (= Eingabe2 "N"))
           (Abfrage1)
           (if (= Kontroll 0)
              (Ablauftasse)
           )
           (initget 1 "J j N n")
           (SETQ Eingabe2 (getstring "\n                  Angaben in Ordnung (J/N) : "))
      )   
      (setq Kontroll 1)
      (setq H1 (/ H m) BF1 (/ BF m) AWH1 (/ AWH m) ARB1 (/ ARB m))
      (setq C1 (/ C m) HD1 (/ HD m) HB1 (/ HB m) A1 (/ A m) B1 (/ B m))
      (setq HA1 (/ HA m) DK1 (/ DK m) ABU1 (/ ABU m) ABZ1 (/ ABZ m) YDK1 (/ YDK M))
      (SETQ TF1 (/ TF M) ATM1 (/ ATM M) TH1 (/ TH M) TA1 (/ TA M) XDK1 (/ XDK M))
      (setq ARD1 (/ ARD m) BBR1 (/ BBR m) D1Abs1 (/ D1Abs m) AKH1 (/ AKH m))
      (setq SD1 (/ SD m) KD1 (/ KD m) CTR1 (/ CTR M) SH1 (/ SH m) LDA1 (/ LDA m))

      (IF (< DK1 1.3)
          (setq DK1 1.3)
      )
      (setq HMALT (SQRT(-(* RI RI) (* (+ C HD) (+ C HD)))))
      (setq HMALTS (SQRT(- (* RI RI) (* C C))))
      (setq HMNEU (FIX HMALT))
      (setq HMNEU (float HMNEU))
      (setq Abfrage (- HMALT HMNEU))
         (IF (> Abfrage 0.45)
             (Progn
               (setq HMNEU (+ HMNEU 1.))
             )
          )
      (setq HMNEU1 (/ HMNEU m) HMALT1(/ HMALT m))
      (Boden1konstruktion) 
      (Kanalblechkonstruktion)
      (if (= Kontroll2 0)
         (Ablauftassekonstruk)
      )
      (setq Kontroll2 1)
      (setq bpNEU(polar bp2 (aib 90.) H1))
      (setq bp2 bpNEU)
      (setq rbp2(polar bp2 (aib 0.) (+ DI1 100.)))
      (setq xbpNEU(polar xbp2 (aib 90.) H1))
      (setq xbp2 xbpNEU)
      (SETQ Eingabe1 (getstring "\n             Weitere Bden erstellen (J/N) : "))
   )    
   (Abfrage2)
)

;*******************************************
;* Punktedefinitionen das Mantels
(defun Mantelkonstruktion()
  (setq hp1(polar bp1 (aib 270.) UEBER1))
  (setq hp2(polar bp1 (aib 90.) (+ GESAMTHOEHE UEBER1)))
  (setq hp3(polar hp1 (aib 0.) (/ DI1 3.)))
  (setq hp4(polar hp1 (aib 180.) (/ DI1 3)))

  (setq pr1(polar bp1 (aib 0.) (+ RI1 S1)))
  (setq pr2(polar bp1 (aib 0.) RI1))
  (IF (= Kontroll3 0)
    (setq ATP0 pr2)
  )
  (setq Kontroll3 1)
  (setq pl1(polar bp1 (aib 180.) (+ RI1 S1)))
  (setq pl2(polar bp1 (aib 180.) RI1))
  (setq pr3(polar pr1 (aib 90.) GESAMTHOEHE))
  (setq pr4(polar pr2 (aib 90.) GESAMTHOEHE))
  (setq pl3(polar pl1 (aib 90.) GESAMTHOEHE))
  (setq pl4(polar pl2 (aib 90.) GESAMTHOEHE))

  (setq pr6(polar pr1 (aib 0.) (/ DI1 8)))
  (setq pl6(polar pl1 (aib 180.) (/ DI1 8)))

  (setq pr7(polar hp3 (aib 90.) (- UEBER1 UEBER2)))
  (setq pl7(polar hp4 (aib 90.) (- UEBER1 UEBER2)))
  (setq pr8(polar pr7 (aib 90.) (* UEBER2 2)))
  (setq pl8(polar pl7 (aib 90.) (* UEBER2 2)))

  (setq hp7(polar pr1 (aib 180.) (- (/ DI1 2) (/ DI1 3)) ))
  (setq hp8(polar pl1 (aib 0.) (- (/ DI1 2) (/ DI1 3)) ))

  (setq pr9(polar hp7 (aib 0.) UEBER3))
  (setq pr10(polar hp7 (aib 180.) UEBER3))

  (setq pl9(polar hp8 (aib 180.) UEBER3))
  (setq pl10(polar hp8 (aib 0.) UEBER3))

  (command "_layer" "_s" Vollinie025 "")
  (command "_line" pl6 pl9 pl8 pl7 pl10 pr10 pr8 pr7 pr9 pr6 "")

  (command "_layer" "_s" Vollinie05 "")
  (command "_line" pr1 pr3 "")
  (command "_line" pl1 pl3 "")
  (command "_line" pr2 pr4 "")
  (command "_line" pl2 pl4 "")

  (command "_layer" "_s" Mittellinie "")
  (command "_line" hp1 hp2 "")

  (command "_layer" "_s" Masslinie "")
  (command "_dimstyle" "_r" BStilAA "_dim")
  (setq BEMP(polar HP1 (aib 270.) 8))
  (setq BEMDI (RTOS DI 2 0))
  (setq BEMTEXT (strcat "Li %%C " BEMDI))
  (command "_hor" pr2 pl2 BEMP BEMTEXT)
  (command "_exit")
)

;*******************************************
;* Punktedefinitionen Boden 1 ... n
(defun Boden1konstruktion()

  ;************ linker Teil
   (setq bp3(polar bp2 (aib 90.) H1))
   (setq xbp3(polar xbp2 (aib 90.) (+ H1 ARD1)))

   (setq tp1(polar bp3 (aib 0.) (+ (+ RI1 S1) 28.8)))
   (setq tp2(polar tp1 (aib 0.) 68))
   (setq tp3(polar tp1 (aib 30.) 5))
   (setq xtp3(polar xbp3 (aib 40.) 4))

   (setq p1(polar bp3 (aib WINKEL1) RI1))
   (setq p2(polar p1 (aib 270.) ARD1))
   (setq xp1alt xp1)
   (setq xp1(polar xbp3 (aib WINKEL1) RI1))
   (setq xp2(polar xp1 (aib 270.) ARD1))
   (setq xp3(polar xbp3 (aib WINKEL2) (+ CTR1 KD1)))

   (setq p3(polar bp3 (aib WINKEL2) C1))
   (setq p4(polar p3 (aib 270.) ARD1))
   (setq p5(polar p3 (aib 90.) (+ AWH1 SD1)))
   (IF (= Kontroll2 0)
     (progn
     (setq XXX1 (polar xbp1 (aib 45.) 40.))
     (setq XXX2 (polar xbp1 (aib 135.) 40.))
     (setq p6 (polar p3 (aib 270.) (- TA1 TF1) ))
     (setq ATP1 (list (car ATP0) (- (cadr p3) TA1)))
     (setq ATP2 (polar ATP1 (aib 270.) ARD1))
     (setq ATP3 (list (+ (car BP3) ATM1) (+ (cadr ATP1) TH1)))
     (setq ATP4 (polar ATP3 (aib 180.) ARD1))
     (setq ATP5 (list (car ATP4) (cadr ATP2)))
     (setq ATP6 (list (car ATP3) (cadr ATP1)))

     (setq ATP7 (polar ATP2 (aib 270.) 1.))
     (setq ATP8 (polar ATP2 (aib 180.) 1.))
     (setq ATP9 (polar ATP1 (aib 180.) 1.))
     (setq ATP10 (polar ATP1 (aib 90.) 1.))
     (setq ATP11 (polar ATP4 (aib 180.) 8.))
     (setq ATP12 (polar ATP3 (aib 90.) 13.))
     (setq ATP13 (polar ATP0 (aib 180.) ri1))
     (setq ATP30 (list (+ (car P6) (/ 35. m)) (+ (cadr ATP1) 2.)))
     (setq ATP31 (list (+ (car P6) (/ 35. m)) (- (cadr ATP2) 2.)))
     (setq ATP32 (list (- (car P6) (/ 30. m)) (+ (cadr ATP1) 2.)))
     (setq ATP33 (list (- (car P6) (/ 30. m)) (- (cadr ATP2) 2.)))

     (setq xATP0 (polar xbp1 (aib WINKEL2) RI1))
     (setq xxp3(polar xbp3 (aib WINKEL2) C1))
     (setq xxp6 (polar xxp3 (aib 270.) (- TA1 TF1) ))
     (setq xATP1 (list (car xATP0) (- (cadr xxp3) TA1)))
     (setq xATP2 (polar xATP1 (aib 270.) ARD1))
     (setq xATP3 (list (+ (car xBP3) ATM1) (+ (cadr xATP1) TH1)))
     (setq xATP4 (polar xATP3 (aib 180.) ARD1))
     (setq xATP5 (list (car xATP4) (cadr xATP2)))
     (setq xATP6 (list (car xATP3) (cadr xATP1)))

     (setq xATP7 (polar xATP2 (aib 270.) 1.))
     (setq xATP8 (polar xATP2 (aib 180.) 1.))
     (setq xATP9 (polar xATP1 (aib 180.) 1.))
     (setq xATP10 (polar xATP1 (aib 90.) 1.))

     (setq xATP11 (polar xATP4 (aib 180.) 8))
     (setq xATP12 (polar xATP3 (aib 90.) 13))

     (setq xATP13 (polar xATP0 (aib 180.) ri1))
     (setq xATP30 (list (+ (car xxP6) (/ 35. m)) (+ (cadr xATP1) 2.)))
     (setq xATP31 (list (+ (car xxP6) (/ 35. m)) (- (cadr xATP2) 2.)))
     (setq xATP32 (list (- (car xxP6) (/ 30. m)) (+ (cadr xATP1) 2.)))
     (setq xATP33 (list (- (car xxP6) (/ 30. m)) (- (cadr xATP2) 2.)))

     )
   )
   (IF (= Kontroll2 1)
     (progn
        (IF (AND (> SDMitAlt1 0)(= SDMit 0))
          (progn  
            (setq p6(polar p3 (aib 270.) (- (- H1 BF1) (+ SD1 SDMitAlt1))))
          )
        )
        (IF (AND (= SDMitAlt1 0)(> SDMit 0))
          (progn  
            (setq p6(polar p3 (aib 270.) (- (- H1 BF1) (- SD1 (/ SDMit m)))))
          )
        )
        (IF (AND (= SDMitAlt1 0)(= SDMit 0))
          (progn  
            (setq p6(polar p3 (aib 270.) (- (- H1 BF1) SD1 )))
          )
        )
        (IF (AND (> SDMitAlt1 0)(> SDMit 0))
          (progn  
            (setq p6(polar p3 (aib 270.) (- (- H1 BF1) SD1 )))
          )
        )

     )
   )
   (setq xp4 (list (car xp3) (cadr p6)))
   (setq xp4x (polar xp4 (aib 270.) (- BF1 SD1 0.4 (/ HD1 2.))))
   (setq xp4xx xp4x)
   (if (= Kontroll2 0)
     (setq xp4xx (polar xp4 (aib 270.) (- TF1 SD1 0.4 (/ HD1 2.))))
   )
   (setq xp5 (polar xp4 (aib WINKEL1) KD1))
   (setq xp6 (polar xp3 (aib WINKEL1) (+ mas3 mas2)))
   (setq xp7 (polar xp6 (aib 270.) KD1))
   (setq xp8 (list (car xp5) (cadr xp7)))
   (setq p7 (polar p5 (aib WINKEL2) HD1))
   (setq p8 (polar p6 (aib WINKEL2) HD1))

   (setq p9 (polar p1 (aib WINKEL2) ARB1))
   (setq p10 (polar p9 (aib 270.) ARD1))
   (setq xp9 (polar xp1 (aib WINKEL2) ARB1))
   (setq xp10 (polar xp9 (aib 270.) ARD1))
   (setq xp11 (polar xp3 (aib Winkel1) (- mas3 mas1)))
   (setq xp12 (polar xp11 (aib 90.) Abstand1))
   (setq xp13 (polar xp12 (aib 90.) SD1))
   (setq xp14 (polar xp3 (aib Winkel1) mas3))
   (setq xp15 (list (car xbp1) (cadr xp13)))
   (setq xp16 (polar xp15 (aib Winkel1) D1Abs1))
   (setq xp17 (polar xp16 (aib Winkel2) mas2))
   (setq xp18 (polar xp17 (aib 90.) Abstand1))
   (setq xp19 (polar xp18 (aib 90.) SD1))
   (setq xp20 (polar xp19 (aib Winkel1) (+ mas1 mas2)))
   (setq xp21 (polar xp20 (aib 270.) SD1))
   (setq xp22 (polar xp17 (aib Winkel2) mas4))
   (setq xp23 (polar xp22 (aib 270.) SD1))
   (setq xp24 (polar xp17 (aib 270.) AKH1))
   (setq xp25 (polar xp24 (aib Winkel1) SD1))
   (setq xp26 (polar xp25 (aib 90.) (- AKH1 SD1)))
   (setq xp27 (polar xp25 (aib 90.) SD1))
   (if (> SH1 0.)
     (progn
       (setq xp28 (polar xp24 (aib Winkel1) SH1))
       (setq xp29 (polar xp28 (aib 90.) SD1))
     )
   )
   (setq xp30 (polar xp15 (aib Winkel1) BBR1))
   (setq xp31 (polar xp30 (aib 270.) SD1))
   (setq xp60 (polar xp3 (aib Winkel2) Abstand1))
   (setq xp61 (polar xp60 (aib 90.) (+ SD1 Abstand1 AWH1)))
   (setq xp62 (polar xp61 (aib Winkel2) SD1))
   (setq xp63 (polar xp60 (aib 270.) (+ Abstand4 Abstand14)))
   (setq xp64 (polar xp63 (aib Winkel2) SD1))
   (setq xp65 (polar xp3 (aib Winkel2) (+ (- RI1 CTR1 KD1) 19.)))
   (setq Xp66alt XP66)
   (setq xp66 (polar xp3 (aib Winkel2) (+ (- RI1 CTR1 KD1) 23.)))

   (if (= Kontroll2 0)
     (progn
       (setq xp32 (polar xp2 (aib Winkel2) (/ (- DI1 LDA1) 2.)))
       (setq xp33 (polar xp32 (aib 270.) 20.))
       (setq xp34 (polar xp33 (aib Winkel2) 20.))
       (setq xp35 (polar xp33 (aib Winkel2) 7.))
       (setq xp36 (polar xp33 (aib 270.) 7.))
       (setq xp37 (polar xp36 (aib 270.) 7.))
       (setq xp38 (polar xp37 (aib 270.) 7.))
       (setq xp39 (polar xp34 (aib 270.) 7.))
       (setq xp40 (polar xp39 (aib 270.) 7.))
       (setq xp41 (polar xp40 (aib 270.) 7.))
       (setq xp42 (polar xp35 (aib 90.) 1.5))
       (setq xp43 (list (car xp30) (cadr xp2)))
       (setq xp44 (list (car xp30) (cadr xp36)))
       (setq xp45 (polar xp44 (aib 270.) 2.))
       (setq xp46 (polar xp10 (aib 270.) 4.))
       (setq xp47 (list (car xp10) (+ (cadr xp36) 2.)))
       (setq xp48 (list (car xp10) (- (cadr xp36) 2.)))
       (setq xp49 (list (car xp10) (cadr xp37)))
       (setq xp50 (polar xp49 (aib 270.) 2.))
       (setq xp51 (list (car xp2) (cadr xp37)))
       (setq xp52 (polar xp51 (aib Winkel1) 12.))
       (setq xp53 (polar xp52 (aib 90.) 1.5))
       (setq xp54 (polar xp51 (aib 270.) 7.))
       (setq xp55 (polar xp42 (aib 270.) 7.))
       (setq xp56 (polar xp55 (aib 270.) 7.))
       (setq xp57 (polar xp56 (aib 270.) 7.))
       (setq xp58 (polar xp17 (aib Winkel2) 15.))
       (setq xp59 (polar xp24 (aib 270.) 8.))

       (setq XXTEXT1 (RTOS (/ LDA 2) 2 0))
       (setq XTEXT1 (strcat "R=" XXTEXT1))

       (setq XXTEXT2 (RTOS BBR 2 0))
       (setq XTEXT2 (strcat "R=" XXTEXT2))

       (setq XXTEXT3 (RTOS (- (/ DI 2.) ARB) 2 0))
       (setq XTEXT3 (strcat "R=" XXTEXT3))

       (setq XXTEXT4 (RTOS (/ DI 2.) 2 0))
       (setq XTEXT4 (strcat "R=" XXTEXT4))
       (setq XXTEXT5 (RTOS ARB 2 0))
       (setq XXTEXT6 (RTOS ARD 2 0))
       (setq XTEXT7 (strcat XXTEXT5 "x" XXTEXT6))
    
       (command "_layer" "_s" Masslinie "")
       (command "_text" xp42 "3.0" "0.0" XTEXT1)
       (command "_text" xp55 "3.0" "0.0" XTEXT2)
       (command "_text" xp56 "3.0" "0.0" XTEXT3)
       (command "_text" xp57 "3.0" "0.0" XTEXT4)
       (command "_text" xp53 "3.0" "0.0" XTEXT7)

       (command "_line" xp43 xp45 "")
       (command "_line" xp46 xp47 "")
       (command "_line" xp48 xp50 "")
       (command "_line" xp44 xp39 "")
       (command "_line" xp52 xp40 "")
       (command "_line" xp54 xp41 "")
       (command "_insert" "E-PFEILB" xp44 "" "" "0") 
       (command "_insert" "E-PFEILB" xp49 "" "" "0") 
       (command "_insert" "E-PFEILB" xp54 "" "" "0") 
       (command "_insert" "E-PFEILB" xp51 "" "" "180") 
       (command "_layer" "_s" Masslinie "")
       (command "_dimstyle" "_r" bstilaa "_dim")
       (command "_ver" xp24 xp17 xp58 "")
       (command "_exit")
       (command "_insert" "EINSCH3" xxx1 "1" "" "0")
       (command "_insert" "EINSCH5" xxx2 "1" "" "0")
       (if (> SH1 0.)
         (progn
           (command "_dimstyle" "_r" bstilaa "_dim")
           (command "_hor" xp28 xp24 xp59 "")
           (command "_exit")
         )
       )
     )
   )
   (setq p11(polar p2 (aib WINKEL2) (/ ARB1 6.)))
   (setq p12(polar p9 (aib WINKEL1) (/ ARB1 6.)))
   (setq p13(polar p11 (aib WINKEL3) (/ ARD1 (cos (aib 45.)))))
   (setq p14(polar p12 (aib WINKEL5) (/ ARD1 (cos (aib 45.)))))

   (setq p15(polar p3 (aib WINKEL1) 3.))
   (setq p16(polar p15 (aib 90.) 3.))

   (setq p17(polar p2 (aib WINKEL2) 1.))
   (setq p18(polar p2 (aib 270.) 1.))
   (setq p19(polar p1 (aib WINKEL2) 1.))
   (setq p20(polar p1 (aib 90.) 1.))

   (setq p21(polar p4 (aib WINKEL1) 1.))
   (setq p22(polar p4 (aib 270.) 1.))

   (setq bpBem1(polar bp3 (aib 0.) (+ RI1 0.5)))

  ;************ rechter Teil
   (setq rbp3(polar rbp2 (aib 90.) H1))

   (setq rp1(polar rbp3 (aib WINKEL1) RI1))
   (setq rp2(polar rp1 (aib 270.) ARD1))
   (setq rp3(polar rbp3 (aib 270.) ARD1))

   (setq rp9(polar rp1 (aib WINKEL2) ARB1))
   (setq rp10(polar rp9 (aib 270.) ARD1))

;*** Schraffur1
   (setq rp11(polar rp2 (aib WINKEL2) (/ ARB1 6)))
   (setq rp12(polar rp9 (aib WINKEL1) (/ ARB1 6)))
   (setq rp13(polar rp11 (aib WINKEL3) (/ ARD1 (cos (aib 45.)))))
   (setq rp14(polar rp12 (aib WINKEL5) (/ ARD1 (cos (aib 45.)))))

;*** Schweinaht1
   (setq rp17(polar rp2 (aib WINKEL2) 1.))
   (setq rp18(polar rp2 (aib 270.) 1.))
   (setq rp19(polar rp1 (aib WINKEL2) 1.))
   (setq rp20(polar rp1 (aib 90.) 1.))

   (setq hp30(polar rbp3 (aib WINKEL2) HMALT1))
   (setq rp21(polar hp30 (aib 90.) (+ AWH1 SD1)))
   (setq hp31(polar rbp3 (aib WINKEL2) HMNEU1))
   (setq rp22(polar hp31 (aib 90.) (+ AWH1 SD1)))
   (setq rp23(polar rp22 (aib WINKEL1) HB1))
   (setq hp32(polar rp23 (aib WINKEL2) A1))
   (setq hp33(polar rp23 (aib WINKEL2) (+ A1 B1)))

   (IF (= Kontroll2 0)
     (setq rp24 (list (car RP23) (cadr P6)))
   )
   (IF (= Kontroll2 1)
     (setq rp24(polar rp23 (aib 270.) (- (+ H1 AWH1) BF1)))
   )
   (IF (= Kontroll2 0)
     (progn
     (setq rp25 (list (car RP21) (cadr P6)))
     (setq HLAT (SQRT(- (* ri ri) (* ATM ATM))))
     (setq HLAT1 (/ HLAT m))
     (setq ATP14 (list (car RBP3) (cadr ATP3)))
     (setq ATP15 (polar ATP14 (aib 180.) HLAT1))
     (setq ATP16 (list (car RP23) (cadr ATP14)))
     (setq ATP17 (list (car RP21) (cadr ATP14)))
     (setq ATP18 (polar ATP14 (aib 0.) HLAT1))
     (setq ATP19 (list (car ATP18) (cadr ATP1)))
     (setq ATP20 (list (car ATP18) (cadr ATP2)))
     (setq ATP21 (list (car ATP15) (cadr ATP1)))
     (setq ATP22 (list (car ATP15) (cadr ATP2)))
     )
   )
   (IF (= Kontroll2 1)
     (setq rp25 (polar rp21 (aib 270.) (- (+ H1 AWH1) BF1)))
   )

   (setq hp34(polar rp24 (aib WINKEL2) A1))
   (setq rp26(polar hp34 (aib 270.) 1.))
   (setq rp27(polar hp32 (aib 90.) 1.))
   (setq hp35(polar hp30 (aib 270.) ARD1))
   (setq rp28(polar hp33 (aib 270.) (+ AWH1 SD1)))
   (setq rp29(polar rbp3 (aib WINKEL2) RI1))
   (setq rp30(polar rp28 (aib 270.) ARD1))
   (setq rp31(polar rp29 (aib 270.) ARD1))
   (setq rrp9(polar rp29 (aib WINKEL1) ARB1))
   (setq rrp10(polar rrp9 (aib 270.) ARD1))

;*** Schraffur2
   (setq rrp11(polar rp31 (aib WINKEL1) (/ ARB1 6.)))
   (setq rrp12(polar rrp9 (aib WINKEL2) (/ ARB1 6.)))
   (setq rrp13(polar rrp11 (aib WINKEL4) (/ ARD1 (cos (aib 45.)))))
   (setq rrp14(polar rrp12 (aib WINKEL6) (/ ARD1 (cos (aib 45.)))))

;*** Schweinaht2
   (setq rrp17(polar rp31 (aib WINKEL1) 1.))
   (setq rrp18(polar rp31 (aib 270.) 1.))
   (setq rrp19(polar rp29 (aib WINKEL1) 1.))
   (setq rrp20(polar rp29 (aib 90.) 1.))

;*** Bohrungen, rechts
   (setq kp1(polar hp32 (aib 270.) (+ (+ AWH1 SD1) HA1)))
   (setq kp2(polar kp1 (aib 0.) (* DK1 1.3)))
   (setq kp3(polar kp1 (aib 180.) (* DK1 1.3)))
   (setq hp36(polar hp34 (aib 90.) ABU1))

;*** Bohrungen, links
   (setq kp1S (list (+(car P6) (- (car P8)(car P6))) (cadr KP1)))
   (setq kp2S(polar kp1S (aib 0.) (* DK1 1.2)))
   (setq kp3S(polar kp1S (aib 180.) (* DK1 1.2)))

   (setq Lange1 (*(* (- (cadr hp36) (cadr kp1)) -1.) m))
   (setq Anzahl(+ (fix (/ Lange1 ABZ)) 1.))
   (setq Lange2 (/(fix (/ Lange1 Anzahl)) m))

;*** Bemaung
   (setq bemp4(polar kp1 (aib 0.) (/ DK1 2.)))
   (setq bemp5(polar kp1 (aib 180.) (/ DK1 2.)))
   (setq bemp6(polar rp23 (aib 90.) 8.))
   (setq bemp7(polar rp29 (aib 0.) 10.))
   (setq bemp8(polar rp29 (aib 180.) 10.))

   (command "_layer" "_s" Schraffur "")
   (command "_line" p11 p13 "")
   (command "_line" p12 p14 "")
   (command "_line" rp11 rp13 "")
   (command "_line" rrp11 rrp13 "")
   (command "_line" rp12 rp14 "")
   (command "_line" rrp12 rrp14 "")

   (command "_solid" p2 p17 p18 "" "")
   (command "_solid" p1 p19 p20 "" "")
   (command "_solid" p4 p21 p22 "" "")

   (command "_solid" rp2 rp17 rp18 "" "")
   (command "_solid" rp31 rrp17 rrp18 "" "")
   (command "_solid" rp1 rp19 rp20 "" "")
   (command "_solid" rp29 rrp19 rrp20 "" "")

   (command "_layer" "_s" Vollinie035 "")
   (command "_line" p1 p3 "")
   (command "_line" p2 p4 "")
   (command "_line" rp1 rbp3 "")
   (command "_line" rp2 rp3 "")
   (command "_line" rp9 rp10 "")
   (command "_line" rrp9 rrp10 "")
   (command "_line" p5 p7 p8 p6 "_c")
   (command "_line" p9 p10 "")
   (command "_circle" kp1 "_d" DK1)
   (command "_line" rp29 rp28 rp30 rp31 "")
   
   (IF (= Kontroll2 1)
     (command "_line" hp30 rp21 rp23 rp24 rp25 hp35 "")
   )
   (IF (= Kontroll2 0)
     (progn
     (command "_line" hp30 rp21 rp23 ATP16 "")
     (command "_line" hp35 ATP17 "")
     (command "_line" ATP15 ATP18 ATP20 ATP22 ATP15 "")
     (command "_layer" "_s" VerdeckteLinie25 "")
     (command "_line" ATP16 RP24 RP25 ATP17 "")
     (command "_line" ATP21 ATP19 "")
     (command "_layer" "_s" Vollinie025 "")

; HMNEU vergrert von 1300 auf 1420
     (IF (>= (* HMNEU 2) 1420.)
        (PROGN
           (command "_line" ATP30 ATP31 "")
           (command "_line" xATP30 xATP31 "")
        )
     )
     (command "_line" ATP32 ATP33 "")
     (command "_line" xATP32 xATP33 "")
     (setq KP1links (polar RBP3 (aib 180.) (- (car KP1)(car RBP3))))
     (setq KP1rechts (list (car KP1) (+ (cadr bemp6) 1.)))
     (setq bemp6r (polar bemp6 (aib 90.) 8.))
     (command "_layer" "_s" Masslinie "")
     (command "_dimstyle" "_r" bstilea "_dim")
     (command "_hor" RBP3 KP1rechts bemp6r "")
;     (command "_dimstyle" "_r" bstilee "_dim")
     (command "_hor" KP1links RBP3 bemp6r "")
     (command "_exit")

     )
   )
   (command "_layer" "_s" Vollinie025 "")
   (command "_line" rp26 rp27 "")
   (command "_line" kp2 kp3 "")
   (command "_line" kp2S kp3S "")

   (setq hilfe1 kp1)
   (setq hilfe2 kp2)
   (setq hilfe3 kp3)
   (setq zahler 0)
   (while (< Zahler Anzahl)
      (setq kp1 (polar kp1 (aib 270.) Lange2))
      (setq kp2 (polar kp2 (aib 270.) Lange2))
      (setq kp3 (polar kp3 (aib 270.) Lange2))

      (setq kp1S (list (+(car P6) (- (car P8)(car P6))) (cadr KP1)))
      (setq kp2S(polar kp1S (aib 0.) (* DK1 1.2)))
      (setq kp3S(polar kp1S (aib 180.) (* DK1 1.2)))

      (command "_layer" "_s" Vollinie025 "")
      (command "_line" kp2 kp3 "")
      (command "_line" kp2S kp3S "")
      (command "_layer" "_s" Vollinie035 "")
      (command "_circle" kp1 "_d" DK1)
      (setq zahler (+ Zahler 1))
   )
   (SETQ Textbem1 (RTOS Anzahl 2 0))
   (SETQ Textbem2 (RTOS (* Lange2 m) 2 0))
   (SETQ Textbem3 (RTOS (* Anzahl (* Lange2 m)) 2 0))

   (SETQ Textbem4 (strcat Textbem1 "x" Textbem2 "=" Textbem3))

   (command "_layer" "_s" Masslinie "")
   (IF (= WINKEL1 0.)
       (PROGN
         (command "_dimstyle" "_r" bstilaa "_dim")
         (command "_ver" kp2 hilfe2 bemp8 TEXTBEM4)
         (command "_exit")
       )
   )
   (IF (= WINKEL1 180.)
       (PROGN
         (command "_dimstyle" "_r" bstilaa "_dim")
         (command "_ver" kp2 hilfe2 bemp7 TEXTBEM4)
         (command "_exit")
       )
   )
   (setq kp1 hilfe1)
   (setq kp2 hilfe2)
   (setq kp3 hilfe3)

   (setq hp5(polar ATP1 (aib 0.) 2.))
   (setq hp6(polar hp5 (aib 0.) 30.))

;   (setq hp5(polar bp2 (aib 0.) (+ RI1 S1)))
;   (setq hp6(polar bp2 (aib 0.) (+ RI1 31)))

   (command "_layer" "_s" Mittellinie "")
   (command "_line" rbp3 rp28 "")
   (command "_layer" "_s" Masslinie "")
   (command "_line" hp5 hp6 "")
   (command "_line" tp1 tp2 "")
   (command "_dimstyle" "_r" bstilaa "_dim")
   (command "_hor" bemp4 bemp5 bemp6 "13")
   (IF (= WINKEL1 180.)
       (PROGN
         (command "_ver" kp2 rp29 bemp7 "")
       )
   )
   (IF (= WINKEL1 0.)
       (PROGN
;         (command "_dimstyle _r" BStilEA)
         (command "_ver" kp2 rp28 bemp8 "")
       )
   )
   (IF (= Kontroll2 0)
      (setq bpbem3 (list (car ATP0) (- (cadr p3) TA1)))
   )
   (IF (= Kontroll2 1)
      (setq bpbem3(polar bp2 (aib 0.) RI1 ))
   )
   (IF (= WINKEL1 180.)
       (PROGN
 ;          (command "_dimstyle _r" BStilEA)
           (command "_ver" bpbem3 p3 bemp2 "")
           (command "_ver" bpbem1 P7 bemp1 "")
           (command "_ver" bpbem3 p8 bemp1 "")
           (command "_exit")
           (command "_layer" "_s" Vollinie025 "")
           (command "_insert" "E-Pfeil1" p16 "1" "" "0")
       )
    )
   (IF (= WINKEL1 0.)
       (PROGN
          (setq bpBem2(polar bp2 (aib 180.) (+ RI1 3)))
          (command "_dimstyle _r" BStilEA)
          (command "_ver" bpbem3 bpbem1 bemp2 "")
          (command "_dimstyle _r" BStilAA)
          (command "_ver" P3 P7 bemp3 "")
          (command "_ver" bpBem2 p8 bemp3 "")
          (command "_exit")
          (command "_layer" "_s" Vollinie025 "")
          (command "_insert" "E-Pfeil2" p16 "1" "" "180")
       )
    )

   (SETQ Text2 (STRCAT "unregistrierte Sharewareversion - Boden-Nr.: " Text1))
   (command "_layer" "_s" Text05 "")
   (command "_text" tp3 "4.0" "0.0" TEXT2)
   (command "_text" xtp3 "4.0" "0.0" TEXT2)

   (setq xbemp11(polar xbp2 (aib Winkel2) (+ RI1 21)))
   (setq xbemp22(polar xbp2 (aib Winkel2) (+ RI1 29)))

   (setq HILF WINKEL1)
   (setq WINKEL1 WINKEL2)
   (setq WINKEL2 HILF)

   (setq HILF WINKEL3)
   (setq WINKEL3 WINKEL4)
   (setq WINKEL4 HILF)

   (setq HILF WINKEL5)
   (setq WINKEL5 WINKEL6)
   (setq WINKEL6 HILF)

;***************************************
   (command "_layer" "_s" Vollinie035 "")
   (command "_line" xp1 xp9 xp10 xp2 "")
   (command "_line" xp6 xp3 xp4 xp5 xp8 xp7 xp6 "")
   (command "_line" xp13 xp22 xp19 xp20 xp21 xp18 xp23 xp12 xp13 "")
   (command "_line" xp26 xp31 xp30 xp17 xp24 "")
   (command "_line" xp61 xp62 xp64 xp63 xp61 "")

   (command "_layer" "_s" Masslinie "")
   (command "_line" xp3 xp65 "")
   (command "_dimstyle" "_r" bstilaa "_dim")
   (command "_ver" xp62 xp13 xbemp11 "")
   (setq XXTEXT (RTOS SD 2 1))
   (command "_ver" xp13 xp66 xbemp22 XXTEXT)
   (command "_exit")
   (if (= Kontroll2 0)
      (progn
        (command "_dimstyle" "_r" bstilaa "_dim")
        (command "_ver" xATp1 xp66 xbemp3 "")
        (command "_exit")
     )
   )
   (if (= Kontroll2 1)
      (progn
        (setq xbempx22(polar xbp2 (aib Winkel1) (+ RI1 21.)))
        (setq XXTEXT (RTOS BF 2 1))
        (command "_dim" "_ver" xp4x xp4 xbempx22 XXTEXT)
        (command "_exit")
        (IF (= Winkel1 0.)
          (progn
            (command "_dimstyle" "_r" bstilaa "_dim")
            (command "_ver" xp1alt xp66 xbemp3 "")
            (command "_exit")
          )
        )
        (IF (= Winkel1 180.)
          (progn
            (command "_dimstyle" "_r" bstilaa "_dim")
            (command "_ver" xp66alt xp1 xbemp3 "")
            (command "_exit")
          )
        )

     )
   )
   (if (= SH1 0.)
     (progn
       (command "_layer" "_s" Vollinie035 "")
       (command "_line" xp26 xp31 xp30 xp17 xp24 xp25 xp26 xp31 xp30 "")
     )
   )
   (if (> SH1 0.)
     (progn
       (command "_layer" "_s" Vollinie035 "")
       (command "_line" xp26 xp31 xp30 xp17 xp24 xp28 xp29 xp27 xp26 xp31 xp30 "")
     )
   )

   (IF (= Winkel1 0.)
     (progn
       (command "_insert" "EINSCH1" xp14 "1" "" "0")
       (command "_insert" "EINSCH2" xp16 "1" "" "0")
       (command "_insert" "EINSCH4" xp32 "1" "" "0")
       (IF (>= (* HMNEU 2) 1420.)
         (PROGN
           (command "_insert" "EINSC10" xp4xx "1" "" "0")
         )
       )
     )
   )
   (IF (= Winkel1 180.)
     (progn
       (command "_insert" "EINSCH1G" xp14 "1" "" "0")
       (command "_insert" "EINSCH2G" xp16 "1" "" "0")
       (IF (>= (* HMNEU 2) 1420.)
         (PROGN
           (command "_insert" "EINSC10G" xp4xx "1" "" "0")
         )
       )
     )
   )
) 
;************************************
(defun Kanalblechkonstruktion()
      (setq Zaehler (+ Zaehler 1.5))
      (setq kbp1 (polar bp2 (aib 0.) (* DI1 (+ 4 Zaehler))))
      (setq kbp2 (list (car kbp1) (cadr p6)))
      (setq abs1 (abs(- (car kp1) (car rbp2))))
      (setq kbp3 (polar kbp2 (aib 180.) abs1))
      (setq kbp4 (polar kbp2 (aib 0.) abs1))
      (setq kbp5 (list (car kbp1) (cadr bp3)))
      (setq kbp6 (polar kbp5 (aib 180.) abs1))
      (setq kbp7 (polar kbp5 (aib 0.) abs1))
      (setq kbp8 (polar kbp3 (aib 180.) (- B1 (/ 6. m))))
      (setq kbp9 (polar kbp4 (aib 0.) (- B1 (/ 6. m))))
      (setq kbp10 (polar kbp6 (aib 180.) (- B1 (/ 6. m))))
      (setq kbp11 (polar kbp7 (aib 0.) (- B1 (/ 6. m))))
      (setq kbp12 (polar kbp2 (aib 270.) (+ bf1 sd1)))
      (setq kbp13 (list (- (car kbp9) 12) (cadr kbp12)))
      (setq kbp14 (polar kbp13 (aib 90.) sd1))

      (setq kbp15 (polar kbp11 (aib 270.) Abstand4))
      (setq kbp16 (polar kbp10 (aib 270.) Abstand4))
      (setq kbp17 (polar kbp5 (aib 90.) 30.))
      (if (= kontroll2 0)
         (progn
           (setq kbp12 (polar kbp2 (aib 270.) tf1))
           (setq kbp13 (list (- (car kbp9) 12) (cadr kbp12)))
           (setq kbp14 (polar kbp13 (aib 270.) sd1))
         )
      )

      (setq kbem1 (polar kbp2 (aib 270.) 14.))
      (setq kbem2 (polar kbp2 (aib 270.) 22.))
      (setq kbem3 (polar kbp9 (aib 0.) 10.))
      (setq kbem4 (polar kbp9 (aib 0.) 18.))
      (setq kbem5 (polar kbp9 (aib 0.) 24))
      (setq kbem6 (polar kbp9 (aib 0.) 32))

      (setq kbp18 (list (+ (car kbem5) 6.) (cadr kbp14)))
      (if (= kontroll2 0)
        (setq kbp18 (list (- (car kbem5) 6.) (cadr kbp14)))
      )
      (setq kbp19 (list (+ (car kbem6) 3.) (cadr kbp14)))
      (setq kbp20 (list (+ (car kbem6) 20.) (cadr kbp14)))
      (setq kbp21 (list (car kbp20) (cadr kbp13)))
      (setq kbp22 (list (- (car kbp18) 2.) (cadr kbp13)))
      (setq kbp23 (list (- (car kbp22) 12.) (cadr kbp13)))

      (setq kbp24 (polar kbp5 (aib 0.) (- HMNEU1 Abstand7)))
      (setq rkbp24 (polar kbp5 (aib 180.) (- HMNEU1 Abstand7)))
      (setq kbp25 (polar kbp24 (aib 90.) (+ AWH1 SD1)))
      (setq rkbp25 (polar rkbp24 (aib 90.) (+ AWH1 SD1)))
      (setq kbp26 (polar kbp5 (aib 0.) (- HMNEU1 HB1 Abstand8)))
      (setq rkbp26 (polar kbp5 (aib 180.) (- HMNEU1 HB1 Abstand8)))
      (setq kbp27 (polar kbp26 (aib 90.) (+ AWH1 SD1)))
      (setq rkbp27 (polar rkbp26 (aib 90.) (+ AWH1 SD1)))
      (setq rkbp28 (list (car kbp10) (cadr rkbp27)))
      (setq kbem7 (polar rkbp25 (aib 180.) 20.))
      (setq kbem8 (polar rkbp25 (aib 90.) 8.))
      (setq kbem9 (polar kbem8 (aib 90.) 8.))

;*** Detail W, Bohrungen ******************************
      (IF (>= (* HMNEU 2.) 1420.)
        (progn
          (if (= kontroll2 0)
            (progn
                (setq kbp29 (list (car kbp2) (- (+ (cadr kbp2) (/ 90. m) )tf1)))
              (if (<= TF 45.)
                (setq kbp29 (list (car kbp2) (- (+ (cadr kbp2) (/ 70. m) )tf1)))
              )        
              (if (<= TF 25.)
                (setq kbp29 (list (car kbp2) (- (+ (cadr kbp2) (/ 50. m) )tf1)))
              )        
            )
          )
          (if (= kontroll2 1)
            (progn
              (setq kbp29 (list (car kbp2)(- (+ (cadr kbp2) (/ 90. m) ) bf1)))
              (if (<= BF 45.)
                (setq kbp29 (list (car kbp2)(- (+ (cadr kbp2) (/ 70. m) ) bf1)))
              )        
              (if (<= BF 25.)
                (setq kbp29 (list (car kbp2)(- (+ (cadr kbp2) (/ 50. m) ) bf1)))
              )        
            )
          )

        )
      )
      (IF (>= (* HMNEU 2) 1420.)
        (PROGN
          (setq kbp30 (polar kbp29 (aib 90.) mas5))
          (setq kbp31 (polar kbp30 (aib 135.) 20.))
          (setq kbp32 (polar kbp31 (aib 180.) 10.))
          (setq kbp33 (polar kbp32 (aib 45.) 2.))
          (setq kbp34 (polar kbp30 (aib 270.) (/ Bohrw 2.)))
          (setq kbp35 (polar kbp30 (aib 90.) (/ Bohrw 2.)))
          (setq kbp36 (polar kbp30 (aib 0.) Bohrw ))
          (setq kbem10 (polar kbp29 (aib 0.) 8.))
          (setq kbem11 (polar kbp29 (aib 0.) 16.))
          (setq kbem12 (polar kbp29 (aib 180.) 8.))
          (command "_layer" "_s" Vollinie035 "")
          (command "_circle" kbp29 "_d" Bohrw)
          (command "_circle" kbp30 "_d" Bohrw)
          (command "_layer" "_s" Vollinie025 "")
          (command "_line" kbp30 kbp31 kbp32"")
          (command "_layer" "_s" Text07 "")
          (command "_text" kbp33 "6.0" "0.0" "W")
          (command "_layer" "_s" Loeschen "")
          (command "_dim" "_ver"  kbp29 kbp2 kbem10 "")
          (command "_exit")
          (command "_layer" "_s" Masslinie "")
          (command "_dimstyle" "_r" bstilaa "_dim")
          (command "_ver"  kbp34 kbp35 kbem11 "")
          (command "_ver"  kbp36 kbp29 kbem12 "")
          (command "_exit")
        )
     )
;*** Bohrungen links
     (setq xkp1 (list (car kbp6) (cadr kbp15)))
     (setq xkp2 (polar xkp1 (aib 180.) XDK1))
     (setq xkp3 (polar xkp1 (aib 0.) XDK1))
     (setq xkp4 (polar xkp1 (aib 0.) (- (/ XDK1 2) (/ YDK1 2))))
     (setq xkp5 (polar xkp1 (aib 180.) (- (/ XDK1 2) (/ YDK1 2))))
     (setq xkp6 (polar xkp4 (aib 270.) (/ YDK1 2)))
     (setq xkp7 (polar xkp4 (aib 90.) (/ YDK1 2)))
     (setq xkp8 (polar xkp5 (aib 270.) (/ YDK1 2)))
     (setq xkp9 (polar xkp5 (aib 90.) (/ YDK1 2)))

      (command "_layer" "_s" Vollinie025 "")
      (command "_line" xkp2 xkp3 "")
      (command "_layer" "_s" Vollinie035 "")
      (command "_arc" "_c" XKP5 XKP9 XKP8)
      (command "_arc" "_c" XKP4 XKP6 XKP7)
      (command "_line" xkp6 xkp8 "")
      (command "_line" xkp7 xkp9 "")

     (setq zahler 0)
     (while (< Zahler Anzahl)
       (setq xkp1 (polar xkp1 (aib 270.) Lange2))
       (setq xkp2 (polar xkp2 (aib 270.) Lange2))
       (setq xkp3 (polar xkp3 (aib 270.) Lange2))
       (setq xkp4 (polar xkp4 (aib 270.) Lange2))
       (setq xkp5 (polar xkp5 (aib 270.) Lange2))
       (setq xkp6 (polar xkp6 (aib 270.) Lange2))
       (setq xkp7 (polar xkp7 (aib 270.) Lange2))
       (setq xkp8 (polar xkp8 (aib 270.) Lange2))
       (setq xkp9 (polar xkp9 (aib 270.) Lange2))
       (setq xkp10 (polar xkp1 (aib 0.) (/ XDK1 2)))
       (setq xkp11 (polar xkp1 (aib 180.) (/ XDK1 2)))
       (setq xkp12 (polar xkp6 (aib 270.) 7))
       (setq xkp13 (polar xkp11 (aib 180.) 16))
       (IF (= Zahler 0)
	 (progn
           (command "_layer" "_s" Masslinie "")
           (command "_dimstyle" "_r" bstilaa "_dim")
           (command "_hor" xkp10 xkp11 xkp12 "")
           (command "_ver" xkp7 xkp6 xkp13 "")
           (command "_exit")
         )
      )
      (command "_layer" "_s" Vollinie025 "")
      (command "_line" xkp2 xkp3 "")
      (command "_layer" "_s" Vollinie035 "")
      (command "_arc" "_c" XKP5 XKP9 XKP8)
      (command "_arc" "_c" XKP4 XKP6 XKP7)
      (command "_line" xkp6 xkp8 "")
      (command "_line" xkp7 xkp9 "")

      (setq zahler (+ Zahler 1))
   )
;*** Bohrungen rechts
     (setq xkp1 (list (car kbp7) (cadr kbp15)))
     (setq xkp2 (polar xkp1 (aib 0.) XDK1))
     (setq xkp3 (polar xkp1 (aib 180.) XDK1))
     (setq xkp4 (polar xkp1 (aib 180.) (- (/ XDK1 2) (/ YDK1 2))))
     (setq xkp5 (polar xkp1 (aib 0.) (- (/ XDK1 2) (/ YDK1 2))))
     (setq xkp6 (polar xkp4 (aib 270.) (/ YDK1 2)))
     (setq xkp7 (polar xkp4 (aib 90.) (/ YDK1 2)))
     (setq xkp8 (polar xkp5 (aib 270.) (/ YDK1 2)))
     (setq xkp9 (polar xkp5 (aib 90.) (/ YDK1 2)))
     (setq xhilfe2 xkp2)

      (command "_layer" "_s" Vollinie025 "")
      (command "_line" xkp2 xkp3 "")
      (command "_layer" "_s" Vollinie035 "")
      (command "_arc" "_c" XKP5 XKP8 XKP9)
      (command "_arc" "_c" XKP4 XKP7 XKP6)
      (command "_line" xkp6 xkp8 "")
      (command "_line" xkp7 xkp9 "")

     (setq zahler 0)
     (while (< Zahler Anzahl)
       (setq xkp1 (polar xkp1 (aib 270.) Lange2))
       (setq xkp2 (polar xkp2 (aib 270.) Lange2))
       (setq xkp3 (polar xkp3 (aib 270.) Lange2))
       (setq xkp4 (polar xkp4 (aib 270.) Lange2))
       (setq xkp5 (polar xkp5 (aib 270.) Lange2))
       (setq xkp6 (polar xkp6 (aib 270.) Lange2))
       (setq xkp7 (polar xkp7 (aib 270.) Lange2))
       (setq xkp8 (polar xkp8 (aib 270.) Lange2))
       (setq xkp9 (polar xkp9 (aib 270.) Lange2))

      (command "_layer" "_s" Vollinie025 "")
      (command "_line" xkp2 xkp3 "")
      (command "_layer" "_s" Vollinie035 "")
      (command "_arc" "_c" XKP5 XKP8 XKP9)
      (command "_arc" "_c" XKP4 XKP7 XKP6)
      (command "_line" xkp6 xkp8 "")
      (command "_line" xkp7 xkp9 "")

      (setq zahler (+ Zahler 1))
   )
   (SETQ KText1 (STRCAT "%%UUnregistrierte Sharewareversion - Kanalblech Boden-Nr.: " Text1))
   (command "_layer" "_s" Text05 "")
   (command "_text" "_c" kbp17 "4.0" "0.0" KTEXT1)

   (command "_layer" "_s" Vollinie035 "")
   (command "_line" kbp11 kbp24 kbp25 kbp27 kbp26 "")
   (command "_line" kbp10 rkbp24 rkbp25 rkbp27 rkbp26 "")
   (command "_line" kbp8 kbp9 kbp11 kbp10 kbp8 "")
   (command "_layer" "_s" Vollinie025 "")
   (command "_line" kbp3 kbp6 "")
   (command "_line" kbp4 kbp7 "")
   (command "_line" kbp16 kbp15 "")
   (command "_insert" "Einsch8" kbp10 "" "" "0") 
   (command "_insert" "Einsch9" kbp11 "" "" "0") 

   (if (= kontroll2 0)
     (progn
        (command "_insert" "EINSCH6" kbp18 "1" "" "0")
        (command "_insert" "EINSCH6" kbp19 "1" "" "0")
     )
   )
   (if (= kontroll2 1)
     (progn
        (command "_insert" "EINSCH6" kbp23 "1" "" "0")
        (command "_insert" "EINSCH6" kbp19 "1" "" "0")
     )
   )
      (command "_insert" "EINSCH6" kbp14 "1" "" "0")
      (command "_insert" "EINSCH6" kbp20 "1" "" "0")
      (command "_layer" "_s" Mittellinie "")
      (command "_line" kbp2 kbp5 "")

      (command "_layer" "_s" Masslinie "")
      (command "_line" kbp14 kbp18 "")
      (command "_line" kbp19 kbp20 "")
      (if (= Kontroll2 0)
        (progn
          (command "_line" kbp13 kbp21 "")
        )
      )
      (if (= Kontroll2 1)
        (progn
          (command "_line" kbp13 kbp23 "")
          (command "_line" kbp22 kbp21 "")
        )
      )
      (command "_dimstyle" "_r" bstilaa "_dim")
      (command "_hor" kbp2 kbp3 kbem1 "")
      (command "_hor" kbp2 kbp9 kbem1 "")
      (command "_hor" kbp8 kbp9 kbem2 "")
      (command "_ver" kbp15 kbp11 kbem4 "")
      (command "_ver" kbp9 kbp11 kbem5 "")
      (command "_hor" rkbp28 rkbp25 kbem8 "")
      (command "_hor" rkbp27 rkbp25 kbem9 "")
      (command "_hor" rkbp27 kbp5 kbem9 "")

      (if (= kontroll2 0)
         (progn
           (command "_ver" kbp11 kbp13 kbem6 "")
           (command "_ver" kbp9 kbp13 kbem5 "")
         )
      )
      (if (= kontroll2 1)
        (progn
          (command "_ver" kbp11 kbp21 kbem6 "")
          (command "_ver" kbp9 kbp14 kbem5 "")
        )
      )
      (command "_ver" xkp2 xhilfe2 kbem3 TEXTBEM4)
      (command "_exit")

      (command "_layer" "_s" Loeschen "")
      (command "_dim" "_ver" rkbp24 rkbp25 kbem7 "")
      (command "_exit")

;***Positionsnummern *************************
     (setq kbp37 (polar kbp3 (aib 45.) 15.))
     (setq kbp38 (polar kbp8 (aib 205.) 23.))
     (setq kbp39 (polar kbp38 (aib 180.) 10.))
     (setq kbp40 (polar kbp39 (aib 45.) 2.))
     (setq kbp41 (polar kbp38 (aib 90.) 11.))
     (setq kbp42 (polar kbp41 (aib 180.) 10.))
     (setq kbp43 (polar kbp42 (aib 45.) 2.))
     (setq kbp44 (polar kbp41 (aib 90.) 11.))
     (setq kbp45 (polar kbp44 (aib 180.) 10.))
     (setq kbp46 (polar kbp45 (aib 45.) 2.))
     (setq kbp47 (list (car kbp3) (cadr kbp16)))
     (setq kbp48 (polar rkbp24 (aib 35.) 3.))
     (setq kbp49 (list (car kbp44) (+ (cadr kbem9) 10.)))
     (setq kbp50 (polar kbp49 (aib 180.) 10.))
     (setq kbp51 (polar kbp50 (aib 45.) 2.))
     (setq kbp52 (polar kbp49 (aib 270.) 11.))
     (setq kbp53 (polar kbp52 (aib 180.) 10.))
     (setq kbp54 (polar kbp53 (aib 45.) 2.))

     (command "_layer" "_s" Vollinie025 "")
     (command "_line" kbp37 kbp38 kbp39 "")
     (command "_line" kbp41 kbp42 "")
     (command "_line" kbp47 kbp44 kbp45 "")
     (command "_line" kbp48 kbp49 kbp50 "")
     (command "_line" kbp49 kbp52 kbp53 "")

     (command "_layer" "_s" Text07 "")
     (command "_text" kbp51 "6.0" "0.0" "?")
     (command "_text" kbp54 "6.0" "0.0" "P")
     (command "_text" kbp46 "6.0" "0.0" "T1")
     (command "_text" kbp43 "6.0" "0.0" "O")
     (command "_text" kbp40 "6.0" "0.0" "?")

;*** Bohrungen Ablaufwehr/Kanalblech **************
     (setq Breite (- HMNEU HB (* abstand9 m)))
     (setq Strecke (* (- HMNEU HB (* abstand9 m) (* abstand10 m)) 2.))
     (setq hilf (/ Strecke (* Abstand11 m)))
     (setq Anzahl (+ (fix Hilf) 1.))
     (setq Abstand (+ (fix (/ Strecke Anzahl)) 1.))
     (setq Laenge (* Anzahl Abstand))

     (setq Abstand (/ Abstand m))
     (setq Laenge (/ Laenge m))
     (setq Breite (/ Breite m))

     (setq AP1 (polar kbp17 (aib 90.) 50.))
     (setq xAP1 (polar kbp5 (aib 270.) Abstand4))
     (setq AP2 (polar AP1 (aib 0.) Breite))
     (setq AP3 (polar AP1 (aib 180.) Breite))
     (setq AP4 (polar AP1 (aib 0.) (/ Laenge 2.)))
     (setq APhilf AP4)
     (setq AP5 (polar AP4 (aib 270.) Abstand12))
     (setq AP6 (polar AP4 (aib 90.) Abstand12))
     (setq AP7 (polar AP4 (aib 90.) (- (/ Abstand12 2) (/ Abstand13 2.))))
     (setq AP8 (polar AP4 (aib 270.) (- (/ Abstand12 2) (/ Abstand13 2.))))
     (setq AP9 (polar AP7 (aib 0.) (/ Abstand13 2.)))
     (setq AP10 (polar AP7 (aib 180.) (/ Abstand13 2.)))
     (setq AP11 (polar AP8 (aib 0.) (/ Abstand13 2.)))
     (setq AP12 (polar AP8 (aib 180.) (/ Abstand13 2.)))
     (setq AP13 (polar AP2 (aib 0.) 10.))
     (setq AP15 (polar AP7 (aib 90.) (/ Abstand13 2.)))
     (setq AP16 (polar AP8 (aib 270.) (/ Abstand13 2.)))
     (setq AP17 (polar AP2 (aib 90.) (+ Abstand4 AWH1 SD1)))
     (setq AP14 (polar AP17 (aib 90.) 10.))
     (setq AP18 (polar AP3 (aib 90.) (+ Abstand4 AWH1 SD1)))
     (setq AP19 (polar AP2 (aib 270.) Abstand14))
     (setq AP20 (polar AP3 (aib 270.) Abstand14))
     (setq AP21 (polar AP1 (aib 270.) (+ Abstand14 7.)))
     (setq AP22 (polar AP1 (aib 90.) (+ Abstand4 AWH1 7.)))
     (setq AP23 (polar AP21 (aib 270.) 3.))
     (setq AP24 (polar AP23 (aib 270.) 8.))
     (setq AP25 (polar AP20 (aib 180.) 10.))
     (setq AP26 (polar AP25 (aib 180.) 8.))

     (setq xAP4 (polar xAP1 (aib 0.) (/ Laenge 2.)))
     (setq xAPhilf xap4)
     (setq xAP5 (polar xAP4 (aib 90.) BohrA))
     (setq xAP6 (polar xAP4 (aib 270.) BohrA))
     (setq xAP7 (polar xAP4 (aib 270.) 12.))

     (command "_layer" "_s" Mittellinie "")
     (command "_line" AP21 AP22 "")
     (command "_layer" "_s" Vollinie025 "")
     (command "_line" AP3 AP2 "")
     (command "_line" AP6 AP5 "")
     (command "_line" xAP5 xAP6 "")

     (command "_layer" "_s" Vollinie035 "")
     (command "_circle" xAP4 "_d" BohrA)
     (command "_line" AP9 AP11 "")
     (command "_line" AP18 AP17 AP19 AP20 AP18 "")
     (command "_line" AP10 AP12 "")
     (command "_arc" "_c" ap7 ap9 ap10)
     (command "_arc" "_c" ap8 ap12 ap11)

     (setq XBEM1 (RTOS (/ Anzahl 2.) 2 1))
     (setq XBEM2 (RTOS (* Abstand m) 2 0))
     (setq XBEM3 (RTOS (* (/ Anzahl 2.) (* Abstand m)) 2 1))
     (setq XBEMTEXT5 (strcat XBEM1 "x" XBEM2 "=" XBEM3))

     (command "_layer" "_s" Masslinie "")
     (command "_dimstyle" "_r" bstilaa "_dim")
     (command "_hor" ap10 ap9 ap14 "")
     (command "_hor" ap20 ap19 ap24 "")
     (command "_hor" ap21 APhilf ap23 XBEMTEXT5)
     (command "_hor" xap1 xap4 xap7 XBEMTEXT5)
     (command "_hor" ap21 ap20 ap23 "")

     (command "_ver" ap15 ap16 ap13 "")
     (command "_ver" ap3 ap20 ap25 "")
     (command "_exit")

     (command "_layer" "_s" Loeschen "")
     (command "_dim" "_ver" ap18 ap20 ap26 "")
     (command "_exit")

     (setq Zaehler2 1)
     (while (<= Zaehler2 Anzahl)
       (setq AP4 (polar AP4 (aib 180.) Abstand))
       (setq AP5 (polar AP5 (aib 180.) Abstand))
       (setq AP6 (polar AP6 (aib 180.) Abstand))
       (setq AP7 (polar AP7 (aib 180.) Abstand))
       (setq AP8 (polar AP8 (aib 180.) Abstand))
       (setq AP9 (polar AP9 (aib 180.) Abstand))
       (setq AP10 (polar AP10 (aib 180.) Abstand))
       (setq AP11 (polar AP11 (aib 180.) Abstand))
       (setq AP12 (polar AP12 (aib 180.) Abstand))

       (setq xAP4 (polar xAP4 (aib 180.) Abstand))
       (setq xAP5 (polar xAP5 (aib 180.) Abstand))
       (setq xAP6 (polar xAP6 (aib 180.) Abstand))

       (command "_layer" "_s" Vollinie035 "")
       (command "_circle" xAP4 "_d" BohrA)
       (command "_line" AP9 AP11 "")
       (command "_line" AP10 AP12 "")
       (command "_arc" "_c" ap7 ap9 ap10)
       (command "_arc" "_c" ap8 ap12 ap11)
       (command "_layer" "_s" Vollinie025 "")
       (command "_line" xAP5 xAP6 "")
       (command "_line" AP6 AP5 "")

       (if (= (+ Zaehler2 1) Anzahl)
          (command "_line" kbp41 xAP4 "")
       )
       (if (= Zaehler2 1)
         (progn
           (setq xAP8 (polar xAP4 (aib 180.) (/ BohrA 2.)))
           (setq xAP9 (polar xAP4 (aib 0.) (/ BohrA 2.)))
           (setq xAP10 (polar kbp5 (aib 90.) 10.))
           (command "_layer" "_s" Masslinie "")
           (command "_dimstyle" "_r" bstilaa "_dim")
           (command "_hor" xap9 xap8 xap10 "")
           (command "_exit")
         )
       )
       (setq Zaehler2 (+ Zaehler2 1))
     ) 
     (setq AP27 (polar AP4 (aib 135.) 30.))
     (setq AP28 (polar AP27 (aib 180.) 10.))
     (setq AP29 (polar AP28 (aib 45.) 2.))
     (setq AP30 (polar AP4 (aib 30.) 6.))
     (setq AP31 (polar AP27 (aib 0.) 20.))
     (setq AP32 (polar AP31 (aib 180.) 10.))
     (setq AP33 (polar AP32 (aib 45.) 2.))
     (setq AP34 (polar AP22 (aib 90.) 6.))

     (command "_layer" "_s" Vollinie025 "")
     (command "_line" AP4 AP27 AP28 "")
     (command "_line" AP30 AP31 AP32 "")
     (command "_layer" "_s" Text07 "")
     (command "_text" ap29 "6.0" "0.0" "O")
     (command "_text" ap33 "6.0" "0.0" "?")
     (SETQ APText1 (STRCAT "%%UUnregistrierte Sharewareversion - Ablaufwehr Boden-Nr.: " Text1))
     (command "_layer" "_s" Text05 "")
     (command "_text" "_c" ap34 "4.0" "0.0" APTEXT1)
;*** Seitenansicht Kanal ************************

   (setq XAXp3 (polar kbp11 (aib 0.) 60.))
   (setq XAXp4 (list (car XAXp3) (cadr p6)))
   (setq XAXp5 (polar XAXp4 (aib 180.) KD1))
   (setq XAXp6 (polar XAXp3 (aib 180.) (+ mas3 mas2)))
   (setq XAXp7 (polar XAXp6 (aib 270.) KD1))
   (setq XAXp8 (list (car XAXp5) (cadr XAXp7)))
   (setq XAXp9 (polar XAXp3 (aib 90.) 10.))
   (setq XAXp10 (polar XAXp4 (aib 90.) 10.))

   (setq XAXp60 (polar XAXp3 (aib 0.) Abstand1))
   (setq XAXp61 (polar XAXp60 (aib 90.) (+ SD1 Abstand1 AWH1)))
   (setq XAXp62 (polar XAXp61 (aib 0.) SD1))
   (setq XAXp63 (polar XAXp60 (aib 270.) (+ Abstand4 Abstand14)))
   (setq XAXp64 (polar XAXp63 (aib 0.) SD1))

   (command "_layer" "_s" Vollinie035 "")
   (command "_line" XAXp6 XAXp3 XAXp4 XAXp5 XAXp8 XAXp7 XAXp6 "")
   (command "_line" XAXp61 XAXp62 XAXp64 XAXp63 XAXp61 "")
   (command "_insert" "EINSCH7" xaxp3 "1" "" "0")
   (command "_layer" "_s" Masslinie "")
   (command "_dimstyle" "_r" bstilaa "_dim")
   (command "_hor" XAXp6 XAXp3 XAXp9 "")
   (command "_hor" XAXp5 XAXp4 XAXp10 "")
   (command "_exit")

)

;******************************************
(defun Abfrage1()
   (setq TEXT1 (getstring T "\n                    Boden - Nummer         : "))
   (IF (= Kontroll 0)
     (SETQ TEXTRALLE1 TEXT1)
   )
   (IF (= Kontroll 1)
      (progn
        (setq Ausgabe2 (RTOS H 2 0))
        (SETQ Text2 (STRCAT "\n                    Bodenabstand     <" Ausgabe2 "> : "))
        (SETQ Ausgabe (GETSTRING T Text2))
        (if (= Ausgabe "")
            (SETQ Ausgabe Ausgabe2)
        )
        (SETQ Ausgabe2 Ausgabe)
        (setq H (ATOF Ausgabe))
     )
   )
   (command "_vslide" "einsch01")
   (setq Ausgabe33 (RTOS BBRHilf 2 1))
   (SETQ Text33 (STRCAT "     Abstand Ma A                     <" Ausgabe33 "> : "))
   (SETQ Ausgabe (GETSTRING T Text33))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe33)
   )
   (SETQ Ausgabe33 Ausgabe)
   (setq BBRhilf (ATOF Ausgabe))

   (setq Ausgabe3 (RTOS SD 2 1))
   (SETQ Text3 (STRCAT "       Dicke --> Bodenblech + Dichtung <" Ausgabe3 "> : "))
   (SETQ Ausgabe (GETSTRING T Text3))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe3)
   )
   (SETQ Ausgabe3 Ausgabe)
   (setq SD (ATOF Ausgabe))

   (IF (<= SD 3.5)
     (progn
       (setq mas2 (/ 18. m))
     )
   )
   (IF (> SD 3.5)
     (progn
       (setq mas2 (/ 20. m))
     )
   )
   (setq SDMitAlt1 (/ SDMit m))
   (setq Ausgabe333 (RTOS SDMit 2 1))
   (SETQ Text333 (STRCAT "       Dicke --> Dichtung              <" Ausgabe333 "> : "))
   (SETQ Ausgabe (GETSTRING T Text333))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe333)
   )
   (SETQ Ausgabe333 Ausgabe)
   (setq SDMit (ATOF Ausgabe))
;   (setq SD (+ SD SDMit))   

   (setq Ausgabe40 (RTOS KD 2 1))
   (SETQ Text40 (STRCAT "                   Kanalblechdicke     <" Ausgabe40 "> : "))
   (SETQ Ausgabe (GETSTRING T Text40))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe40)
   )
   (SETQ Ausgabe40 Ausgabe)
   (setq KD (ATOF Ausgabe))

   (setq Ausgabe41 (RTOS D1ABS 2 0))
   (SETQ Text41 (STRCAT "      Abstand Ma B                    <" Ausgabe41 "> : "))
   (SETQ Ausgabe (GETSTRING T Text41))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe41)
   )
   (SETQ Ausgabe41 Ausgabe)
   (setq D1ABS (ATOF Ausgabe))
   (setq BBR (+ BBRHILF D1ABS))

   (setq Ausgabe42 (RTOS AKH 2 0))
   (SETQ Text42 (STRCAT "          Abkanthhe Blech Ma C       <" Ausgabe42 "> : "))
   (SETQ Ausgabe (GETSTRING T Text42))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe42)
   )
   (SETQ Ausgabe42 Ausgabe)
   (setq AKH (ATOF Ausgabe))

   (setq Ausgabe44 (RTOS SH 2 0))
   (SETQ Text44 (STRCAT "        Schenkelhhe Blech Ma D       <" Ausgabe44 "> : "))
   (SETQ Ausgabe (GETSTRING T Text44))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe44)
   )
   (SETQ Ausgabe44 Ausgabe)
   (setq SH (ATOF Ausgabe))

   (setq Ausgabe45 (RTOS Hilferalph 2 0))
   (SETQ Text45 (STRCAT " Abstand Ma E                         <" Ausgabe45 "> : "))
   (SETQ Ausgabe (GETSTRING T Text45))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe45)
   )
   (SETQ Ausgabe45 Ausgabe)
   (setq Hilferalph (ATOF Ausgabe))
   (setq LDA (* Hilferalph 2.))

   (IF (= Kontroll 1)
      (progn
        (setq Ausgabe4 (RTOS BF 2 0))
        (SETQ Text4 (STRCAT "------------------> Bodenfreiheit     <" Ausgabe4 "> : "))
        (SETQ Ausgabe (GETSTRING T Text4))
        (if (= Ausgabe "")
            (SETQ Ausgabe Ausgabe4)
        )
        (SETQ Ausgabe4 Ausgabe)
        (setq BF (ATOF Ausgabe))
     )
   )

   (setq Ausgabe5 (RTOS AWH 2 0))
   (SETQ Text5 (STRCAT "------------------> Ablaufwehrhhe     <" Ausgabe5 "> : "))
   (SETQ Ausgabe (GETSTRING T Text5))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe5)
   )
   (SETQ Ausgabe5 Ausgabe)
   (setq AWH (ATOF Ausgabe))
   (IF (= Kontroll 0)
      (setq AWHMERK (ATOF Ausgabe))
   )
   (setq Ausgabe6 (RTOS ARB 2 0))
   (SETQ Text6 (STRCAT "                    Breite Auflagering <" Ausgabe6 "> : "))
   (SETQ Ausgabe (GETSTRING T Text6))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe6)
   )
   (SETQ Ausgabe6 Ausgabe)
   (setq ARB (ATOF Ausgabe))

   (setq Ausgabe7 (RTOS ARD 2 0))
   (SETQ Text7 (STRCAT "                    Dicke Auflagering  <" Ausgabe7 "> : "))
   (SETQ Ausgabe (GETSTRING T Text7))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe7)
   )
   (SETQ Ausgabe7 Ausgabe)
   (setq ARD (ATOF Ausgabe))

   (setq Ausgabe8 (RTOS C 2 0))
   (SETQ Text8 (STRCAT "                    Haltestababstand   <" Ausgabe8 "> : "))
   (SETQ Ausgabe (GETSTRING T Text8))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe8)
   )
   (command "_redraw")
   (SETQ Ausgabe8 Ausgabe)
   (setq C (ATOF Ausgabe))
   (setq CTR (ATOF Ausgabe))
   (IF (= Kontroll 0)
      (setq CMERK (ATOF Ausgabe))
   )

   (setq Ausgabe9 (RTOS HB 2 0))
   (SETQ Text9 (STRCAT "                    Breite Haltestab   <" Ausgabe9 "> : "))
   (SETQ Ausgabe (GETSTRING T Text9))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe9)
   )
   (SETQ Ausgabe9 Ausgabe)
   (setq HB (ATOF Ausgabe))

   (setq Ausgabe10(RTOS HD 2 0))
   (SETQ Text10 (STRCAT "                    Dicke Haltestab    <" Ausgabe10 "> : "))
   (SETQ Ausgabe (GETSTRING T Text10))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe10)
   )
   (SETQ Ausgabe10 Ausgabe)
   (setq HD (ATOF Ausgabe))
   (command "_vslide" "einsch02")
   (setq Ausgabe11 (RTOS A 2 0))
   (SETQ Text11 (STRCAT "                    Ma F (Haltestab)  <" Ausgabe11 "> : "))
   (SETQ Ausgabe (GETSTRING T Text11))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe11)
   )
   (SETQ Ausgabe11 Ausgabe)
   (setq A (ATOF Ausgabe))

   (setq Ausgabe12 (RTOS B 2 0))
   (SETQ Text12 (STRCAT "        Ma G incl. Spalt (Haltestab)  <" Ausgabe12 "> : "))
   (SETQ Ausgabe (GETSTRING T Text12))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe12)
   )
   (SETQ Ausgabe12 Ausgabe)
   (setq B (ATOF Ausgabe))
   (command "_redraw")
   (IF (= Kontroll 0)
      (progn
        (prompt "\-----------------------------------------------")
        (prompt "\n--- Werte fr Ablauftassenkonstruktion")
        (prompt "\n-----------------------------------------------")
        (setq Ausgabe2 (RTOS HTR 2 0))
        (SETQ Text2 (STRCAT "\n                Regel-Bodenabstand     <" Ausgabe2 "> : "))
        (SETQ Ausgabe (GETSTRING T Text2))
        (if (= Ausgabe "")
            (SETQ Ausgabe Ausgabe2)
        )
        (SETQ Ausgabe2 Ausgabe)
        (setq HTR (ATOF Ausgabe))
        (setq H (ATOF Ausgabe))
     
        (setq Ausgabe4 (RTOS BFTR 2 0))
        (SETQ Text4 (STRCAT "                Regel-Bodenfreiheit    <" Ausgabe4 "> : "))
        (SETQ Ausgabe (GETSTRING T Text4))
        (if (= Ausgabe "")
            (SETQ Ausgabe Ausgabe4)
        )
        (SETQ Ausgabe4 Ausgabe)
        (setq BFTR (ATOF Ausgabe))
        (setq BF (ATOF Ausgabe))

        (setq AWHT AWH)

        (setq Ausgabe8T (RTOS CTR 2 0))
        (SETQ Text8T (STRCAT "              Regel-Haltestababstand <" Ausgabe8T "> : "))
        (SETQ Ausgabe (GETSTRING T Text8T))
        (if (= Ausgabe "")
            (SETQ Ausgabe Ausgabe8T)
        )
        (SETQ Ausgabe8T Ausgabe)
        (setq CTR (ATOF Ausgabe))
        (prompt "\n-----------------------------------------------\n")

     )
   )
)
;****************************************************************************
(defun Abfrage2()
;   (command "cls")
   (prompt "\n----------------------------------------")
   (prompt "\n--- Konstruktionsprogamm fr Einschweiteile ---")
   (prompt "\n--- Teil 1: Seitenansicht mit Auflagering")
   (prompt "\n----------------------------------------")
   (prompt "\n<<<<<<<<<<     Achtung !!! Dateneingabe fr DIN 28007      >>>>>>>>>")
   (setq DNENN (getreal"\n            Nenndurchmesser (Kolonne)                : "))
   (SETQ Text20  (STRCAT "            Gesamthhe aller Boeden                 : "))
   (SETQ Ausgabe20 (GETSTRING T Text20))
   (setq H7S (ATOF Ausgabe20))

   (setq Ausgabe2 (RTOS HTR 2 0))
   (SETQ Text2 (STRCAT "            Regel-Bodenabstand                 <" Ausgabe2 "> : "))
   (SETQ Ausgabe (GETSTRING T Text2))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe2)
   )
   (SETQ Ausgabe2 Ausgabe)
   (setq HTR (ATOF Ausgabe))

   (setq Ausgabe4 (RTOS BFTR 2 0))
   (SETQ Text4 (STRCAT "            Regel-Bodenfreiheit                 <" Ausgabe4 "> : "))
   (SETQ Ausgabe (GETSTRING T Text4))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe4)
   )
   (SETQ Ausgabe4 Ausgabe)
   (setq BFTR (ATOF Ausgabe))

   (setq Ausgabe5 (RTOS AWHT 2 0))
   (SETQ Text5 (STRCAT "            Regel-Ablaufwehrhhe               <" Ausgabe5 "> : "))
   (SETQ Ausgabe (GETSTRING T Text5))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe5)
   )
   (SETQ Ausgabe5 Ausgabe)
   (setq AWHT (ATOF Ausgabe))

   (setq Ausgabe8 (RTOS CTR 2 0))
   (SETQ Text8 (STRCAT "  Regel-Haltestababstand e  (von Mitte Kolonne)<" Ausgabe8 "> : "))
   (SETQ Ausgabe (GETSTRING T Text8))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe8)
   )
   (SETQ Ausgabe8 Ausgabe)
   (setq CTR (ATOF Ausgabe))

   (SETQ E2 (* (ABS (- (car KP1) (car RBP3))) m))
   (setq Ausgabe9 (RTOS E2 2 0))
   (SETQ Text9 (STRCAT "  Regel-Haltestababstand e2 (von Mitte Kolonne)<" Ausgabe9 "> : "))
   (SETQ Ausgabe (GETSTRING T Text9))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe9)
   )
   (SETQ Ausgabe9 Ausgabe)
   (setq E2 (ATOF Ausgabe))
   (setq E2 (* E2 2))

   (DIN28007)
)

;********************************************************************
(defun Ablauftasse()
   (SETQ TF (* BFTR 1.2))
   (SETQ BRA (+ TF 5))
   (IF (< BRA 60.)
     (SETQ BRA 60.)
   )
   (SETQ ATM3 (- CTR BRA))
   (SETQ ATM2 (/ ATM3 10.))
   (SETQ ATM (FIX ATM2 ))
   (SETQ ATM (* ATM 10.))

   (SETQ TH (+ TF 100.))

   (SETQ TARA1 (* 1.05 (+ (- HTR AWHT) TH)))
   (SETQ TARA2 (* 1.1 (+ (- HTR AWHT) TH)))

   (SETQ TARA1 (/ TARA1 10.))
   (SETQ TARA1 (FIX TARA1 ))
   (SETQ TARA1 (* TARA1 10.))

   (SETQ TARA2 (/ TARA2 10.))
   (SETQ TARA2 (FIX TARA2 ))
   (SETQ TARA2 (* TARA2 10.))

   (setq Ausgabe13 (RTOS TARA1 2 0))
   (setq Ausgabe13A (RTOS TARA2 2 0))
   (SETQ Text13 (STRCAT "  Abstand Tasse-Boden      " Ausgabe13 "-" Ausgabe13A "    <"Ausgabe13A "> : "))
   (SETQ Ausgabe (GETSTRING T Text13))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe13A)
   )
   (SETQ Ausgabe13A Ausgabe)
   (setq TA (ATOF Ausgabe))

   (setq Ausgabe14 (RTOS TF 2 0))
   (SETQ Text14 (STRCAT "                Tassenfreiheit        <" Ausgabe14 "> : "))
   (SETQ Ausgabe (GETSTRING T Text14))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe14)
   )
   (SETQ Ausgabe14 Ausgabe)
   (setq TF (ATOF Ausgabe))

   (setq Ausgabe15 (RTOS TH 2 0))
   (SETQ Text15 (STRCAT "                Tassenhhe            <" Ausgabe15 "> : "))
   (SETQ Ausgabe (GETSTRING T Text15))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe15)
   )
   (SETQ Ausgabe15 Ausgabe)
   (setq TH (ATOF Ausgabe))

   (setq Ausgabe16 (RTOS ATM 2 0))
   (SETQ Text16 (STRCAT "                Tasse bis Mitte CL    <" Ausgabe16 "> : "))
   (SETQ Ausgabe (GETSTRING T Text16))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe16)
   )
   (SETQ Ausgabe16 Ausgabe)
   (setq ATM (ATOF Ausgabe))
)

;*************************************************************************
(DEFUN Ablauftassekonstruk ()

  (command "_layer" "_s" Vollinie035 "")
  (command "_line" ATP1 ATP6 ATP3 ATP4 ATP5 ATP2 "")
  (command "_layer" "_s" Schraffur "")
  (command "_solid" ATP8 ATP2 ATP7 "" "")
  (command "_solid" ATP9 ATP10 ATP1 "" "")

  (command "_layer" "_s" Masslinie "")
  (command "_dimstyle" "_r" bstilea "_dim")
  (command "_hor" ATP13 ATP3 ATP12 "")
;  (command "_dimstyle _r" BStilAA)
  (command "_ver" ATP6 ATP3 ATP11 "")
  (command "_exit")

  (command "_layer" "_s" Vollinie035 "")
  (command "_line" xATP1 xATP6 xATP3 xATP4 xATP5 xATP2 "")
  (command "_layer" "_s" Schraffur "")
  (command "_solid" xATP8 xATP2 xATP7 "" "")
  (command "_solid" xATP9 xATP10 xATP1 "" "")

  (command "_layer" "_s" Masslinie "")
  (command "_dimstyle" "_r" bstilea "_dim")
  (command "_hor" xATP13 xATP3 xATP12 "")
;  (command "_dimstyle _r" BStilAA)
  (command "_ver" xATP6 xATP4 xATP11 "")
  (command "_ver" xATP1 xxp6 xbemp1 "")
  (command "_ver" xATP1 xATP3 xATP11 "")
  (command "_exit")

)
;***********************************************************************************************
(DEFUN DIN28007 ()
;Bodenabstand H7
   (IF (<= HTR 30.)
      (SETQ TEXTH7 "max. 2")
   )
   (IF (AND (> HTR 30.) (<= HTR 120.))
      (SETQ TEXTH7 "2")
   )
   (IF (AND (> HTR 120. ) (<= HTR 315.))
      (SETQ TEXTH7 "2")
   )
   (IF (AND (> HTR 315. ) (<= HTR 1000.))
      (SETQ TEXTH7 "3")
   )
   (IF (AND (> HTR 1000. ) (<= HTR 2000.))
      (SETQ TEXTH7 "4")
   )
   (IF (> HTR 2000.)
      (SETQ TEXTH7 "min. 4")
   )
;Parallelitt der Ringe zur Horizontalen, F2
   (SETQ RECHEN (/ DI 1000.))
   (IF (> RECHEN 3. )
      (SETQ RECHEN 3.)
   )
   (SETQ TEXTF2 (rtos RECHEN 2 0))
;Innendurchmesser D2
   (SETQ RECHEN2 (/ DI 200.))
   (SETQ TEXTD2 (rtos RECHEN2 2 0))

;Bodenfreiheit, H9
   (IF (<= BFTR 30.)
      (SETQ TEXTH9 "max. 2")
   )
   (IF (AND (> BFTR 30.) (<= BFTR 120.))
      (SETQ TEXTH9 "2")
   )
   (IF (AND (> BFTR 120. ) (<= BFTR 315.))
      (SETQ TEXTH9 "2")
   )
   (IF (AND (> BFTR 315. ) (<= BFTR 1000.))
      (SETQ TEXTH9 "3")
   )
   (IF (> BFTR 1000. )
      (SETQ TEXTH9 "min. 3")
   )
;Ablaufwehr, H8
   (IF (<= AWHT 30.)
      (SETQ TEXTH8 "max. 2")
   )
   (IF (AND (> AWHT 30.)(<= AWHT 120.))
      (SETQ TEXTH8 "2")
   )
   (IF (AND (> AWHT 120. ) (<= AWHT 315.))
      (SETQ TEXTH8 "2")
   )
   (IF (AND (> AWHT 315. ) (<= AWHT 1000.))
      (SETQ TEXTH8 "3")
   )
   (IF (> AWHT 1000. )
      (SETQ TEXTH8 "min. 3")
   )
;Haltestababstand E (Ma C!!!) (nicht nach Norm sondern (E3/2) !!!
   (SETQ E CTR)
   (IF (<= E 30.)
      (SETQ TEXTE "max. 2")
   )
   (IF (AND (> E 30.) (<= E 120.))
      (SETQ TEXTE "2")
   )
   (IF (AND (> E 120. ) (<= E 315.))
      (SETQ TEXTE "2")
   )
   (IF (AND (> E 315. ) (<= E 1000.))
      (SETQ TEXTE "3")
   )
   (IF (AND (> E 1000. ) (<= E 2000.))
      (SETQ TEXTE "4")
   )
   (IF (AND (> E 2000. ) (<= E 4000.))
      (SETQ TEXTE "6")
   )
   (IF (> E 4000. )
      (SETQ TEXTE "min. 6")
   )
;Haltestababstand E2
   (IF (<= E2 30.)
      (SETQ TEXTE2 "max. 2")
   )
   (IF (AND (> E2 30.) (<= E2 120.))
      (SETQ TEXTE2 "2")
   )
   (IF (AND (> E2 120. ) (<= E2 315.))
      (SETQ TEXTE2 "2")
   )
   (IF (AND (> E2 315. ) (<= E2 1000.))
      (SETQ TEXTE2 "3")
   )
   (IF (AND (> E2 1000. ) (<= E2 2000.))
      (SETQ TEXTE2 "4")
   )
   (IF (AND (> E2 2000. ) (<= E2 4000.))
      (SETQ TEXTE2 "6")
   )
   (IF (> E2 4000. )
      (SETQ TEXTE2 "min. 6")
   )
;Gesamtma der Bden (H7'), entspricht DIN 28007
   (IF (<= H7S 30.)
      (SETQ TEXTH7S "max. 2")
   )
   (IF (AND (> H7S 30.) (<= H7S 120.))
      (SETQ TEXTH7S "2")
   )
   (IF (AND (> H7S 120. ) (<= H7S 315.))
      (SETQ TEXTH7S "2")
   )
   (IF (AND (> H7S 315. ) (<= H7S 1000.))
      (SETQ TEXTH7S "3")
   )
   (IF (AND (> H7S 1000. ) (<= H7S 2000.))
      (SETQ TEXTH7S "4")
   )
   (IF (AND (> H7S 2000. ) (<= H7S 4000.))
      (SETQ TEXTH7S "6")
   )
   (IF (AND (> H7S 4000. ) (<= H7S 8000.))
      (SETQ TEXTH7S "8")
   )
   (IF (AND (> H7S 8000. ) (<= H7S 12000.))
      (SETQ TEXTH7S "10")
   )
   (IF (AND (> H7S 12000. ) (<= H7S 16000.))
      (SETQ TEXTH7S "12")
   )
   (IF (AND (> H7S 16000. ) (<= H7S 20000.))
      (SETQ TEXTH7S "14")
   )
   (IF (> H7S 20000. )
      (SETQ TEXTH7S "16")
   )
;Haltestababstand e3
   (SETQ TEXTE3 "-")
;Auflageringebenheit F
   (SETQ TEXTF "1/300")
;Unrundheit U
   (SETQ RECHEN3 (/ DNENN 200.))
   (SETQ TEXTU (rtos RECHEN3 2 0))

;Auswertung ****************************
   (setq Texttol1 (polar RBP1 (aib 0.) DI1))
   (command "_layer" "_s" Text025 "")
   (command "_text" Texttol1 "3.0" "0.0" TEXTH7)
   (command "_text" "" TEXTH7S)
   (command "_text" "" TEXTF2)
   (command "_text" "" TEXTH9)
   (command "_text" "" "-")
   (command "_text" "" TEXTH8)
   (command "_text" "" TEXTE2)
   (command "_text" "" TEXTE3)
   (command "_text" "" TEXTE)
   (command "_text" "" "1")
   (command "_text" "" "1")
   (command "_text" "" TEXTD2)
   (command "_text" "" TEXTF)
   (command "_text" "" TEXTU)

)

;*******************************************
(defun EINSCHW2 (/ schleife aus)
   (prompt "\n--------------------------------------------------")
   (prompt "\n--- Konstruktionsprogamm fr Einschweiteile 1-Flut ---")
   (prompt "\n--- Teil 2: Bodendraufsicht mit Auflagering")
   (prompt "\n--------------------------------------------------")
   (setq TEXT1 (getstring T "\n                    Boden - Nummer            : "))
   (setq TEXT2 (getstring T "\n                    Bd.-Nr.    wie gezeichnet : "))
   (setq TEXT3 (getstring T "                    Bd.-Nr.    180 Grad gedreht   : "))
   (setq Ausgabe90 (RTOS DI 2 0))
   (SETQ Text90 (STRCAT "              Innendurchmesser Kolonne <" Ausgabe90 "> : "))
   (SETQ Ausgabe (GETSTRING T Text90))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe90)
   )
   (SETQ Ausgabe90 Ausgabe)
   (setq DI (ATOF Ausgabe))

   (setq Ausgabe6 (RTOS ARB 2 0))
   (SETQ Text6 (STRCAT "                    Breite Auflagering  <" Ausgabe6 "> : "))
   (SETQ Ausgabe (GETSTRING T Text6))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe6)
   )
   (SETQ Ausgabe6 Ausgabe)
   (setq ARB (ATOF Ausgabe))

   (setq Ausgabe7 (RTOS ARD 2 0))
   (SETQ Text7 (STRCAT "                    Dicke Auflagering    <" Ausgabe7 "> : "))
   (SETQ Ausgabe (GETSTRING T Text7))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe7)
   )
   (SETQ Ausgabe7 Ausgabe)
   (setq ARD (ATOF Ausgabe))

   (setq Ausgabe8 (RTOS C 2 0))
   (SETQ Text8 (STRCAT "                    Haltestababstand    <" Ausgabe8 "> : "))
   (SETQ Ausgabe (GETSTRING T Text8))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe8)
   )
   (SETQ Ausgabe8 Ausgabe)
   (setq C (ATOF Ausgabe))

   (setq Ausgabe9 (RTOS HB 2 0))
   (SETQ Text9 (STRCAT "                    Breite Haltestab    <" Ausgabe9 "> : "))
   (SETQ Ausgabe (GETSTRING T Text9))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe9)
   )
   (SETQ Ausgabe9 Ausgabe)
   (setq HB (ATOF Ausgabe))

   (setq Ausgabe10(RTOS HD 2 0))
   (SETQ Text10 (STRCAT "                    Dicke Haltestab      <" Ausgabe10 "> : "))
   (SETQ Ausgabe (GETSTRING T Text10))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe10)
   )
   (SETQ Ausgabe10 Ausgabe)
   (setq HD (ATOF Ausgabe))

   (setq Ausgabe11 (RTOS A 2 0))
   (SETQ Text11 (STRCAT "                    Ma 1 (Haltestab)    <" Ausgabe11 "> : "))
   (SETQ Ausgabe (GETSTRING T Text11))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe11)
   )
   (SETQ Ausgabe11 Ausgabe)
   (setq A (ATOF Ausgabe))

   (setq Ausgabe12 (RTOS B 2 0))
   (SETQ Text12 (STRCAT "        Ma 2 incl. Spalt (Haltestab)    <" Ausgabe12 "> : "))
   (SETQ Ausgabe (GETSTRING T Text12))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe12)
   )
   (SETQ Ausgabe12 Ausgabe)
   (setq B (ATOF Ausgabe))

   (graphscr)
   (Setq bp1 (polar bp1 (aib 270.) (* RI1 2.5)))
   (setq RI (/ DI 2))
   (setq HMALT (SQRT(-(* RI RI) (* (+ C HD) (+ C HD)))))
   (setq HMALTS (SQRT(- (* RI RI) (* C C))))
   (setq HMNEU (FIX HMALT))
   (setq HMNEU (float HMNEU))
   (setq Abfrage (- HMALT HMNEU))
         (IF (> Abfrage 0.45)
             (Progn
               (setq HMNEU (+ HMNEU 1.))
             )
          )

   (setq DI1 (/ DI m) ARB1(/ ARB m) C1(/ C m))
   (setq HD1 (/ HD m) HB1 (/ HB m) A1 (/ A m) B1 (/ B m))
   (setq RI1 (/ RI m) HMNEU1 (/ HMNEU m) HMALT1(/ HMALT m) HMALTS1(/ HMALTS m))
   (setq s1 1.4)      
   (SETQ Durchgang 0)
   (Draufsicht)
   (SETQ Durchgang 1)
   (SETQ BP1 (polar BP1 (aib 0.) (+ DI1 100.)))
   (Draufsicht)
)
;**************************************
(DEFUN Draufsicht ()
   (setq bp2(polar bp1 (aib 0.) C1))
   (setq bp3(polar bp2 (aib 0.) HD1))
   (setq bp4(polar bp1 (aib 0.) RI1))

   (setq TEXTHMALT (RTOS HMALT 2 0))
   (setq TEXTHMALT1 (RTOS HMALT1 2 0))
   (setq TEXTHMNEU (RTOS HMNEU 2 0))
   (setq TEXTHMNEU1 (RTOS HMNEU1 2 0))

   (setq kp1(polar bp3 (aib 270.) HMALT1))
   (setq kp2(polar bp3 (aib 270.) HMNEU1))
   (setq kp3(polar kp1 (aib 180.) HD1))
   (setq kp4(polar kp2 (aib 90.) HB1))
   (setq kp5(polar kp4 (aib 180.) HD1))
   (setq kp6(polar bp2 (aib 270.) HMALTS1))
   (setq kp7(polar kp5 (aib 270.) (+ A1 B1)))
   (setq kp8(polar bp1 (aib 270.) (- RI1 ARB1)))
   (setq kp9(polar bp1 (aib 90.) (- RI1 ARB1)))
   (setq kp10(polar kp1 (aib 90.) (* HD1 1.5)))
   (setq kp11(polar kp10 (aib 0.) HD1))
   (setq kp12(polar kp11 (aib 270.) (* HD1 0.75)))
   (setq kp13(polar bp1 (aib 165.) RI1))
   (setq kp14(polar bp1 (aib 165.) (/ RI1 2.)))
   (setq kp15(polar bp1 (aib 165.) (* RI1 0.7)))
   (setq kp16(polar kp15 (aib 90.) 1.))

   (setq kp17(polar bp1 (aib 195.) (- RI1 ARB1)))
   (setq kp18(polar bp1 (aib 195.) (/ (- RI1 ARB1) 2.)))
   (setq kp19(polar bp1 (aib 195.) (* (- RI1 ARB1) 0.7)))
   (setq kp20(polar kp19 (aib 90.) 1.))
   (setq kp21(polar bp1 (aib 195.) (+ RI1 16.)))
   (setq kp22(polar kp21 (aib 90.) 1.))
   (setq kp23(polar bp1 (aib 195.) RI1))
   (setq kp24(polar bp1 (aib 195.) (+ RI1 20.)))
   (setq kp25(polar kp24 (aib 90.) 2.))

   (setq hp1(polar kp4 (aib 270.) A1))
   (setq hp2(polar hp1 (aib 180.) (+ HD1 3)))
   (setq hp3(polar hp1 (aib 0.) 5.))
   (setq hp4(polar bp1 (aib 0.) (+ (/ DI1 2) 8)))
   (setq hp5(polar bp1 (aib 90.) (+ (/ DI1 2) 8)))
   (setq hp6(polar bp1 (aib 180.) (+ (/ DI1 2) 8)))
   (setq hp7(polar bp1 (aib 270.) (+ (/ DI1 2) 2)))
   (setq hp8(polar kp7 (aib 180.) (/ ARB1 2)))
   (setq hp9(polar hp7 (aib 270.) 10.))
   (setq hp10(polar kp7 (aib 180.) (* ARB1 0.4)))

   (setq hp12(polar kp4 (aib 0.) 34.))
   (setq hp13(polar hp1 (aib 0.) 34.))
   (setq hp14(polar kp1 (aib 0.) 26.))
   (setq hp15(polar hp12 (aib 180.) 2.))
   (setq hp16(polar hp15 (aib 270.) A1))
   (setq hp17(polar hp15 (aib 90.) 8.))
   (setq hp18(polar hp16 (aib 270.) (+ B1 8.)))
   (setq hp19(polar hp16 (aib 270.) B1))

   (setq hp21(polar kp1 (aib 0.) 34.))
   (setq hp22(polar hp21 (aib 0.) 6.))
   (setq hp23(polar hp16 (aib 0.) 10.))
   (setq hp24(polar hp22 (aib 0.) 8.))
   (setq hp25(polar hp19 (aib 0.) 2))

   (setq hp26(polar hp15 (aib 180.) 1.))
   (setq hp27(polar hp19 (aib 180.) 1.))

   (setq t1(polar hp26 (aib 90.) 4))
   (setq t2(polar hp27 (aib 270.) 4))

   (setq hp28(polar kp7 (aib 180.) 3))
   (setq t3(polar hp28 (aib 90.) 5))

;******************************************
; Rechte Seite
   (setq rkp1(polar bp3 (aib 90.) HMALT1))
   (setq rkp2(polar bp3 (aib 90.) HMNEU1))
   (setq rkp3(polar rkp1 (aib 180.) HD1))
   (setq rkp4(polar rkp2 (aib 270.) HB1))
   (setq rkp5(polar rkp4 (aib 180.) HD1))
   (setq rkp6(polar bp2 (aib 90.) HMALTS1))
   (setq rkp7(polar rkp5 (aib 90.) (+ A1 B1)))
   (setq rkp8(polar bp1 (aib 90.) (- RI1 ARB1)))
   (setq rkp9(polar bp1 (aib 270.) (- RI1 ARB1)))
   (setq rkp10(polar rkp1 (aib 270.) (* HD1 1.5)))
   (setq rkp11(polar rkp10 (aib 0.) HD1))
   (setq rkp12(polar rkp11 (aib 90.) (* HD1 0.75)))

   (setq rhp1(polar rkp4 (aib 90.) A1))
   (setq rhp2(polar rhp1 (aib 180.) (+ HD1 3.)))
   (setq rhp3(polar rhp1 (aib 0.) 5.))
   (setq rhp4(polar bp1 (aib 0.) (+ (/ DI1 2.) 15.)))
   (setq rhp5(polar bp1 (aib 90.) (+ (/ DI1 2.) 15.)))
   (setq rhp6(polar bp1 (aib 180.) (+ (/ DI1 2.) 15.)))
   (setq rhp7(polar bp1 (aib 270.) (+ (/ DI1 2.) 5.)))
   (setq rhp8(polar rkp7 (aib 180.) (/ ARB1 2.)))
   (setq rhp9(polar hp5 (aib 90.) 20.))
   (setq rhp10(polar hp5 (aib 90.) 10.))
   (setq rhp11(polar hp5 (aib 90.) 3.))
   (setq rhp12(polar rkp7 (aib 180.) (* ARB1 0.4)))

   (setq rhp28(polar rkp7 (aib 180.) 3.))
   (setq t4(polar rhp28 (aib 270.) 5.))

   (IF (= Durchgang 0)
      (progn
        (command "_layer" "_s" Loeschen "")
        (command "_arc" kp1 "_c" bp1 rkp1)   
        (command "_pline" kp1 kp4 kp5 rkp5 rkp4 rkp1 "")
        (command "_zoom" "_e")
        (command "_layer" "_s" Schraffur "")
        (command "_hatch" "DOTS" "13" "43" bp4 bp2 "")
        (command "_erase" "_p" "")
      )
   )
   (command "_layer" "_s" Vollinie05 "")
   (command "_circle" bp1 "_d" DI1)
   (command "_circle" bp1 "_d" (+ DI1 (* S1 2)))
   (command "_zoom" "_e" )
   (command "_layer" "_s" Vollinie035 "")
   (command "_line" kp1 kp3 kp5 kp4 "_c")
   (command "_line" rkp1 rkp3 rkp5 rkp4 "_c")

   (IF (= Durchgang 0)
      (progn
        (command "_line" hp8 kp7 "")
        (command "_line" rhp8 rkp7 "")
        (command "_arc" KP9 "_c" bp1 KP8)
        (command "_fillet" "_r" "0.")
        (command "_fillet" kp8 hp10)
        (command "_fillet" "_r" "0.")
        (command "_fillet" rkp8 rhp12)
      )
   )
   (command "_layer" "_s" Mittellinie "")
   (command "_line" bp1 hp4 "")
   (command "_line" bp1 hp5 "")
   (command "_line" bp1 hp6 "")
   (command "_line" bp1 hp7 "")
   (command "_line" kp5 rkp5 "")

   (command "_layer" "_s" Vollinie025 "")
   (command "_line" hp2 hp3 "")
   (command "_line" rhp2 rhp3 "")
   (command "_insert" "E-Kreis" hp2 "1" "" "0")
   (command "_insert" "E-Kreis" rhp2 "1" "" "0")
   (command "_solid" kp1 kp3 kp6 "" "")
   (command "_solid" kp1 kp10 kp12 "" "")
   (command "_solid" rkp1 rkp3 rkp6 "" "")
   (command "_solid" rkp1 rkp10 rkp12 "" "")
   (command "_circle" bp1 "_d" (+ DI1 S1))

  (command "_layer" "_s" Masslinie "")
  (setq HBTEXT (RTOS HB 2 0))
  (setq BEMTEXT1 (strcat "~" HBTEXT))
  (setq BEMTEXT2 (RTOS A 2 0))
  (setq BEMTEXT3 (RTOS B 2 0))
  (setq RATEXT (RTOS RI 2 0))
  (setq BEMTEXT4 (strcat "R" RATEXT))
  (setq RAARBTEXT (RTOS (- RI ARB) 2 0))
  (setq BEMTEXT5 (strcat "R" RAARBTEXT))

  (setq ARBTEXT1 (RTOS ARB 2 0))
  (setq ARBTEXT2 (RTOS ARD 2 0))
  (setq BEMTEXT6 (strcat ARBTEXT1 "x" ARBTEXT2))

  (command "_line" kp13 kp14 "")
  (command "_insert" "E-Pfeil3" kp13 "1" "" "165")
  (command "_text" "_c" kp16 "2.8" "-15" BEMTEXT4)

  (IF (= Durchgang 0)
      (progn
        (command "_line" kp24 kp18 "")
        (command "_insert" "E-Pfeil3" kp17 "1" "" "195")
        (command "_insert" "E-Pfeil3" kp23 "1" "" "15")
        (command "_insert" "E-RECHT1" kp25 "1" "" "15") 
   
        (command "_text" "_c" kp20 "2.8" "15" BEMTEXT5)
        (command "_text" kp22 "2.8" "15" BEMTEXT6)

        (command "_line" kp4 hp12 "")
        (command "_line" hp3 hp13 "")
        (command "_line" hp17 hp18 "")
        (command "_line" kp7 hp25 "")
        (command "_line" kp1 hp14 "")
        (command "_text" t1 "2.8" "90" BEMTEXT2)
        (command "_text" "_r" t2 "2.8" "90" BEMTEXT3)
        (command "_insert" "E-PFEILB" hp15 "" "" "90") 
        (command "_insert" "E-PFEILB" hp19 "" "" "270") 
        (command "_insert" "E-Kreis" hp16 "" "" "270") 
        (command "_insert" "E-Pfeil1" t3 "" "" "0") 
        (command "_insert" "E-Pfeil2" t4 "" "" "0") 

        (command "_dimstyle" "_r" bstilaa "_dim")
        (command "_hor" hp7 kp3 hp9 "")
        (command "_continue" kp1 "")
        (command "_ver" hp12 hp21 hp22 BEMTEXT1)
        (command "_ver" hp23 hp4 hp24 "")
        
        (command "_ver" rhp3 hp4 hp24 "")
        (command "_exit")

        (command "_layer" "_s" Text07 "")
        (setq UTEXT1 (strcat "%%UBoden-Nr.: " TEXT1))
        (command "_text" "_c" rhp9 "6" "0" UTEXT1)

        (command "_layer" "_s" Text05 "")
        (setq UTEXT2 (strcat "Bd.-Nr.: " TEXT2 " wie gezeichnet"))
        (command "_text" "_c" rhp10 "3.5" "0" UTEXT2)
        (setq UTEXT3 (strcat "Bd.-Nr.: " TEXT3 " um 180 gedreht"))
        (command "_text" "_c" rhp11 "3.5" "0" UTEXT3)
      )
   )
  (IF (= Durchgang 1)
      (progn
        (setq RA1 (polar BP1 (aib 0.) ATM1))
        (setq RA2 (polar RA1 (aib 270.) HLAT1))
        (setq RA3 (polar RA2 (aib 180.) ARD1))
        (setq RA4 (polar RA1 (aib 90.) HLAT1))
        (setq RA5 (polar RA4 (aib 180.) ARD1))

        (setq RA6 (list (+ (car KP3)(/ 35. m) ) (cadr BP1)))
        (setq RA7 (polar RA6 (aib 90.) 8.))
        (setq RA8 (polar RA6 (aib 270.) 10.))
        (setq RA9 (polar RA6 (aib 180.) (/ 7. m)))
        (setq RA10 (polar RA6 (aib 0.) (/ 7. m)))
        (setq RA11 (polar RA6 (aib 90.) 3.))

        (setq RA12 (polar HP9 (aib 90.) 8.))

        (setq RA13A (list (car KP3) (cadr BP1)))
        (setq RA13 (polar RA13A (aib 180.) (/ 30. m)))
        (setq RA14 (polar RA13 (aib 120.) 12.))
        (setq RA15 (polar RA14 (aib 180.) 28.))
        (setq RA16 (polar RA15 (aib 90.) 1.7))

        (command "_layer" "_s" Text07 "")
        (SETQ UTEXT1 TEXTRALLE1)
        (setq UTEXT1 (STRCAT "%%UUnregistrierte Sharewareversion - Tasse unter Boden-Nr.: " TEXTRALLE1))
        (command "_text" "_c" rhp9 "6" "0" UTEXT1)
        (command "_layer" "_s" Vollinie035 "")
        (command "_line" RA2 RA3 RA5 RA4 RA2 "")

        (command "_layer" "_s" Masslinie "")
        (command "_dimstyle" "_r" bstilaa "_dim")
        (command "_hor" HP7 RA2 hp9 "")
        (SETQ BEMRAL (- (cadr RA4) (cadr RA1)))
        (SETQ BEMRAL (+ (* BEMRAL m) 0.5))
        (SETQ BEMRAL (FIX BEMRAL))
        (SETQ BEMRAL (RTOS BEMRAL 2 0))
        (command "_ver" RA2 HP4 hp22 BEMRAL)
        (command "_ver" RA4 HP4 hp22 BEMRAL)
;        (command "_dimstyle _r" BStilEA)
        (command "_hor" RA2 RA3 RA12 "")
        (command "_exit")
        (command "_line" RA15 RA14 RA13 "")
        (command "_insert" "E-PFEILB" RA13 "" "" "120") 
        (setq UTEXT2 "1 Leerlaufloch %%C8")
        (command "_text" RA16 "3" "0" UTEXT2)
        (command "_layer" "_s" Vollinie035 "")
        (command "_circle" RA13 "_d" DK1)
        (IF (>= (* HMNEU 2) 1420.)
          (PROGN
            (command "_layer" "_s" Masslinie "")
            (command "_dimstyle" "_r" bstilaa "_dim")
            (command "_hor" RA9 RA10 RA7 "")
;            (command "_dimstyle _r" BStilEA)
            (command "_hor" KP3 RA11 RA8 "")
            (command "_exit")
            (command "_circle" RA6 "_d" (/ 14. m))
          )
        )
     )
   )
)

;*****************************************
;***  Seitenansicht mit Auflagering
(defun EINSCHW3 (/ schleife aus)
   (setq AltLayer (getvar "CLAYER"))
   (setvar "cmdecho" 0)
   (setq HOEHE_AKT (getvar "_textSIZE"))
   (setq TEXT_H 3.5)
   (SETQ KANALBL 0)
;   (command "cls")
   (prompt "\n--------------------------------------------------")
   (prompt "\n--- Konstruktionsprogamm fr Einschweiteile 1-Flut ---")
   (prompt "\n--- Teil 3:   Kolonnenaufri mit Stutzen und Bden")
   (prompt "\n--------------------------------------------------")
   (setq Ausgabe90 (RTOS DI 2 0))
   (SETQ Text90 (STRCAT "\n               Innendurchmesser Kolonne <" Ausgabe90 "> : "))
   (SETQ Ausgabe (GETSTRING T Text90))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe90)
   )
   (SETQ Ausgabe90 Ausgabe)
   (setq DI (ATOF Ausgabe))

   (setq TL   (getreal"                    Abstand TL nach TL         : "))
   (graphscr)
   (Setq bp1 (getpoint"                    Basispunkt.................. "))
   (initget 1 "1 2 5 10 15 20 25 33 50 75 100")
   (setq mfTASTE
           (getkword"\n                    Mastabsfaktor.......... 1 : "))
   (setq m (atof mfTASTE))
   (SETQ mfk (rtos m 2 0))
   (setq BStilAA (strcat "F" mfk "AA"))
   (setq BStilEA (strcat "F" mfk "AA"))
   (setq BStilEE (strcat "F" mfk "AA"))
   (setq Varia(/ (/ DI m) 100.))
   (setq RI(/ DI 2.))
   (setq DI1(/ DI m) TL(/ TL m) RI1 (/ RI m))
   (setq BORDH 50.)
   (setq BORDH1 (/ BORDH m))
   (IF (< BORDH1 1)
       (PROGN
          (setq BORDH1 1)
       )
   )
;***************************************
* Kolonnenmantel
  (setq pr1(polar bp1 (aib 0.) (/ DI1 2.)))
  (setq pl1(polar bp1 (aib 180.) (/ DI1 2.)))
  (setq pr2(polar pr1 (aib 90.) BORDH1))
  (setq pl2(polar pl1 (aib 90.) BORDH1))
  (setq hp1(polar bp1 (aib 270.) (/ DI1 1.5)))
  (setq hp2(polar bp1 (aib 0.) (+ RI1 7.)))
  (setq hp3(polar bp1 (aib 180.) (+ RI1 5.)))

  (setq bp2(polar bp1 (aib 90.) TL))
  (setq pr3(polar bp2 (aib 0.) (/ DI1 2.)))
  (setq pl3(polar bp2 (aib 180.) (/ DI1 2.)))
  (setq pr4(polar pr3 (aib 270.) BORDH1))
  (setq pl4(polar pl3 (aib 270.) BORDH1))

  (setq hp4(polar bp2 (aib 90.) (/ DI1 2)))
  (setq hp5(polar bp2 (aib 0.) (+ RI1 7)))
  (setq hp6(polar bp2 (aib 180.) (+ RI1 5)))

  (setq pr5(polar pr1 (aib 270.) (- (/ DI1 1.5) (/ DI1 8))))
  (setq pl5(polar pl1 (aib 270.) (- (/ DI1 1.5) (/ DI1 8))))
  (setq pr6(polar pr5 (aib 0.) (/ DI1 8)))
  (setq pl6(polar pl5 (aib 180.) (/ DI1 8)))

  (setq pr7(polar hp1 (aib 0.) (/ DI1 3)))
  (setq pl7(polar hp1 (aib 180.) (/ DI1 3)))
  (setq pr8(polar pr7 (aib 90.) (/ DI1 4)))
  (setq pl8(polar pl7 (aib 90.) (/ DI1 4)))

  (setq hp7(polar pr5 (aib 180.) (- (/ DI1 2) (/ DI1 3)) ))
  (setq hp8(polar pl5 (aib 0.) (- (/ DI1 2) (/ DI1 3)) ))

  (setq pr9(polar hp7 (aib 0.) (/ DI1 13)))
  (setq pr10(polar hp7 (aib 180.) (/ DI1 13)))

  (setq pl9(polar hp8 (aib 180.) (/ DI1 13)))
  (setq pl10(polar hp8 (aib 0.) (/ DI1 13)))

  (setq tr1(polar pr1 (aib 18.) 4))
  (setq tr2(polar pr3 (aib 18.) 4))

  (command "_layer" "_s" Vollinie05 "")
  (command "_line" pr1 pr3 "")
  (command "_line" pl1 pl3 "")
  (command "_line" pr2 pl2 "")
  (command "_line" pr4 pl4 "")
  (command "_line" pr1 pr5 "")
  (command "_line" pl1 pl5 "")

  (command "_layer" "_s" Vollinie025 "")
  (command "_line" pl6 pl9 pl8 pl7 pl10 pr10 pr8 pr7 pr9 pr6 "")
  (command "_layer" "_s" Vollinie05 "")
  (setq Punkt pl3)
  (COMMAND "_insert" "E-KBBONO" Punkt Varia "" "")
  (setq Punkt pl1)
  (COMMAND "_insert" "E-KBBONU" Punkt Varia "" "")

  (command "_layer" "_s" Mittellinie "")
  (command "_line" HP1 HP4 "")
  (command "_line" HP2 HP3 "")
  (command "_line" HP5 HP6 "")
  (setvar "DIMLFAC" m)

  (command "_layer" "_s" Masslinie "")
  (command "_dimstyle" "_r" bstilaa "_dim")
  (setq BEMP(polar HP1 (aib 270.) 10.))
  (setq BEMDI (RTOS DI 2 0))
  (setq BEMTEXT (strcat "Li %%C " BEMDI))
  (command "_hor" pr5 pl5 BEMP BEMTEXT)
  (command "_exit")

  (command "_layer" "_s" Text035 "")
  (setq TLTEXT "TL")
  (command "_text" tr1 "3.5" "0" TLTEXT)
  (command "_text" tr2 "3.5" "0" TLTEXT)

;****************************************
;* Stutzen Nennweite 100, 200, 300, 400, 500, 600
(setq Stutzen 0)
(setq BEMAB 25)

(initget 1 "J j N n")
(SETQ Eingabe1 (getstring "\n                    Stutzen vorhanden (J/N)   : "))
(IF (OR (= Eingabe1 "j") (= Eingabe1 "J"))
    (Progn	
         (setq BEMAB 40.)
         (setq Stutzen 1)
    )
)   
(setq Eingabe2 "n")
(WHILE (> Stutzen 0)
     (WHILE (OR (= Eingabe2 "n") (= Eingabe2 "N"))
        (prompt "\--------------------------------------------------")
        (setq SN  (getstring"\n                      Stutzenbezeichnung      : "))
        (setq NW       (getint"                      Nennweite            NW : "))
        (setq ATL     (getreal"                      Abstand von TL          : "))
        (setq LOR   (getstring"                   Links/rechts/Mitte (L/R/M) : "))
        (IF (= LOR "m")
          (SETQ LOR "M")
        )
        (IF (= LOR "l")
          (SETQ LOR "L")
        )
        (IF (= LOR "r")
          (SETQ LOR "R")
        )
        (initget 1 "J j N n")
        (SETQ Eingabe2 (getstring "\n                   Angaben in Ordnung   (J/N) : "))
     )   
     (setq Eingabe2 "n")
     (setq ATL1 (/ ATL m))
     (IF (OR (= LOR "L") (= LOR "l"))
         (setq StWink 180.)
     )
     (IF (OR (= LOR "R") (= LOR "r"))
         (setq StWink 0.)
     )
;************************************
; Stutzen mittig angeordnet
(IF (= LOR "M")
   (progn
      (setq ps1(polar bp1 (aib 90.) ATL1))
      (setq ps2(polar ps1 (aib 0.) (/ (* NW 1.5) m)))
      (setq ps3(polar ps1 (aib 180.) (+ (/ DI1 2) 15.)))
      (setq ps4(polar ps3 (aib 180.) 6.))

      (command "_layer" "_s" Vollinie05 "")
      (command "_circle" PS1 (/ NW m))
      (command "_circle" PS4 6.)

      (command "_layer" "_s" Text035 "")
      (COMMAND "_text" "_c" PS4 TEXT_H "" SN)

      (command "_layer" "_s" Vollinie025 "")
      (command "_line" ps2 ps3 "")
   )
)
;*************************************
; Stutzen NW 500
(IF (AND (> NW 499) (/= LOR "M"))
    (PROGN
      (setq S3 (/ NW 2))
      (setq S1 300 SM2 2 S4 (* S3 1.6))
      (setq SM1 (/ S1 m) SM3 (/ S3 m) SM4 (/ S4 m))
      (IF (< (/ S3 m) 1.)
         (progn
            (setq S3 m)
            (setq SM3 (/ S3 m))
            (setq S4 (* S3 1.6))
            (setq SM4 (/ S4 m))
         )
      )
      (setq ps1(polar bp1 (aib 90.) ATL1))
      (setq ps2(polar ps1 (aib StWink) (/ DI1 2.)))
      (setq ps3(polar ps2 (aib StWink) SM1))
      (setq ps4(polar ps3 (aib StWink) SM2))
      (setq ps5(polar ps3 (aib 90.) SM3))
      (setq ps6(polar ps3 (aib 270.) SM3))
      (setq ps7(polar ps3 (aib 90.) SM4))
      (setq ps8(polar ps3 (aib 270.) SM4))
      (setq ps9(polar ps2 (aib 90.) SM3))
      (setq ps10(polar ps2 (aib 270.) SM3))
      (setq ps11(polar ps4 (aib 90.) SM4))
      (setq ps12(polar ps4 (aib 270.) SM4))
      (setq hp20(polar ps2 (aib (+ StWink 180.)) (/ DI1 8.)))
      (setq hp21(polar ps4 (aib StWink) 11.))
      (setq hp22(polar hp21 (aib StWink) 6))
      (setq st1(polar ps9 (aib 90.) 0.5))
 
 ;     (command "_break" ST1 "_f" PS9 PS10 )

      (command "_layer" "_s" Vollinie025 "")
      (command "_line" hp20 hp21 "")

      (command "_layer" "_s" Vollinie05 "")
      (command "_line" ps9 ps5 ps7 "")
      (command "_line" ps10 ps6 ps8 "")
      (command "_line" ps11 ps12 "")
      (command "_circle" hp22 6)

      (command "_layer" "_s" Vollinie035 "")
      (IF (OR (= LOR "L") (= LOR "l"))
          (command "_arc" ps10 "_e" ps9 "_r" (/ DI1 2))
      )
      (IF (OR (= LOR "R") (= LOR "r"))
          (command "_arc" ps9 "_e" ps10 "_r" (/ DI1 2))
      )
      (command "_layer" "_s" Text035 "")
      (COMMAND "_text" "_c" hp22 TEXT_H "" SN)

   )
)

;******************************************
; Stutzen unter NW 500
(IF (AND (< NW 500) (/= LOR "M"))
    (PROGN
      (setq S3 (/ NW 2.))
      (setq S1 300 SM2 2 S4 (* S3 1.6))
      (setq SM1 (/ S1 m) SM3 (/ S3 m) SM4 (/ S4 m))
      (IF (< (/ S3 m) 1.)
         (progn
            (setq S3 m)
            (setq SM3 (/ S3 m))
            (setq S4 (* S3 1.6))
            (setq SM4 (/ S4 m))
         )
      )
      (setq ps1(polar bp1 (aib 90.) ATL1))
      (setq ps2(polar ps1 (aib StWink) (/ DI1 2.)))
      (setq ps3(polar ps2 (aib StWink) SM1))
      (setq ps4(polar ps3 (aib StWink) SM2))
      (setq ps5(polar ps3 (aib 90.) SM3))
      (setq ps6(polar ps3 (aib 270.) SM3))
      (setq ps7(polar ps3 (aib 90.) SM4))
      (setq ps8(polar ps3 (aib 270.) SM4))
      (setq ps9(polar ps2 (aib 90.) SM3))
      (setq ps10(polar ps2 (aib 270.) SM3))
      (setq st1(polar ps9 (aib 90.) 0.5))

      (setq hp20(polar ps2 (aib (+ StWink 180.)) (/ DI1 8.)))
      (setq hp21(polar ps4 (aib StWink) 11.))
      (setq hp22(polar hp21 (aib StWink) 6.))
;      (command "_break" ST1 "_f" PS9 PS10 )
 
      (command "_layer" "_s" Vollinie025 "")
      (command "_line" hp20 hp21 "")

      (command "_layer" "_s" Vollinie05 "")
      (command "_line" ps9 ps5 "")
      (command "_line" ps10 ps6 "")
      (command "_line" ps7 ps8 "")
      (command "_circle" hp22 6)

      (command "_layer" "_s" Vollinie035 "")
      (IF (OR (= LOR "L") (= LOR "l"))
          (command "_arc" ps10 "_e" ps9 "_r" (/ DI1 2))
      )
      (IF (OR (= LOR "R") (= LOR "r"))
          (command "_arc" ps9 "_e" ps10 "_r" (/ DI1 2))
      )
      (command "_layer" "_s" Text035 "")
      (COMMAND "_text" "_m" hp22 TEXT_H "" SN)

   )
)
     (initget 1 "J j N n")
     (setq Eingabe3 (getstring"              Weitere Stutzen vorhanden (J/N) : "))
     (IF (OR (= Eingabe3 "n") (= Eingabe3 "N"))
          (Progn	
 	     (SETQ Stutzen 0)
          )
      )
)

;*************************************************
;* 1. Boden
  (setq Tab 1)
;  (command "cls")
  (prompt "\n--------------------------------------------------")
  (prompt "\n--- Konstruktionsprogamm fr Einschweiteile ---")
  (prompt "\n--- Teil 3: Kolonnenaufri mit Stutzen und Bden")
  (prompt "\n--------------------------------------------------")
  (setq AB (getint"\n                    Anzahl aller Bden        : "))
  (setq BZ (getint"                Bodennummer unterster Boden   : "))
  (setq BDNRGESAMT (RTOS AB 2 0))
  (setq Ausgabe1 (RTOS BZ 2 0))
  (setq Eingabe4 "n")

  (WHILE (OR (= Eingabe4 "n") (= Eingabe4 "N"))
       (Abfrage3)
       (initget 1 "J j N n")
       (SETQ Eingabe4 (getstring "\n                   Angaben in Ordnung   (J/N) : "))
  )   

  (setq Eingabe4 "n")
  (setq H1(/ H m) C1(/ C m) BF1(/ BF m) AWH1(/ AWH m) BTL1 (/ BTL m))
  (setq TA1(/ TA m) ATM1 (/ ATM m) TH1 (/ TH m))
  (setq bp10 bp1)
  (setq WINKEL1 180.)
  (setq WINKEL2 0.)
  (setq bp11(polar bp10 (aib 90.) BTL1))
  (setq p1(polar bp11 (aib WINKEL1) (/ DI1 2.)))
  (setq p2(polar bp11 (aib WINKEL2) C1))
  (setq p3(polar p2 (aib 90.) AWH1))
  (setq p4(polar p2 (aib 270.) (- TA1 TF1)))
  (setq TP1(polar BP11 (aib 90.) Tab))
  (setq TP2(polar TP1 (aib 0.) Tab))
  (setq BEMP(polar HP2 (aib 0.) BEMAB))
  (setq pbem1(polar bp11 (aib WINKEL2) RI1))
  (setq pbem2(polar bp11 (aib WINKEL2) (+ RI1 10.)))
  (setq RAP1 (list (car PR1) (cadr P2)))
  (setq RAP2 (polar RAP1 (aib 270.) TA1))
  (setq RAP3 (list (+ (car BP1) ATM1) (cadr RAP2)))
  (setq RAP4 (polar RAP3 (aib 90.) TH1))

  (command "_layer" "_s" Masslinie "")
  (command "_dimstyle" "_r" bstilaa "_dim")
  (command "_ver" HP2 pbem1 BEMP "")
  (command "_ver" RAP1 RAP2 pBEM2 "")
  (command "_exit")
  (command "_layer" "_s" Vollinie035 "")
  (command "_line" p1 p2 "")
  (command "_line" p3 p4 "")
  (command "_line" RAP2 RAP3 RAP4 "")
  (command "_layer" "_s" Text035 "")
  (command "_text" TP2 TEXT_H 0 BZ)

  (setq bp10 bp11)
;*** alle weiteren Bden **************************
(setq BZZAEHLER1 BZ)
(setq BZZAEHLER2 1) 
(command "_dimstyle" "_r" bstilea)
(if (> BZ 1)
    (progn 
       (setq BZZAEHLER2 -1)
    )
)
(setq BZZAEHLER1 (+ BZZAEHLER1 BZZAEHLER2))

(setq DURCHLAUF1 0.)
(setq DURCHLAUF2 180.)
(setq DURCHLAUF 2)
(while (<= DURCHLAUF AB)
       (setq DURCHLAUF3 1)
       (setq MEHRFACH 1)
       (setq BODENZAEHLER 1)
       (setq BDNRREST (RTOS BZZAEHLER1 2 0))
       (prompt  (strcat "\nBoden Nr.: "BDNRREST" ------------------------------ Gesamt-Bodenzahl : "BDNRGESAMT))
       (IF (< BZZAEHLER1 AB)
          (PROGN
             (initget 1 "J j N n")
             (setq Eingabe5 (getstring"\n          Folgen mehrere gleiche Bden (J/N) : "))

             (IF (OR (= Eingabe5 "j") (= Eingabe5 "J"))
                 (Progn	
                     (SETQ MEHRFACH (GETINT "                    Wieviel gleiche Abstnde : "))
                     (setq HILFSZAEHLER BODENZAEHLER)
                     (setq BODENZAEHLER (+ BODENZAEHLER MEHRFACH))
                     (WHILE (> BODENZAEHLER AB)
                         (PROGN
                             (setq ABT(RTOS AB 2 0))
                             (setq BOZ(RTOS BODENZAEHLER))
                             (prompt (strcat ">>>>>>>>>>      Die Gesamt-Bodenanzahl betrgt : "ABT))
                             (prompt (strcat "\n>>>>>>>>>>      Sie wollen >>> "BOZ" <<<  Bden konstruieren   <<<<<<<<<<"))
                             (SETQ MEHRFACH (GETINT "\n             Wieviel gleiche Abstnde : "))
                             (setq BODENZAEHLER (+ HILFSZAEHLER MEHRFACH))
                          )
                     )
                     (setq TEXT1 (RTOS MEHRFACH))
                 )
              )   
          )
       )
       (setq Ausgabe1 (RTOS H 2 0))
       (SETQ Text2 (STRCAT "\n                      Bodenabstand     <" Ausgabe1">  : "))
       (SETQ Ausgabe (GETSTRING T Text2))
       (if (= Ausgabe "")
           (SETQ Ausgabe Ausgabe1)
       )
       (SETQ Ausgabe1 Ausgabe)
       (setq H (ATOF Ausgabe))

       (setq Ausgabe2 (RTOS C 2 0))
       (SETQ Text (STRCAT "                      Haltestababstand <" Ausgabe2">  : "))
       (SETQ Ausgabe (GETSTRING T Text))
       (if (= Ausgabe "")
           (SETQ Ausgabe Ausgabe2)
       )
       (SETQ Ausgabe2 Ausgabe)
       (setq C (ATOF Ausgabe))
       (IF (> MEHRFACH 1)
           (PROGN
                (setq GESAMT (* MEHRFACH H))
                (setq TEXT2 (RTOS H 2 0))
                (setq TEXT3 (RTOS GESAMT 2 0))
                (setq BEMTEXT (strcat TEXT1" x "text2" = " TEXT3))
            )
       )

       (setq Ausgabe3 (RTOS BF 2 0))
       (SETQ Text (STRCAT "--------------------> Bodenfreiheit    <" Ausgabe3">   : "))
       (SETQ Ausgabe (GETSTRING T Text))
       (if (= Ausgabe "")
           (SETQ Ausgabe Ausgabe3)
       )
       (SETQ Ausgabe3 Ausgabe)
       (setq BF (ATOF Ausgabe))

       (setq Ausgabe4 (RTOS AWH 2 0))
       (SETQ Text (STRCAT "--------------------> Ablaufwehrhhe   <" Ausgabe4">   : "))
       (SETQ Ausgabe (GETSTRING T Text))
       (if (= Ausgabe "")
           (SETQ Ausgabe Ausgabe4)
       )
       (SETQ Ausgabe4 Ausgabe)
       (setq AWH (ATOF Ausgabe))
       (setq H1(/ H m) C1(/ C m) BF1(/ BF m) AWH1(/ AWH m))
       (while (<= DURCHLAUF3 MEHRFACH)
                (setq bp10 bp11)
                (IF (= DURCHLAUF3 1)
                    (PROGN
                         (setq BEMP1(polar bp10 (aib 0.) RI1))
                    )
                )
                (setq WINKEL1 DURCHLAUF1)
                (setq WINKEL2 DURCHLAUF2)
                (setq bp11(polar bp10 (aib 90.) H1))
                (setq p1(polar bp11 (aib WINKEL1) (/ DI1 2.)))
                (setq p2(polar bp11 (aib WINKEL2) C1))
                (setq p3(polar p2 (aib 90.) AWH1))
                (setq p4(polar p2 (aib 270.) (- H1 BF1)))
                (if (OR (= BZZAEHLER1 1) (= BZZAEHLER1 5) (= BZZAEHLER1 10) (= BZZAEHLER1 15) (= BZZAEHLER1 20) (= BZZAEHLER1 25) (= BZZAEHLER1 30) (= BZZAEHLER1 35) (= BZZAEHLER1 40) (= BZZAEHLER1 45) (= BZZAEHLER1 50) (= BZZAEHLER1 AB))
                    (PROGN
                        (setq TP1(polar BP11 (aib 90.) Tab))
                        (setq TP2(polar TP1 (aib 0.) Tab))
                        (command "_layer" "_s" Text035 "")
                        (command "_text" TP2 TEXT_H 0 BZZAEHLER1)
                     )
                 )  

                 (IF (= MEHRFACH 1)
                    (PROGN
                         (setq BEMP2(polar bp11 (aib 0.) RI1))
                         (command "_layer" "_s" Masslinie "")
                         (setq BEMP(polar HP2 (aib 0.) BEMAB))
                         (command "_dim" "_ver" BEMP1 BEMP2 BEMP "")
                         (command "_exit")
                    )
                 )

                 (IF (AND (> MEHRFACH 1) (= DURCHLAUF3 MEHRFACH))
                    (PROGN
                         (setq BEMP2(polar bp11 (aib 0.) C1))
                         (command "_layer" "_s" Masslinie "")
                         (setq BEMP(polar HP2 (aib 0.) BEMAB))
                         (command "_dim" "_ver" BEMP1 BEMP2 BEMP BEMTEXT)
                         (command "_exit")
                    )
                 )
                 (command "_layer" "_s" Vollinie035 "")
                 (command "_line" p1 p2 "")
                 (command "_line" p3 p4 "")
                 (setq HILF DURCHLAUF1)
                 (setq DURCHLAUF1 DURCHLAUF2)
                 (setq DURCHLAUF2 HILF)
                 (setq DURCHLAUF (+ DURCHLAUF 1))
                 (setq DURCHLAUF3(+ DURCHLAUF3 1))
                 (setq BZZAEHLER1 (+ BZZAEHLER1 BZZAEHLER2))
      )
   )


)


;*******************************************
(DEFUN Abfrage3()
   (terpri)
   (SETQ AWH AWHMERK)
   (SETQ C CMERK)

   (prompt  (strcat "\nBoden Nr.: "Ausgabe1" ------------------------------ Gesamt-Bodenzahl : "BDNRGESAMT))
   (setq BTL (getreal"\n                    Bodenabstand bis TL       : "))
   (setq Ausgabe8 (RTOS C 2 0))
   (SETQ Text8 (STRCAT "                   Haltestababstand     <" Ausgabe8 "> : "))
   (SETQ Ausgabe (GETSTRING T Text8))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe8)
   )
   (SETQ Ausgabe8 Ausgabe)
   (setq C (ATOF Ausgabe))

   (setq Ausgabe5 (RTOS AWH 2 0))
   (SETQ Text5 (STRCAT "------------------> Ablaufwehrhhe      <" Ausgabe5 "> : "))
   (SETQ Ausgabe (GETSTRING T Text5))
   (if (= Ausgabe "")
       (SETQ Ausgabe Ausgabe5)
   )
   (SETQ Ausgabe5 Ausgabe)
   (setq AWH (ATOF Ausgabe))
)
